// Copyright 2019 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: chromite/api/sdk.proto

package api

import (
	chromiumos "go.chromium.org/chromiumos/infra/proto/go/chromiumos"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// The chroot version information.
type ChrootVersion struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The version number.
	Version uint32 `protobuf:"varint,1,opt,name=version,proto3" json:"version,omitempty"`
}

func (x *ChrootVersion) Reset() {
	*x = ChrootVersion{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChrootVersion) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChrootVersion) ProtoMessage() {}

func (x *ChrootVersion) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChrootVersion.ProtoReflect.Descriptor instead.
func (*ChrootVersion) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{0}
}

func (x *ChrootVersion) GetVersion() uint32 {
	if x != nil {
		return x.Version
	}
	return 0
}

// Create request message.
type CreateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The chroot-create flag arguments.
	Flags *CreateRequest_Flags `protobuf:"bytes,1,opt,name=flags,proto3" json:"flags,omitempty"`
	// The chroot to create.
	Chroot *chromiumos.Chroot `protobuf:"bytes,2,opt,name=chroot,proto3" json:"chroot,omitempty"`
	// Optional. The specific SDK version to use, passed as
	// `cros_sdk --sdk-version`.
	SdkVersion string `protobuf:"bytes,3,opt,name=sdk_version,json=sdkVersion,proto3" json:"sdk_version,omitempty"`
	// Optional. Whether or not to pass --skip-chroot-upgrade to `cros_sdk`.
	// This option is unofficially supported and is not guaranteed to work.
	SkipChrootUpgrade bool `protobuf:"varint,4,opt,name=skip_chroot_upgrade,json=skipChrootUpgrade,proto3" json:"skip_chroot_upgrade,omitempty"`
	// Optional. If provided and true, the chroot will be created with ccache
	// fully disabled. Otherwise, the user can expect ccache to be enabled.
	CcacheDisable bool `protobuf:"varint,5,opt,name=ccache_disable,json=ccacheDisable,proto3" json:"ccache_disable,omitempty"`
}

func (x *CreateRequest) Reset() {
	*x = CreateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRequest) ProtoMessage() {}

func (x *CreateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRequest.ProtoReflect.Descriptor instead.
func (*CreateRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{1}
}

func (x *CreateRequest) GetFlags() *CreateRequest_Flags {
	if x != nil {
		return x.Flags
	}
	return nil
}

func (x *CreateRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *CreateRequest) GetSdkVersion() string {
	if x != nil {
		return x.SdkVersion
	}
	return ""
}

func (x *CreateRequest) GetSkipChrootUpgrade() bool {
	if x != nil {
		return x.SkipChrootUpgrade
	}
	return false
}

func (x *CreateRequest) GetCcacheDisable() bool {
	if x != nil {
		return x.CcacheDisable
	}
	return false
}

// Create response message.
type CreateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The resulting chroot version.
	Version *ChrootVersion `protobuf:"bytes,1,opt,name=version,proto3" json:"version,omitempty"`
}

func (x *CreateResponse) Reset() {
	*x = CreateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateResponse) ProtoMessage() {}

func (x *CreateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateResponse.ProtoReflect.Descriptor instead.
func (*CreateResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{2}
}

func (x *CreateResponse) GetVersion() *ChrootVersion {
	if x != nil {
		return x.Version
	}
	return nil
}

// Delete request message.
type DeleteRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The chroot to delete.
	Chroot *chromiumos.Chroot `protobuf:"bytes,2,opt,name=chroot,proto3" json:"chroot,omitempty"`
}

func (x *DeleteRequest) Reset() {
	*x = DeleteRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteRequest) ProtoMessage() {}

func (x *DeleteRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteRequest.ProtoReflect.Descriptor instead.
func (*DeleteRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{3}
}

func (x *DeleteRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

// Delete request message.
type DeleteResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteResponse) Reset() {
	*x = DeleteResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteResponse) ProtoMessage() {}

func (x *DeleteResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteResponse.ProtoReflect.Descriptor instead.
func (*DeleteResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{4}
}

// Deprecated.
type UnmountRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The chroot to unmount.
	Chroot *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
}

func (x *UnmountRequest) Reset() {
	*x = UnmountRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UnmountRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UnmountRequest) ProtoMessage() {}

func (x *UnmountRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UnmountRequest.ProtoReflect.Descriptor instead.
func (*UnmountRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{5}
}

func (x *UnmountRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

// Deprecated.
type UnmountResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UnmountResponse) Reset() {
	*x = UnmountResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UnmountResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UnmountResponse) ProtoMessage() {}

func (x *UnmountResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UnmountResponse.ProtoReflect.Descriptor instead.
func (*UnmountResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{6}
}

// Chroot update request message.
// Example json:
// {"toolchain_targets": [{"name": "eve"}]}
type UpdateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The flags.
	Flags *UpdateRequest_Flags `protobuf:"bytes,1,opt,name=flags,proto3" json:"flags,omitempty"`
	// The targets whose toolchains should be updated in the chroot.
	ToolchainTargets []*chromiumos.BuildTarget `protobuf:"bytes,2,rep,name=toolchain_targets,json=toolchainTargets,proto3" json:"toolchain_targets,omitempty"`
	// The chroot to use to execute the endpoint.
	Chroot *chromiumos.Chroot `protobuf:"bytes,3,opt,name=chroot,proto3" json:"chroot,omitempty"`
	// Directory where results (logs, etc.) should be stored.
	ResultPath *chromiumos.ResultPath `protobuf:"bytes,4,opt,name=result_path,json=resultPath,proto3" json:"result_path,omitempty"`
}

func (x *UpdateRequest) Reset() {
	*x = UpdateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateRequest) ProtoMessage() {}

func (x *UpdateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateRequest.ProtoReflect.Descriptor instead.
func (*UpdateRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{7}
}

func (x *UpdateRequest) GetFlags() *UpdateRequest_Flags {
	if x != nil {
		return x.Flags
	}
	return nil
}

func (x *UpdateRequest) GetToolchainTargets() []*chromiumos.BuildTarget {
	if x != nil {
		return x.ToolchainTargets
	}
	return nil
}

func (x *UpdateRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *UpdateRequest) GetResultPath() *chromiumos.ResultPath {
	if x != nil {
		return x.ResultPath
	}
	return nil
}

// Chroot update response message.
type UpdateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The chroot version after update is complete.
	Version *ChrootVersion `protobuf:"bytes,1,opt,name=version,proto3" json:"version,omitempty"`
	// Additional data about the packages that failed to build.
	// Added in R118.
	FailedPackageData []*FailedPackageData `protobuf:"bytes,2,rep,name=failed_package_data,json=failedPackageData,proto3" json:"failed_package_data,omitempty"`
}

func (x *UpdateResponse) Reset() {
	*x = UpdateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateResponse) ProtoMessage() {}

func (x *UpdateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateResponse.ProtoReflect.Descriptor instead.
func (*UpdateResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{8}
}

func (x *UpdateResponse) GetVersion() *ChrootVersion {
	if x != nil {
		return x.Version
	}
	return nil
}

func (x *UpdateResponse) GetFailedPackageData() []*FailedPackageData {
	if x != nil {
		return x.FailedPackageData
	}
	return nil
}

// Uprev SDK request.
// Creates code changes to uprev the SDK version file and prebuilt conf files.
type UprevRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required. The Google Storage bucket containing binhosts to point to.
	// Example: "gs://chromeos-prebuilt/"
	BinhostGsBucket string `protobuf:"bytes,3,opt,name=binhost_gs_bucket,json=binhostGsBucket,proto3" json:"binhost_gs_bucket,omitempty"`
	// Required. The SDK/prebuilt version to uprev to, formatted as
	// "%Y.%m.%d.%H%M%S".
	// Example: "2023.02.12.144623"
	Version string `protobuf:"bytes,4,opt,name=version,proto3" json:"version,omitempty"`
	// Required. Template string for locating toolchain tarballs on GS://.
	// This is the value that will go into the TC_PATH field in
	// src/third_party/chromiumos-overlay/chromeos/binhost/host/sdk_version.conf.
	// Example: "2023/04/%(target)s-2023.02.12.144623.tar.xz"
	ToolchainTarballTemplate string `protobuf:"bytes,5,opt,name=toolchain_tarball_template,json=toolchainTarballTemplate,proto3" json:"toolchain_tarball_template,omitempty"`
}

func (x *UprevRequest) Reset() {
	*x = UprevRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UprevRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UprevRequest) ProtoMessage() {}

func (x *UprevRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UprevRequest.ProtoReflect.Descriptor instead.
func (*UprevRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{9}
}

func (x *UprevRequest) GetBinhostGsBucket() string {
	if x != nil {
		return x.BinhostGsBucket
	}
	return ""
}

func (x *UprevRequest) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *UprevRequest) GetToolchainTarballTemplate() string {
	if x != nil {
		return x.ToolchainTarballTemplate
	}
	return ""
}

// Uprev SDK response.
type UprevResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Files modified for this uprev.
	ModifiedFiles []*chromiumos.Path `protobuf:"bytes,1,rep,name=modified_files,json=modifiedFiles,proto3" json:"modified_files,omitempty"`
	// Version uprevved to.
	Version string `protobuf:"bytes,2,opt,name=version,proto3" json:"version,omitempty"`
}

func (x *UprevResponse) Reset() {
	*x = UprevResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UprevResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UprevResponse) ProtoMessage() {}

func (x *UprevResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UprevResponse.ProtoReflect.Descriptor instead.
func (*UprevResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{10}
}

func (x *UprevResponse) GetModifiedFiles() []*chromiumos.Path {
	if x != nil {
		return x.ModifiedFiles
	}
	return nil
}

func (x *UprevResponse) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

// Ask chromite to clean build artifacts.
// If no optional arguments are provided it will default to 'safe' &&
// 'sysroots'.
type CleanRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The chroot to clean.
	Chroot *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
	// Optional. Clean all produced artifacts.
	Safe bool `protobuf:"varint,2,opt,name=safe,proto3" json:"safe,omitempty"`
	// Optional. Remove all built images.
	Images bool `protobuf:"varint,3,opt,name=images,proto3" json:"images,omitempty"`
	// Optional. Remove all of the sysroots.
	Sysroots bool `protobuf:"varint,4,opt,name=sysroots,proto3" json:"sysroots,omitempty"`
	// Optional. Clean the tmp/ directory.
	Tmp bool `protobuf:"varint,5,opt,name=tmp,proto3" json:"tmp,omitempty"`
	// Optional. Clean the shared cache.
	Cache bool `protobuf:"varint,6,opt,name=cache,proto3" json:"cache,omitempty"`
	// Optional. Clean up various logs.
	Logs bool `protobuf:"varint,7,opt,name=logs,proto3" json:"logs,omitempty"`
	// Optional. Clean out various package build work directories.
	Workdirs bool `protobuf:"varint,8,opt,name=workdirs,proto3" json:"workdirs,omitempty"`
	// Optional. Clean out the incremental artifacts.
	Incrementals bool `protobuf:"varint,9,opt,name=incrementals,proto3" json:"incrementals,omitempty"`
}

func (x *CleanRequest) Reset() {
	*x = CleanRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CleanRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CleanRequest) ProtoMessage() {}

func (x *CleanRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CleanRequest.ProtoReflect.Descriptor instead.
func (*CleanRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{11}
}

func (x *CleanRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *CleanRequest) GetSafe() bool {
	if x != nil {
		return x.Safe
	}
	return false
}

func (x *CleanRequest) GetImages() bool {
	if x != nil {
		return x.Images
	}
	return false
}

func (x *CleanRequest) GetSysroots() bool {
	if x != nil {
		return x.Sysroots
	}
	return false
}

func (x *CleanRequest) GetTmp() bool {
	if x != nil {
		return x.Tmp
	}
	return false
}

func (x *CleanRequest) GetCache() bool {
	if x != nil {
		return x.Cache
	}
	return false
}

func (x *CleanRequest) GetLogs() bool {
	if x != nil {
		return x.Logs
	}
	return false
}

func (x *CleanRequest) GetWorkdirs() bool {
	if x != nil {
		return x.Workdirs
	}
	return false
}

func (x *CleanRequest) GetIncrementals() bool {
	if x != nil {
		return x.Incrementals
	}
	return false
}

type CleanResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CleanResponse) Reset() {
	*x = CleanResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CleanResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CleanResponse) ProtoMessage() {}

func (x *CleanResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CleanResponse.ProtoReflect.Descriptor instead.
func (*CleanResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{12}
}

// An opaque key to a chroot snapshot state.
type SnapshotToken struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value string `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *SnapshotToken) Reset() {
	*x = SnapshotToken{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SnapshotToken) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SnapshotToken) ProtoMessage() {}

func (x *SnapshotToken) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SnapshotToken.ProtoReflect.Descriptor instead.
func (*SnapshotToken) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{13}
}

func (x *SnapshotToken) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type CreateSnapshotRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Chroot *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
}

func (x *CreateSnapshotRequest) Reset() {
	*x = CreateSnapshotRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateSnapshotRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateSnapshotRequest) ProtoMessage() {}

func (x *CreateSnapshotRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateSnapshotRequest.ProtoReflect.Descriptor instead.
func (*CreateSnapshotRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{14}
}

func (x *CreateSnapshotRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

type CreateSnapshotResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SnapshotToken *SnapshotToken `protobuf:"bytes,1,opt,name=snapshot_token,json=snapshotToken,proto3" json:"snapshot_token,omitempty"`
}

func (x *CreateSnapshotResponse) Reset() {
	*x = CreateSnapshotResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateSnapshotResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateSnapshotResponse) ProtoMessage() {}

func (x *CreateSnapshotResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateSnapshotResponse.ProtoReflect.Descriptor instead.
func (*CreateSnapshotResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{15}
}

func (x *CreateSnapshotResponse) GetSnapshotToken() *SnapshotToken {
	if x != nil {
		return x.SnapshotToken
	}
	return nil
}

type RestoreSnapshotRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Chroot        *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
	SnapshotToken *SnapshotToken     `protobuf:"bytes,2,opt,name=snapshot_token,json=snapshotToken,proto3" json:"snapshot_token,omitempty"`
}

func (x *RestoreSnapshotRequest) Reset() {
	*x = RestoreSnapshotRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RestoreSnapshotRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RestoreSnapshotRequest) ProtoMessage() {}

func (x *RestoreSnapshotRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RestoreSnapshotRequest.ProtoReflect.Descriptor instead.
func (*RestoreSnapshotRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{16}
}

func (x *RestoreSnapshotRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *RestoreSnapshotRequest) GetSnapshotToken() *SnapshotToken {
	if x != nil {
		return x.SnapshotToken
	}
	return nil
}

type RestoreSnapshotResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RestoreSnapshotResponse) Reset() {
	*x = RestoreSnapshotResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RestoreSnapshotResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RestoreSnapshotResponse) ProtoMessage() {}

func (x *RestoreSnapshotResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RestoreSnapshotResponse.ProtoReflect.Descriptor instead.
func (*RestoreSnapshotResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{17}
}

type UnmountPathRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Path to unmount.
	Path *chromiumos.Path `protobuf:"bytes,1,opt,name=path,proto3" json:"path,omitempty"`
}

func (x *UnmountPathRequest) Reset() {
	*x = UnmountPathRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UnmountPathRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UnmountPathRequest) ProtoMessage() {}

func (x *UnmountPathRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UnmountPathRequest.ProtoReflect.Descriptor instead.
func (*UnmountPathRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{18}
}

func (x *UnmountPathRequest) GetPath() *chromiumos.Path {
	if x != nil {
		return x.Path
	}
	return nil
}

type UnmountPathResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UnmountPathResponse) Reset() {
	*x = UnmountPathResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UnmountPathResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UnmountPathResponse) ProtoMessage() {}

func (x *UnmountPathResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UnmountPathResponse.ProtoReflect.Descriptor instead.
func (*UnmountPathResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{19}
}

// Build prebuilt packages for the SDK.
type BuildPrebuiltsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The chroot to use to execute the endpoint
	Chroot *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
	// The host build target to build packages for.
	BuildTarget *chromiumos.BuildTarget `protobuf:"bytes,2,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
}

func (x *BuildPrebuiltsRequest) Reset() {
	*x = BuildPrebuiltsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[20]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildPrebuiltsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildPrebuiltsRequest) ProtoMessage() {}

func (x *BuildPrebuiltsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[20]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildPrebuiltsRequest.ProtoReflect.Descriptor instead.
func (*BuildPrebuiltsRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{20}
}

func (x *BuildPrebuiltsRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *BuildPrebuiltsRequest) GetBuildTarget() *chromiumos.BuildTarget {
	if x != nil {
		return x.BuildTarget
	}
	return nil
}

type BuildPrebuiltsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Directory containing generated host prebuilts for the SDK board.
	HostPrebuiltsPath *chromiumos.Path `protobuf:"bytes,1,opt,name=host_prebuilts_path,json=hostPrebuiltsPath,proto3" json:"host_prebuilts_path,omitempty"`
	// Directory containing generated target prebuilts for the SDK board.
	TargetPrebuiltsPath *chromiumos.Path `protobuf:"bytes,2,opt,name=target_prebuilts_path,json=targetPrebuiltsPath,proto3" json:"target_prebuilts_path,omitempty"`
}

func (x *BuildPrebuiltsResponse) Reset() {
	*x = BuildPrebuiltsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[21]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildPrebuiltsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildPrebuiltsResponse) ProtoMessage() {}

func (x *BuildPrebuiltsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[21]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildPrebuiltsResponse.ProtoReflect.Descriptor instead.
func (*BuildPrebuiltsResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{21}
}

func (x *BuildPrebuiltsResponse) GetHostPrebuiltsPath() *chromiumos.Path {
	if x != nil {
		return x.HostPrebuiltsPath
	}
	return nil
}

func (x *BuildPrebuiltsResponse) GetTargetPrebuiltsPath() *chromiumos.Path {
	if x != nil {
		return x.TargetPrebuiltsPath
	}
	return nil
}

// Create a tarball from a previously built SDK.
type BuildSdkTarballRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The chroot which contains the built SDK.
	Chroot *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
	// The SDK version to stamp in /etc/os-release.
	SdkVersion string `protobuf:"bytes,2,opt,name=sdk_version,json=sdkVersion,proto3" json:"sdk_version,omitempty"`
}

func (x *BuildSdkTarballRequest) Reset() {
	*x = BuildSdkTarballRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[22]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildSdkTarballRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildSdkTarballRequest) ProtoMessage() {}

func (x *BuildSdkTarballRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[22]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildSdkTarballRequest.ProtoReflect.Descriptor instead.
func (*BuildSdkTarballRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{22}
}

func (x *BuildSdkTarballRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *BuildSdkTarballRequest) GetSdkVersion() string {
	if x != nil {
		return x.SdkVersion
	}
	return ""
}

type BuildSdkTarballResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Path where the SDK tarball has been stored.
	SdkTarballPath *chromiumos.Path `protobuf:"bytes,1,opt,name=sdk_tarball_path,json=sdkTarballPath,proto3" json:"sdk_tarball_path,omitempty"`
}

func (x *BuildSdkTarballResponse) Reset() {
	*x = BuildSdkTarballResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[23]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildSdkTarballResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildSdkTarballResponse) ProtoMessage() {}

func (x *BuildSdkTarballResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[23]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildSdkTarballResponse.ProtoReflect.Descriptor instead.
func (*BuildSdkTarballResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{23}
}

func (x *BuildSdkTarballResponse) GetSdkTarballPath() *chromiumos.Path {
	if x != nil {
		return x.SdkTarballPath
	}
	return nil
}

// Create a manifest file showing the ebuilds in an SDK.
type CreateManifestFromSdkRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Chroot  *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
	SdkPath *chromiumos.Path   `protobuf:"bytes,2,opt,name=sdk_path,json=sdkPath,proto3" json:"sdk_path,omitempty"`
	DestDir *chromiumos.Path   `protobuf:"bytes,3,opt,name=dest_dir,json=destDir,proto3" json:"dest_dir,omitempty"`
}

func (x *CreateManifestFromSdkRequest) Reset() {
	*x = CreateManifestFromSdkRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[24]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateManifestFromSdkRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateManifestFromSdkRequest) ProtoMessage() {}

func (x *CreateManifestFromSdkRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[24]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateManifestFromSdkRequest.ProtoReflect.Descriptor instead.
func (*CreateManifestFromSdkRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{24}
}

func (x *CreateManifestFromSdkRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *CreateManifestFromSdkRequest) GetSdkPath() *chromiumos.Path {
	if x != nil {
		return x.SdkPath
	}
	return nil
}

func (x *CreateManifestFromSdkRequest) GetDestDir() *chromiumos.Path {
	if x != nil {
		return x.DestDir
	}
	return nil
}

type CreateManifestFromSdkResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ManifestPath *chromiumos.Path `protobuf:"bytes,1,opt,name=manifest_path,json=manifestPath,proto3" json:"manifest_path,omitempty"`
}

func (x *CreateManifestFromSdkResponse) Reset() {
	*x = CreateManifestFromSdkResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[25]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateManifestFromSdkResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateManifestFromSdkResponse) ProtoMessage() {}

func (x *CreateManifestFromSdkResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[25]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateManifestFromSdkResponse.ProtoReflect.Descriptor instead.
func (*CreateManifestFromSdkResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{25}
}

func (x *CreateManifestFromSdkResponse) GetManifestPath() *chromiumos.Path {
	if x != nil {
		return x.ManifestPath
	}
	return nil
}

// Create CLs to point the binhost at a given SDK version.
type CreateBinhostCLsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PrependVersion string `protobuf:"bytes,1,opt,name=prepend_version,json=prependVersion,proto3" json:"prepend_version,omitempty"`
	Version        string `protobuf:"bytes,2,opt,name=version,proto3" json:"version,omitempty"`
	UploadLocation string `protobuf:"bytes,3,opt,name=upload_location,json=uploadLocation,proto3" json:"upload_location,omitempty"`
	// Template string for locating the SDK tarball, as used in
	// src/third_party/chromiumos-overlay/chromeos/binhost/host/sdk_version.conf
	SdkTarballTemplate string `protobuf:"bytes,4,opt,name=sdk_tarball_template,json=sdkTarballTemplate,proto3" json:"sdk_tarball_template,omitempty"`
}

func (x *CreateBinhostCLsRequest) Reset() {
	*x = CreateBinhostCLsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[26]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateBinhostCLsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateBinhostCLsRequest) ProtoMessage() {}

func (x *CreateBinhostCLsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[26]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateBinhostCLsRequest.ProtoReflect.Descriptor instead.
func (*CreateBinhostCLsRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{26}
}

func (x *CreateBinhostCLsRequest) GetPrependVersion() string {
	if x != nil {
		return x.PrependVersion
	}
	return ""
}

func (x *CreateBinhostCLsRequest) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *CreateBinhostCLsRequest) GetUploadLocation() string {
	if x != nil {
		return x.UploadLocation
	}
	return ""
}

func (x *CreateBinhostCLsRequest) GetSdkTarballTemplate() string {
	if x != nil {
		return x.SdkTarballTemplate
	}
	return ""
}

type CreateBinhostCLsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Identifiers for the created CLs (e.g. ["chromium:4149846"]).
	Cls []string `protobuf:"bytes,1,rep,name=cls,proto3" json:"cls,omitempty"`
}

func (x *CreateBinhostCLsResponse) Reset() {
	*x = CreateBinhostCLsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[27]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateBinhostCLsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateBinhostCLsResponse) ProtoMessage() {}

func (x *CreateBinhostCLsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[27]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateBinhostCLsResponse.ProtoReflect.Descriptor instead.
func (*CreateBinhostCLsResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{27}
}

func (x *CreateBinhostCLsResponse) GetCls() []string {
	if x != nil {
		return x.Cls
	}
	return nil
}

// Upload ChromeOS SDK prebuilt packages.
type UploadPrebuiltPackagesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// chroot in which the packages have been built.
	Chroot         *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
	PrependVersion string             `protobuf:"bytes,2,opt,name=prepend_version,json=prependVersion,proto3" json:"prepend_version,omitempty"`
	Version        string             `protobuf:"bytes,3,opt,name=version,proto3" json:"version,omitempty"`
	UploadLocation string             `protobuf:"bytes,4,opt,name=upload_location,json=uploadLocation,proto3" json:"upload_location,omitempty"`
}

func (x *UploadPrebuiltPackagesRequest) Reset() {
	*x = UploadPrebuiltPackagesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[28]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadPrebuiltPackagesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadPrebuiltPackagesRequest) ProtoMessage() {}

func (x *UploadPrebuiltPackagesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[28]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadPrebuiltPackagesRequest.ProtoReflect.Descriptor instead.
func (*UploadPrebuiltPackagesRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{28}
}

func (x *UploadPrebuiltPackagesRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *UploadPrebuiltPackagesRequest) GetPrependVersion() string {
	if x != nil {
		return x.PrependVersion
	}
	return ""
}

func (x *UploadPrebuiltPackagesRequest) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *UploadPrebuiltPackagesRequest) GetUploadLocation() string {
	if x != nil {
		return x.UploadLocation
	}
	return ""
}

type UploadPrebuiltPackagesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UploadPrebuiltPackagesResponse) Reset() {
	*x = UploadPrebuiltPackagesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[29]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadPrebuiltPackagesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadPrebuiltPackagesResponse) ProtoMessage() {}

func (x *UploadPrebuiltPackagesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[29]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadPrebuiltPackagesResponse.ProtoReflect.Descriptor instead.
func (*UploadPrebuiltPackagesResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{29}
}

// Request info for building toolchain packages for the SDK.
type BuildSdkToolchainRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Chroot *chromiumos.Chroot `protobuf:"bytes,1,opt,name=chroot,proto3" json:"chroot,omitempty"`
	// USE flags to pass into cros_setup_toolchain.
	UseFlags []*chromiumos.UseFlag `protobuf:"bytes,2,rep,name=use_flags,json=useFlags,proto3" json:"use_flags,omitempty"`
	// Path into which generated files will be extracted.
	ResultPath *chromiumos.ResultPath `protobuf:"bytes,3,opt,name=result_path,json=resultPath,proto3" json:"result_path,omitempty"`
}

func (x *BuildSdkToolchainRequest) Reset() {
	*x = BuildSdkToolchainRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[30]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildSdkToolchainRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildSdkToolchainRequest) ProtoMessage() {}

func (x *BuildSdkToolchainRequest) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[30]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildSdkToolchainRequest.ProtoReflect.Descriptor instead.
func (*BuildSdkToolchainRequest) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{30}
}

func (x *BuildSdkToolchainRequest) GetChroot() *chromiumos.Chroot {
	if x != nil {
		return x.Chroot
	}
	return nil
}

func (x *BuildSdkToolchainRequest) GetUseFlags() []*chromiumos.UseFlag {
	if x != nil {
		return x.UseFlags
	}
	return nil
}

func (x *BuildSdkToolchainRequest) GetResultPath() *chromiumos.ResultPath {
	if x != nil {
		return x.ResultPath
	}
	return nil
}

// Response from building toolchain packages for the SDK.
type BuildSdkToolchainResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	GeneratedFiles []*chromiumos.Path `protobuf:"bytes,1,rep,name=generated_files,json=generatedFiles,proto3" json:"generated_files,omitempty"`
}

func (x *BuildSdkToolchainResponse) Reset() {
	*x = BuildSdkToolchainResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[31]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildSdkToolchainResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildSdkToolchainResponse) ProtoMessage() {}

func (x *BuildSdkToolchainResponse) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[31]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildSdkToolchainResponse.ProtoReflect.Descriptor instead.
func (*BuildSdkToolchainResponse) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{31}
}

func (x *BuildSdkToolchainResponse) GetGeneratedFiles() []*chromiumos.Path {
	if x != nil {
		return x.GeneratedFiles
	}
	return nil
}

// Options that affect how the chroot is created.
type CreateRequest_Flags struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Whether or not to replace the chroot if it already exists.
	NoReplace bool `protobuf:"varint,1,opt,name=no_replace,json=noReplace,proto3" json:"no_replace,omitempty"`
	// Whether to do a full build of the SDK or use prebuilts.
	Bootstrap bool `protobuf:"varint,2,opt,name=bootstrap,proto3" json:"bootstrap,omitempty"`
	// Whether the chroot should be mounted on a loopback image or created
	// directly inside a directory. Set to true to create in a directory.
	NoUseImage bool `protobuf:"varint,3,opt,name=no_use_image,json=noUseImage,proto3" json:"no_use_image,omitempty"`
}

func (x *CreateRequest_Flags) Reset() {
	*x = CreateRequest_Flags{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[32]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateRequest_Flags) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRequest_Flags) ProtoMessage() {}

func (x *CreateRequest_Flags) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[32]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRequest_Flags.ProtoReflect.Descriptor instead.
func (*CreateRequest_Flags) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{1, 0}
}

func (x *CreateRequest_Flags) GetNoReplace() bool {
	if x != nil {
		return x.NoReplace
	}
	return false
}

func (x *CreateRequest_Flags) GetBootstrap() bool {
	if x != nil {
		return x.Bootstrap
	}
	return false
}

func (x *CreateRequest_Flags) GetNoUseImage() bool {
	if x != nil {
		return x.NoUseImage
	}
	return false
}

// Update flag arguments.
type UpdateRequest_Flags struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Whether to build from source or use prebuilt packages.
	BuildSource bool `protobuf:"varint,1,opt,name=build_source,json=buildSource,proto3" json:"build_source,omitempty"`
	// Whether a toolchain change has occurred.
	ToolchainChanged bool `protobuf:"varint,2,opt,name=toolchain_changed,json=toolchainChanged,proto3" json:"toolchain_changed,omitempty"`
}

func (x *UpdateRequest_Flags) Reset() {
	*x = UpdateRequest_Flags{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromite_api_sdk_proto_msgTypes[33]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateRequest_Flags) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateRequest_Flags) ProtoMessage() {}

func (x *UpdateRequest_Flags) ProtoReflect() protoreflect.Message {
	mi := &file_chromite_api_sdk_proto_msgTypes[33]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateRequest_Flags.ProtoReflect.Descriptor instead.
func (*UpdateRequest_Flags) Descriptor() ([]byte, []int) {
	return file_chromite_api_sdk_proto_rawDescGZIP(), []int{7, 0}
}

func (x *UpdateRequest_Flags) GetBuildSource() bool {
	if x != nil {
		return x.BuildSource
	}
	return false
}

func (x *UpdateRequest_Flags) GetToolchainChanged() bool {
	if x != nil {
		return x.ToolchainChanged
	}
	return false
}

var File_chromite_api_sdk_proto protoreflect.FileDescriptor

var file_chromite_api_sdk_proto_rawDesc = []byte{
	0x0a, 0x16, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x73,
	0x64, 0x6b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0c, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x1a, 0x1c, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65,
	0x2f, 0x61, 0x70, 0x69, 0x2f, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1a, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2f, 0x61,
	0x70, 0x69, 0x2f, 0x73, 0x79, 0x73, 0x72, 0x6f, 0x6f, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x17, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x29, 0x0a, 0x0d, 0x43, 0x68, 0x72,
	0x6f, 0x6f, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x07, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x22, 0xd4, 0x02, 0x0a, 0x0d, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x05, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x2e, 0x46, 0x6c, 0x61, 0x67, 0x73, 0x52, 0x05, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x12,
	0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72,
	0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x12, 0x1f, 0x0a, 0x0b, 0x73,
	0x64, 0x6b, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0a, 0x73, 0x64, 0x6b, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x2e, 0x0a, 0x13,
	0x73, 0x6b, 0x69, 0x70, 0x5f, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x5f, 0x75, 0x70, 0x67, 0x72,
	0x61, 0x64, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x11, 0x73, 0x6b, 0x69, 0x70, 0x43,
	0x68, 0x72, 0x6f, 0x6f, 0x74, 0x55, 0x70, 0x67, 0x72, 0x61, 0x64, 0x65, 0x12, 0x25, 0x0a, 0x0e,
	0x63, 0x63, 0x61, 0x63, 0x68, 0x65, 0x5f, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x0d, 0x63, 0x63, 0x61, 0x63, 0x68, 0x65, 0x44, 0x69, 0x73, 0x61,
	0x62, 0x6c, 0x65, 0x1a, 0x66, 0x0a, 0x05, 0x46, 0x6c, 0x61, 0x67, 0x73, 0x12, 0x1d, 0x0a, 0x0a,
	0x6e, 0x6f, 0x5f, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x09, 0x6e, 0x6f, 0x52, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x62,
	0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09,
	0x62, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70, 0x12, 0x20, 0x0a, 0x0c, 0x6e, 0x6f, 0x5f,
	0x75, 0x73, 0x65, 0x5f, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x0a, 0x6e, 0x6f, 0x55, 0x73, 0x65, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x22, 0x47, 0x0a, 0x0e, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x35, 0x0a,
	0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b,
	0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x68,
	0x72, 0x6f, 0x6f, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x07, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x22, 0x3b, 0x0a, 0x0d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f,
	0x74, 0x22, 0x10, 0x0a, 0x0e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0x3c, 0x0a, 0x0e, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f,
	0x74, 0x22, 0x11, 0x0a, 0x0f, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0xcc, 0x02, 0x0a, 0x0d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x05, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x2e, 0x46, 0x6c, 0x61, 0x67, 0x73, 0x52, 0x05, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x12,
	0x44, 0x0a, 0x11, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x5f, 0x74, 0x61, 0x72,
	0x67, 0x65, 0x74, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x68, 0x72,
	0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72,
	0x67, 0x65, 0x74, 0x52, 0x10, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x54, 0x61,
	0x72, 0x67, 0x65, 0x74, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f,
	0x74, 0x12, 0x37, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x5f, 0x70, 0x61, 0x74, 0x68,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x2e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x50, 0x61, 0x74, 0x68, 0x52, 0x0a,
	0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x50, 0x61, 0x74, 0x68, 0x1a, 0x57, 0x0a, 0x05, 0x46, 0x6c,
	0x61, 0x67, 0x73, 0x12, 0x21, 0x0a, 0x0c, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x62, 0x75, 0x69, 0x6c, 0x64,
	0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x12, 0x2b, 0x0a, 0x11, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68,
	0x61, 0x69, 0x6e, 0x5f, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x08, 0x52, 0x10, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x43, 0x68, 0x61, 0x6e,
	0x67, 0x65, 0x64, 0x22, 0x98, 0x01, 0x0a, 0x0e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x35, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x56, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x4f, 0x0a,
	0x13, 0x66, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x5f, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x5f,
	0x64, 0x61, 0x74, 0x61, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x63, 0x68, 0x72,
	0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64,
	0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52, 0x11, 0x66, 0x61, 0x69,
	0x6c, 0x65, 0x64, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x44, 0x61, 0x74, 0x61, 0x22, 0x98,
	0x01, 0x0a, 0x0c, 0x55, 0x70, 0x72, 0x65, 0x76, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x2a, 0x0a, 0x11, 0x62, 0x69, 0x6e, 0x68, 0x6f, 0x73, 0x74, 0x5f, 0x67, 0x73, 0x5f, 0x62, 0x75,
	0x63, 0x6b, 0x65, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x62, 0x69, 0x6e, 0x68,
	0x6f, 0x73, 0x74, 0x47, 0x73, 0x42, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x76,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x3c, 0x0a, 0x1a, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61,
	0x69, 0x6e, 0x5f, 0x74, 0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x18, 0x74, 0x6f, 0x6f, 0x6c, 0x63,
	0x68, 0x61, 0x69, 0x6e, 0x54, 0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c, 0x54, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x4a, 0x04, 0x08, 0x01, 0x10, 0x03, 0x22, 0x62, 0x0a, 0x0d, 0x55, 0x70, 0x72,
	0x65, 0x76, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x37, 0x0a, 0x0e, 0x6d, 0x6f,
	0x64, 0x69, 0x66, 0x69, 0x65, 0x64, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x10, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e,
	0x50, 0x61, 0x74, 0x68, 0x52, 0x0d, 0x6d, 0x6f, 0x64, 0x69, 0x66, 0x69, 0x65, 0x64, 0x46, 0x69,
	0x6c, 0x65, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0xfe, 0x01,
	0x0a, 0x0c, 0x43, 0x6c, 0x65, 0x61, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a,
	0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12,
	0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f,
	0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x61,
	0x66, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x73, 0x61, 0x66, 0x65, 0x12, 0x16,
	0x0a, 0x06, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06,
	0x69, 0x6d, 0x61, 0x67, 0x65, 0x73, 0x12, 0x1a, 0x0a, 0x08, 0x73, 0x79, 0x73, 0x72, 0x6f, 0x6f,
	0x74, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x08, 0x73, 0x79, 0x73, 0x72, 0x6f, 0x6f,
	0x74, 0x73, 0x12, 0x10, 0x0a, 0x03, 0x74, 0x6d, 0x70, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x03, 0x74, 0x6d, 0x70, 0x12, 0x14, 0x0a, 0x05, 0x63, 0x61, 0x63, 0x68, 0x65, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x05, 0x63, 0x61, 0x63, 0x68, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6c, 0x6f,
	0x67, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x6c, 0x6f, 0x67, 0x73, 0x12, 0x1a,
	0x0a, 0x08, 0x77, 0x6f, 0x72, 0x6b, 0x64, 0x69, 0x72, 0x73, 0x18, 0x08, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x08, 0x77, 0x6f, 0x72, 0x6b, 0x64, 0x69, 0x72, 0x73, 0x12, 0x22, 0x0a, 0x0c, 0x69, 0x6e,
	0x63, 0x72, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61, 0x6c, 0x73, 0x18, 0x09, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x0c, 0x69, 0x6e, 0x63, 0x72, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x61, 0x6c, 0x73, 0x22, 0x0f,
	0x0a, 0x0d, 0x43, 0x6c, 0x65, 0x61, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x25, 0x0a, 0x0d, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x54, 0x6f, 0x6b, 0x65, 0x6e,
	0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x43, 0x0a, 0x15, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72,
	0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x22, 0x5c, 0x0a, 0x16, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x42, 0x0a, 0x0e, 0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f,
	0x74, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x53, 0x6e, 0x61,
	0x70, 0x73, 0x68, 0x6f, 0x74, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x0d, 0x73, 0x6e, 0x61, 0x70,
	0x73, 0x68, 0x6f, 0x74, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x88, 0x01, 0x0a, 0x16, 0x52, 0x65,
	0x73, 0x74, 0x6f, 0x72, 0x65, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f,
	0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74,
	0x12, 0x42, 0x0a, 0x0e, 0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x5f, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x0d, 0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x54,
	0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x19, 0x0a, 0x17, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x53,
	0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x3a, 0x0a, 0x12, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x50, 0x61, 0x74, 0x68, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x24, 0x0a, 0x04, 0x70, 0x61, 0x74, 0x68, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x50, 0x61, 0x74, 0x68, 0x52, 0x04, 0x70, 0x61, 0x74, 0x68, 0x22, 0x15, 0x0a, 0x13, 0x55,
	0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x50, 0x61, 0x74, 0x68, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x7f, 0x0a, 0x15, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x50, 0x72, 0x65, 0x62, 0x75,
	0x69, 0x6c, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x06, 0x63,
	0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x63, 0x68,
	0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x52,
	0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x12, 0x3a, 0x0a, 0x0c, 0x62, 0x75, 0x69, 0x6c, 0x64,
	0x5f, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64,
	0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x52, 0x0b, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72,
	0x67, 0x65, 0x74, 0x22, 0xa0, 0x01, 0x0a, 0x16, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x50, 0x72, 0x65,
	0x62, 0x75, 0x69, 0x6c, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x40,
	0x0a, 0x13, 0x68, 0x6f, 0x73, 0x74, 0x5f, 0x70, 0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x73,
	0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x63, 0x68,
	0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x50, 0x61, 0x74, 0x68, 0x52, 0x11, 0x68,
	0x6f, 0x73, 0x74, 0x50, 0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x73, 0x50, 0x61, 0x74, 0x68,
	0x12, 0x44, 0x0a, 0x15, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x5f, 0x70, 0x72, 0x65, 0x62, 0x75,
	0x69, 0x6c, 0x74, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x10, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x50, 0x61, 0x74,
	0x68, 0x52, 0x13, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x50, 0x72, 0x65, 0x62, 0x75, 0x69, 0x6c,
	0x74, 0x73, 0x50, 0x61, 0x74, 0x68, 0x22, 0x65, 0x0a, 0x16, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53,
	0x64, 0x6b, 0x54, 0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68,
	0x72, 0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x12, 0x1f, 0x0a, 0x0b,
	0x73, 0x64, 0x6b, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0a, 0x73, 0x64, 0x6b, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0x55, 0x0a,
	0x17, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x64, 0x6b, 0x54, 0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3a, 0x0a, 0x10, 0x73, 0x64, 0x6b, 0x5f,
	0x74, 0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x10, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e,
	0x50, 0x61, 0x74, 0x68, 0x52, 0x0e, 0x73, 0x64, 0x6b, 0x54, 0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c,
	0x50, 0x61, 0x74, 0x68, 0x22, 0xa4, 0x01, 0x0a, 0x1c, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x4d,
	0x61, 0x6e, 0x69, 0x66, 0x65, 0x73, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x53, 0x64, 0x6b, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f,
	0x74, 0x12, 0x2b, 0x0a, 0x08, 0x73, 0x64, 0x6b, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x50, 0x61, 0x74, 0x68, 0x52, 0x07, 0x73, 0x64, 0x6b, 0x50, 0x61, 0x74, 0x68, 0x12, 0x2b,
	0x0a, 0x08, 0x64, 0x65, 0x73, 0x74, 0x5f, 0x64, 0x69, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x10, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x50, 0x61,
	0x74, 0x68, 0x52, 0x07, 0x64, 0x65, 0x73, 0x74, 0x44, 0x69, 0x72, 0x22, 0x56, 0x0a, 0x1d, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x6e, 0x69, 0x66, 0x65, 0x73, 0x74, 0x46, 0x72, 0x6f,
	0x6d, 0x53, 0x64, 0x6b, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x35, 0x0a, 0x0d,
	0x6d, 0x61, 0x6e, 0x69, 0x66, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x50, 0x61, 0x74, 0x68, 0x52, 0x0c, 0x6d, 0x61, 0x6e, 0x69, 0x66, 0x65, 0x73, 0x74, 0x50,
	0x61, 0x74, 0x68, 0x22, 0xb7, 0x01, 0x0a, 0x17, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x42, 0x69,
	0x6e, 0x68, 0x6f, 0x73, 0x74, 0x43, 0x4c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x27, 0x0a, 0x0f, 0x70, 0x72, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x70, 0x72, 0x65, 0x70, 0x65, 0x6e,
	0x64, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x27, 0x0a, 0x0f, 0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x5f, 0x6c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x75, 0x70, 0x6c,
	0x6f, 0x61, 0x64, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x30, 0x0a, 0x14, 0x73,
	0x64, 0x6b, 0x5f, 0x74, 0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x73, 0x64, 0x6b, 0x54, 0x61,
	0x72, 0x62, 0x61, 0x6c, 0x6c, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x22, 0x2c, 0x0a,
	0x18, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x42, 0x69, 0x6e, 0x68, 0x6f, 0x73, 0x74, 0x43, 0x4c,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x63, 0x6c, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x03, 0x63, 0x6c, 0x73, 0x22, 0xb7, 0x01, 0x0a, 0x1d,
	0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x50, 0x61,
	0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a,
	0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f,
	0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x70, 0x72, 0x65,
	0x70, 0x65, 0x6e, 0x64, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0e, 0x70, 0x72, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x56, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x27, 0x0a, 0x0f,
	0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x5f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x20, 0x0a, 0x1e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50,
	0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xb1, 0x01, 0x0a, 0x18, 0x42, 0x75, 0x69, 0x6c,
	0x64, 0x53, 0x64, 0x6b, 0x54, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f,
	0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6f, 0x74, 0x52, 0x06, 0x63, 0x68, 0x72, 0x6f, 0x6f, 0x74,
	0x12, 0x30, 0x0a, 0x09, 0x75, 0x73, 0x65, 0x5f, 0x66, 0x6c, 0x61, 0x67, 0x73, 0x18, 0x02, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x55, 0x73, 0x65, 0x46, 0x6c, 0x61, 0x67, 0x52, 0x08, 0x75, 0x73, 0x65, 0x46, 0x6c, 0x61,
	0x67, 0x73, 0x12, 0x37, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x5f, 0x70, 0x61, 0x74,
	0x68, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x50, 0x61, 0x74, 0x68, 0x52,
	0x0a, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x50, 0x61, 0x74, 0x68, 0x22, 0x56, 0x0a, 0x19, 0x42,
	0x75, 0x69, 0x6c, 0x64, 0x53, 0x64, 0x6b, 0x54, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69, 0x6e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x39, 0x0a, 0x0f, 0x67, 0x65, 0x6e, 0x65,
	0x72, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x10, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x50,
	0x61, 0x74, 0x68, 0x52, 0x0e, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x46, 0x69,
	0x6c, 0x65, 0x73, 0x32, 0xc2, 0x0a, 0x0a, 0x0a, 0x53, 0x64, 0x6b, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x12, 0x43, 0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x1b, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x43, 0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x12, 0x1b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c,
	0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x40, 0x0a, 0x05,
	0x43, 0x6c, 0x65, 0x61, 0x6e, 0x12, 0x1a, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x6c, 0x65, 0x61, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x1b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x43, 0x6c, 0x65, 0x61, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x46,
	0x0a, 0x07, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x1c, 0x2e, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4b, 0x0a, 0x06, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x12, 0x1b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x06, 0xc2, 0xed, 0x1a,
	0x02, 0x10, 0x01, 0x12, 0x40, 0x0a, 0x05, 0x55, 0x70, 0x72, 0x65, 0x76, 0x12, 0x1a, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x55, 0x70, 0x72, 0x65,
	0x76, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x55, 0x70, 0x72, 0x65, 0x76, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5b, 0x0a, 0x0e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53,
	0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x12, 0x23, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x6e, 0x61,
	0x70, 0x73, 0x68, 0x6f, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x5e, 0x0a, 0x0f, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x53, 0x6e, 0x61,
	0x70, 0x73, 0x68, 0x6f, 0x74, 0x12, 0x24, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x53, 0x6e, 0x61, 0x70,
	0x73, 0x68, 0x6f, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x63, 0x68,
	0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x52, 0x65, 0x73, 0x74, 0x6f,
	0x72, 0x65, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x52, 0x0a, 0x0b, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x50, 0x61, 0x74,
	0x68, 0x12, 0x20, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x50, 0x61, 0x74, 0x68, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x21, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x55, 0x6e, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x50, 0x61, 0x74, 0x68, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5b, 0x0a, 0x0e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x50,
	0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x73, 0x12, 0x23, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x50, 0x72, 0x65,
	0x62, 0x75, 0x69, 0x6c, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x50, 0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x5e, 0x0a, 0x0f, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x64, 0x6b, 0x54,
	0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c, 0x12, 0x24, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x64, 0x6b, 0x54, 0x61,
	0x72, 0x62, 0x61, 0x6c, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x42, 0x75, 0x69, 0x6c,
	0x64, 0x53, 0x64, 0x6b, 0x54, 0x61, 0x72, 0x62, 0x61, 0x6c, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x70, 0x0a, 0x15, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x6e,
	0x69, 0x66, 0x65, 0x73, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x53, 0x64, 0x6b, 0x12, 0x2a, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x4d, 0x61, 0x6e, 0x69, 0x66, 0x65, 0x73, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x53, 0x64,
	0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x4d, 0x61,
	0x6e, 0x69, 0x66, 0x65, 0x73, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x53, 0x64, 0x6b, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a, 0x10, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x42,
	0x69, 0x6e, 0x68, 0x6f, 0x73, 0x74, 0x43, 0x4c, 0x73, 0x12, 0x25, 0x2e, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x42,
	0x69, 0x6e, 0x68, 0x6f, 0x73, 0x74, 0x43, 0x4c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x26, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x42, 0x69, 0x6e, 0x68, 0x6f, 0x73, 0x74, 0x43, 0x4c, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x73, 0x0a, 0x16, 0x55, 0x70, 0x6c, 0x6f,
	0x61, 0x64, 0x50, 0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67,
	0x65, 0x73, 0x12, 0x2b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74,
	0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x2c, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x55,
	0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x72, 0x65, 0x62, 0x75, 0x69, 0x6c, 0x74, 0x50, 0x61, 0x63,
	0x6b, 0x61, 0x67, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c, 0x0a,
	0x11, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x64, 0x6b, 0x54, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61,
	0x69, 0x6e, 0x12, 0x26, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x64, 0x6b, 0x54, 0x6f, 0x6f, 0x6c, 0x63, 0x68,
	0x61, 0x69, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x63, 0x68, 0x72,
	0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53,
	0x64, 0x6b, 0x54, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0x06, 0xc2, 0xed, 0x1a, 0x02, 0x10, 0x01, 0x1a, 0x0b, 0xc2, 0xed, 0x1a,
	0x07, 0x0a, 0x03, 0x73, 0x64, 0x6b, 0x10, 0x02, 0x42, 0x38, 0x5a, 0x36, 0x67, 0x6f, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x74, 0x65, 0x2f, 0x61,
	0x70, 0x69, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_chromite_api_sdk_proto_rawDescOnce sync.Once
	file_chromite_api_sdk_proto_rawDescData = file_chromite_api_sdk_proto_rawDesc
)

func file_chromite_api_sdk_proto_rawDescGZIP() []byte {
	file_chromite_api_sdk_proto_rawDescOnce.Do(func() {
		file_chromite_api_sdk_proto_rawDescData = protoimpl.X.CompressGZIP(file_chromite_api_sdk_proto_rawDescData)
	})
	return file_chromite_api_sdk_proto_rawDescData
}

var file_chromite_api_sdk_proto_msgTypes = make([]protoimpl.MessageInfo, 34)
var file_chromite_api_sdk_proto_goTypes = []interface{}{
	(*ChrootVersion)(nil),                  // 0: chromite.api.ChrootVersion
	(*CreateRequest)(nil),                  // 1: chromite.api.CreateRequest
	(*CreateResponse)(nil),                 // 2: chromite.api.CreateResponse
	(*DeleteRequest)(nil),                  // 3: chromite.api.DeleteRequest
	(*DeleteResponse)(nil),                 // 4: chromite.api.DeleteResponse
	(*UnmountRequest)(nil),                 // 5: chromite.api.UnmountRequest
	(*UnmountResponse)(nil),                // 6: chromite.api.UnmountResponse
	(*UpdateRequest)(nil),                  // 7: chromite.api.UpdateRequest
	(*UpdateResponse)(nil),                 // 8: chromite.api.UpdateResponse
	(*UprevRequest)(nil),                   // 9: chromite.api.UprevRequest
	(*UprevResponse)(nil),                  // 10: chromite.api.UprevResponse
	(*CleanRequest)(nil),                   // 11: chromite.api.CleanRequest
	(*CleanResponse)(nil),                  // 12: chromite.api.CleanResponse
	(*SnapshotToken)(nil),                  // 13: chromite.api.SnapshotToken
	(*CreateSnapshotRequest)(nil),          // 14: chromite.api.CreateSnapshotRequest
	(*CreateSnapshotResponse)(nil),         // 15: chromite.api.CreateSnapshotResponse
	(*RestoreSnapshotRequest)(nil),         // 16: chromite.api.RestoreSnapshotRequest
	(*RestoreSnapshotResponse)(nil),        // 17: chromite.api.RestoreSnapshotResponse
	(*UnmountPathRequest)(nil),             // 18: chromite.api.UnmountPathRequest
	(*UnmountPathResponse)(nil),            // 19: chromite.api.UnmountPathResponse
	(*BuildPrebuiltsRequest)(nil),          // 20: chromite.api.BuildPrebuiltsRequest
	(*BuildPrebuiltsResponse)(nil),         // 21: chromite.api.BuildPrebuiltsResponse
	(*BuildSdkTarballRequest)(nil),         // 22: chromite.api.BuildSdkTarballRequest
	(*BuildSdkTarballResponse)(nil),        // 23: chromite.api.BuildSdkTarballResponse
	(*CreateManifestFromSdkRequest)(nil),   // 24: chromite.api.CreateManifestFromSdkRequest
	(*CreateManifestFromSdkResponse)(nil),  // 25: chromite.api.CreateManifestFromSdkResponse
	(*CreateBinhostCLsRequest)(nil),        // 26: chromite.api.CreateBinhostCLsRequest
	(*CreateBinhostCLsResponse)(nil),       // 27: chromite.api.CreateBinhostCLsResponse
	(*UploadPrebuiltPackagesRequest)(nil),  // 28: chromite.api.UploadPrebuiltPackagesRequest
	(*UploadPrebuiltPackagesResponse)(nil), // 29: chromite.api.UploadPrebuiltPackagesResponse
	(*BuildSdkToolchainRequest)(nil),       // 30: chromite.api.BuildSdkToolchainRequest
	(*BuildSdkToolchainResponse)(nil),      // 31: chromite.api.BuildSdkToolchainResponse
	(*CreateRequest_Flags)(nil),            // 32: chromite.api.CreateRequest.Flags
	(*UpdateRequest_Flags)(nil),            // 33: chromite.api.UpdateRequest.Flags
	(*chromiumos.Chroot)(nil),              // 34: chromiumos.Chroot
	(*chromiumos.BuildTarget)(nil),         // 35: chromiumos.BuildTarget
	(*chromiumos.ResultPath)(nil),          // 36: chromiumos.ResultPath
	(*FailedPackageData)(nil),              // 37: chromite.api.FailedPackageData
	(*chromiumos.Path)(nil),                // 38: chromiumos.Path
	(*chromiumos.UseFlag)(nil),             // 39: chromiumos.UseFlag
}
var file_chromite_api_sdk_proto_depIdxs = []int32{
	32, // 0: chromite.api.CreateRequest.flags:type_name -> chromite.api.CreateRequest.Flags
	34, // 1: chromite.api.CreateRequest.chroot:type_name -> chromiumos.Chroot
	0,  // 2: chromite.api.CreateResponse.version:type_name -> chromite.api.ChrootVersion
	34, // 3: chromite.api.DeleteRequest.chroot:type_name -> chromiumos.Chroot
	34, // 4: chromite.api.UnmountRequest.chroot:type_name -> chromiumos.Chroot
	33, // 5: chromite.api.UpdateRequest.flags:type_name -> chromite.api.UpdateRequest.Flags
	35, // 6: chromite.api.UpdateRequest.toolchain_targets:type_name -> chromiumos.BuildTarget
	34, // 7: chromite.api.UpdateRequest.chroot:type_name -> chromiumos.Chroot
	36, // 8: chromite.api.UpdateRequest.result_path:type_name -> chromiumos.ResultPath
	0,  // 9: chromite.api.UpdateResponse.version:type_name -> chromite.api.ChrootVersion
	37, // 10: chromite.api.UpdateResponse.failed_package_data:type_name -> chromite.api.FailedPackageData
	38, // 11: chromite.api.UprevResponse.modified_files:type_name -> chromiumos.Path
	34, // 12: chromite.api.CleanRequest.chroot:type_name -> chromiumos.Chroot
	34, // 13: chromite.api.CreateSnapshotRequest.chroot:type_name -> chromiumos.Chroot
	13, // 14: chromite.api.CreateSnapshotResponse.snapshot_token:type_name -> chromite.api.SnapshotToken
	34, // 15: chromite.api.RestoreSnapshotRequest.chroot:type_name -> chromiumos.Chroot
	13, // 16: chromite.api.RestoreSnapshotRequest.snapshot_token:type_name -> chromite.api.SnapshotToken
	38, // 17: chromite.api.UnmountPathRequest.path:type_name -> chromiumos.Path
	34, // 18: chromite.api.BuildPrebuiltsRequest.chroot:type_name -> chromiumos.Chroot
	35, // 19: chromite.api.BuildPrebuiltsRequest.build_target:type_name -> chromiumos.BuildTarget
	38, // 20: chromite.api.BuildPrebuiltsResponse.host_prebuilts_path:type_name -> chromiumos.Path
	38, // 21: chromite.api.BuildPrebuiltsResponse.target_prebuilts_path:type_name -> chromiumos.Path
	34, // 22: chromite.api.BuildSdkTarballRequest.chroot:type_name -> chromiumos.Chroot
	38, // 23: chromite.api.BuildSdkTarballResponse.sdk_tarball_path:type_name -> chromiumos.Path
	34, // 24: chromite.api.CreateManifestFromSdkRequest.chroot:type_name -> chromiumos.Chroot
	38, // 25: chromite.api.CreateManifestFromSdkRequest.sdk_path:type_name -> chromiumos.Path
	38, // 26: chromite.api.CreateManifestFromSdkRequest.dest_dir:type_name -> chromiumos.Path
	38, // 27: chromite.api.CreateManifestFromSdkResponse.manifest_path:type_name -> chromiumos.Path
	34, // 28: chromite.api.UploadPrebuiltPackagesRequest.chroot:type_name -> chromiumos.Chroot
	34, // 29: chromite.api.BuildSdkToolchainRequest.chroot:type_name -> chromiumos.Chroot
	39, // 30: chromite.api.BuildSdkToolchainRequest.use_flags:type_name -> chromiumos.UseFlag
	36, // 31: chromite.api.BuildSdkToolchainRequest.result_path:type_name -> chromiumos.ResultPath
	38, // 32: chromite.api.BuildSdkToolchainResponse.generated_files:type_name -> chromiumos.Path
	1,  // 33: chromite.api.SdkService.Create:input_type -> chromite.api.CreateRequest
	3,  // 34: chromite.api.SdkService.Delete:input_type -> chromite.api.DeleteRequest
	11, // 35: chromite.api.SdkService.Clean:input_type -> chromite.api.CleanRequest
	5,  // 36: chromite.api.SdkService.Unmount:input_type -> chromite.api.UnmountRequest
	7,  // 37: chromite.api.SdkService.Update:input_type -> chromite.api.UpdateRequest
	9,  // 38: chromite.api.SdkService.Uprev:input_type -> chromite.api.UprevRequest
	14, // 39: chromite.api.SdkService.CreateSnapshot:input_type -> chromite.api.CreateSnapshotRequest
	16, // 40: chromite.api.SdkService.RestoreSnapshot:input_type -> chromite.api.RestoreSnapshotRequest
	18, // 41: chromite.api.SdkService.UnmountPath:input_type -> chromite.api.UnmountPathRequest
	20, // 42: chromite.api.SdkService.BuildPrebuilts:input_type -> chromite.api.BuildPrebuiltsRequest
	22, // 43: chromite.api.SdkService.BuildSdkTarball:input_type -> chromite.api.BuildSdkTarballRequest
	24, // 44: chromite.api.SdkService.CreateManifestFromSdk:input_type -> chromite.api.CreateManifestFromSdkRequest
	26, // 45: chromite.api.SdkService.CreateBinhostCLs:input_type -> chromite.api.CreateBinhostCLsRequest
	28, // 46: chromite.api.SdkService.UploadPrebuiltPackages:input_type -> chromite.api.UploadPrebuiltPackagesRequest
	30, // 47: chromite.api.SdkService.BuildSdkToolchain:input_type -> chromite.api.BuildSdkToolchainRequest
	2,  // 48: chromite.api.SdkService.Create:output_type -> chromite.api.CreateResponse
	4,  // 49: chromite.api.SdkService.Delete:output_type -> chromite.api.DeleteResponse
	12, // 50: chromite.api.SdkService.Clean:output_type -> chromite.api.CleanResponse
	6,  // 51: chromite.api.SdkService.Unmount:output_type -> chromite.api.UnmountResponse
	8,  // 52: chromite.api.SdkService.Update:output_type -> chromite.api.UpdateResponse
	10, // 53: chromite.api.SdkService.Uprev:output_type -> chromite.api.UprevResponse
	15, // 54: chromite.api.SdkService.CreateSnapshot:output_type -> chromite.api.CreateSnapshotResponse
	17, // 55: chromite.api.SdkService.RestoreSnapshot:output_type -> chromite.api.RestoreSnapshotResponse
	19, // 56: chromite.api.SdkService.UnmountPath:output_type -> chromite.api.UnmountPathResponse
	21, // 57: chromite.api.SdkService.BuildPrebuilts:output_type -> chromite.api.BuildPrebuiltsResponse
	23, // 58: chromite.api.SdkService.BuildSdkTarball:output_type -> chromite.api.BuildSdkTarballResponse
	25, // 59: chromite.api.SdkService.CreateManifestFromSdk:output_type -> chromite.api.CreateManifestFromSdkResponse
	27, // 60: chromite.api.SdkService.CreateBinhostCLs:output_type -> chromite.api.CreateBinhostCLsResponse
	29, // 61: chromite.api.SdkService.UploadPrebuiltPackages:output_type -> chromite.api.UploadPrebuiltPackagesResponse
	31, // 62: chromite.api.SdkService.BuildSdkToolchain:output_type -> chromite.api.BuildSdkToolchainResponse
	48, // [48:63] is the sub-list for method output_type
	33, // [33:48] is the sub-list for method input_type
	33, // [33:33] is the sub-list for extension type_name
	33, // [33:33] is the sub-list for extension extendee
	0,  // [0:33] is the sub-list for field type_name
}

func init() { file_chromite_api_sdk_proto_init() }
func file_chromite_api_sdk_proto_init() {
	if File_chromite_api_sdk_proto != nil {
		return
	}
	file_chromite_api_build_api_proto_init()
	file_chromite_api_sysroot_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_chromite_api_sdk_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChrootVersion); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UnmountRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UnmountResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UprevRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UprevResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CleanRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CleanResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SnapshotToken); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateSnapshotRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateSnapshotResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RestoreSnapshotRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RestoreSnapshotResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UnmountPathRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UnmountPathResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[20].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildPrebuiltsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[21].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildPrebuiltsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[22].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildSdkTarballRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[23].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildSdkTarballResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[24].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateManifestFromSdkRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[25].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateManifestFromSdkResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[26].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateBinhostCLsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[27].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateBinhostCLsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[28].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadPrebuiltPackagesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[29].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadPrebuiltPackagesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[30].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildSdkToolchainRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[31].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildSdkToolchainResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[32].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateRequest_Flags); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromite_api_sdk_proto_msgTypes[33].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateRequest_Flags); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_chromite_api_sdk_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   34,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_chromite_api_sdk_proto_goTypes,
		DependencyIndexes: file_chromite_api_sdk_proto_depIdxs,
		MessageInfos:      file_chromite_api_sdk_proto_msgTypes,
	}.Build()
	File_chromite_api_sdk_proto = out.File
	file_chromite_api_sdk_proto_rawDesc = nil
	file_chromite_api_sdk_proto_goTypes = nil
	file_chromite_api_sdk_proto_depIdxs = nil
}
