// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.1.0
// - protoc             v3.17.1
// source: chromite/api/sdk.proto

package api

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// SdkServiceClient is the client API for SdkService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type SdkServiceClient interface {
	// Create method, supports replacing an existing chroot.
	Create(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*CreateResponse, error)
	// Delete a chroot. Added in R79.
	Delete(ctx context.Context, in *DeleteRequest, opts ...grpc.CallOption) (*DeleteResponse, error)
	// Clean up unneeded files from the chroot. Added in R81.
	Clean(ctx context.Context, in *CleanRequest, opts ...grpc.CallOption) (*CleanResponse, error)
	// Unmount a chroot. Added in R81.
	// Deprecated.
	Unmount(ctx context.Context, in *UnmountRequest, opts ...grpc.CallOption) (*UnmountResponse, error)
	// Update the chroot.
	Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*UpdateResponse, error)
	// Uprev the SDK.
	// Creates code changes to uprev the SDK version file and prebuilt conf files.
	Uprev(ctx context.Context, in *UprevRequest, opts ...grpc.CallOption) (*UprevResponse, error)
	// Create a chroot snapshot. Added in R83.
	CreateSnapshot(ctx context.Context, in *CreateSnapshotRequest, opts ...grpc.CallOption) (*CreateSnapshotResponse, error)
	// Restore a chroot to a snapshot. Added in R83.
	RestoreSnapshot(ctx context.Context, in *RestoreSnapshotRequest, opts ...grpc.CallOption) (*RestoreSnapshotResponse, error)
	// Unmount a filesystem path and any submounts under it.  Added in R86.
	UnmountPath(ctx context.Context, in *UnmountPathRequest, opts ...grpc.CallOption) (*UnmountPathResponse, error)
	// Builds the binary packages that comprise the SDK.
	BuildPrebuilts(ctx context.Context, in *BuildPrebuiltsRequest, opts ...grpc.CallOption) (*BuildPrebuiltsResponse, error)
	// Creates a tarball from a previously built SDK.
	BuildSdkTarball(ctx context.Context, in *BuildSdkTarballRequest, opts ...grpc.CallOption) (*BuildSdkTarballResponse, error)
	// Create a manifest file showing the ebuilds in an SDK.
	CreateManifestFromSdk(ctx context.Context, in *CreateManifestFromSdkRequest, opts ...grpc.CallOption) (*CreateManifestFromSdkResponse, error)
	// Creates CLs to point the binhost at uploaded prebuilts.
	CreateBinhostCLs(ctx context.Context, in *CreateBinhostCLsRequest, opts ...grpc.CallOption) (*CreateBinhostCLsResponse, error)
	// Uploads prebuilt packages (such as built by BuildPrebuilts).
	UploadPrebuiltPackages(ctx context.Context, in *UploadPrebuiltPackagesRequest, opts ...grpc.CallOption) (*UploadPrebuiltPackagesResponse, error)
	// Build toolchain cross-compilers for the SDK.
	BuildSdkToolchain(ctx context.Context, in *BuildSdkToolchainRequest, opts ...grpc.CallOption) (*BuildSdkToolchainResponse, error)
}

type sdkServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewSdkServiceClient(cc grpc.ClientConnInterface) SdkServiceClient {
	return &sdkServiceClient{cc}
}

func (c *sdkServiceClient) Create(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*CreateResponse, error) {
	out := new(CreateResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) Delete(ctx context.Context, in *DeleteRequest, opts ...grpc.CallOption) (*DeleteResponse, error) {
	out := new(DeleteResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/Delete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) Clean(ctx context.Context, in *CleanRequest, opts ...grpc.CallOption) (*CleanResponse, error) {
	out := new(CleanResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/Clean", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) Unmount(ctx context.Context, in *UnmountRequest, opts ...grpc.CallOption) (*UnmountResponse, error) {
	out := new(UnmountResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/Unmount", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*UpdateResponse, error) {
	out := new(UpdateResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) Uprev(ctx context.Context, in *UprevRequest, opts ...grpc.CallOption) (*UprevResponse, error) {
	out := new(UprevResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/Uprev", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) CreateSnapshot(ctx context.Context, in *CreateSnapshotRequest, opts ...grpc.CallOption) (*CreateSnapshotResponse, error) {
	out := new(CreateSnapshotResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/CreateSnapshot", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) RestoreSnapshot(ctx context.Context, in *RestoreSnapshotRequest, opts ...grpc.CallOption) (*RestoreSnapshotResponse, error) {
	out := new(RestoreSnapshotResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/RestoreSnapshot", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) UnmountPath(ctx context.Context, in *UnmountPathRequest, opts ...grpc.CallOption) (*UnmountPathResponse, error) {
	out := new(UnmountPathResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/UnmountPath", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) BuildPrebuilts(ctx context.Context, in *BuildPrebuiltsRequest, opts ...grpc.CallOption) (*BuildPrebuiltsResponse, error) {
	out := new(BuildPrebuiltsResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/BuildPrebuilts", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) BuildSdkTarball(ctx context.Context, in *BuildSdkTarballRequest, opts ...grpc.CallOption) (*BuildSdkTarballResponse, error) {
	out := new(BuildSdkTarballResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/BuildSdkTarball", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) CreateManifestFromSdk(ctx context.Context, in *CreateManifestFromSdkRequest, opts ...grpc.CallOption) (*CreateManifestFromSdkResponse, error) {
	out := new(CreateManifestFromSdkResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/CreateManifestFromSdk", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) CreateBinhostCLs(ctx context.Context, in *CreateBinhostCLsRequest, opts ...grpc.CallOption) (*CreateBinhostCLsResponse, error) {
	out := new(CreateBinhostCLsResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/CreateBinhostCLs", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) UploadPrebuiltPackages(ctx context.Context, in *UploadPrebuiltPackagesRequest, opts ...grpc.CallOption) (*UploadPrebuiltPackagesResponse, error) {
	out := new(UploadPrebuiltPackagesResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/UploadPrebuiltPackages", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sdkServiceClient) BuildSdkToolchain(ctx context.Context, in *BuildSdkToolchainRequest, opts ...grpc.CallOption) (*BuildSdkToolchainResponse, error) {
	out := new(BuildSdkToolchainResponse)
	err := c.cc.Invoke(ctx, "/chromite.api.SdkService/BuildSdkToolchain", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// SdkServiceServer is the server API for SdkService service.
// All implementations must embed UnimplementedSdkServiceServer
// for forward compatibility
type SdkServiceServer interface {
	// Create method, supports replacing an existing chroot.
	Create(context.Context, *CreateRequest) (*CreateResponse, error)
	// Delete a chroot. Added in R79.
	Delete(context.Context, *DeleteRequest) (*DeleteResponse, error)
	// Clean up unneeded files from the chroot. Added in R81.
	Clean(context.Context, *CleanRequest) (*CleanResponse, error)
	// Unmount a chroot. Added in R81.
	// Deprecated.
	Unmount(context.Context, *UnmountRequest) (*UnmountResponse, error)
	// Update the chroot.
	Update(context.Context, *UpdateRequest) (*UpdateResponse, error)
	// Uprev the SDK.
	// Creates code changes to uprev the SDK version file and prebuilt conf files.
	Uprev(context.Context, *UprevRequest) (*UprevResponse, error)
	// Create a chroot snapshot. Added in R83.
	CreateSnapshot(context.Context, *CreateSnapshotRequest) (*CreateSnapshotResponse, error)
	// Restore a chroot to a snapshot. Added in R83.
	RestoreSnapshot(context.Context, *RestoreSnapshotRequest) (*RestoreSnapshotResponse, error)
	// Unmount a filesystem path and any submounts under it.  Added in R86.
	UnmountPath(context.Context, *UnmountPathRequest) (*UnmountPathResponse, error)
	// Builds the binary packages that comprise the SDK.
	BuildPrebuilts(context.Context, *BuildPrebuiltsRequest) (*BuildPrebuiltsResponse, error)
	// Creates a tarball from a previously built SDK.
	BuildSdkTarball(context.Context, *BuildSdkTarballRequest) (*BuildSdkTarballResponse, error)
	// Create a manifest file showing the ebuilds in an SDK.
	CreateManifestFromSdk(context.Context, *CreateManifestFromSdkRequest) (*CreateManifestFromSdkResponse, error)
	// Creates CLs to point the binhost at uploaded prebuilts.
	CreateBinhostCLs(context.Context, *CreateBinhostCLsRequest) (*CreateBinhostCLsResponse, error)
	// Uploads prebuilt packages (such as built by BuildPrebuilts).
	UploadPrebuiltPackages(context.Context, *UploadPrebuiltPackagesRequest) (*UploadPrebuiltPackagesResponse, error)
	// Build toolchain cross-compilers for the SDK.
	BuildSdkToolchain(context.Context, *BuildSdkToolchainRequest) (*BuildSdkToolchainResponse, error)
	mustEmbedUnimplementedSdkServiceServer()
}

// UnimplementedSdkServiceServer must be embedded to have forward compatible implementations.
type UnimplementedSdkServiceServer struct {
}

func (UnimplementedSdkServiceServer) Create(context.Context, *CreateRequest) (*CreateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (UnimplementedSdkServiceServer) Delete(context.Context, *DeleteRequest) (*DeleteResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}
func (UnimplementedSdkServiceServer) Clean(context.Context, *CleanRequest) (*CleanResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Clean not implemented")
}
func (UnimplementedSdkServiceServer) Unmount(context.Context, *UnmountRequest) (*UnmountResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Unmount not implemented")
}
func (UnimplementedSdkServiceServer) Update(context.Context, *UpdateRequest) (*UpdateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (UnimplementedSdkServiceServer) Uprev(context.Context, *UprevRequest) (*UprevResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Uprev not implemented")
}
func (UnimplementedSdkServiceServer) CreateSnapshot(context.Context, *CreateSnapshotRequest) (*CreateSnapshotResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateSnapshot not implemented")
}
func (UnimplementedSdkServiceServer) RestoreSnapshot(context.Context, *RestoreSnapshotRequest) (*RestoreSnapshotResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RestoreSnapshot not implemented")
}
func (UnimplementedSdkServiceServer) UnmountPath(context.Context, *UnmountPathRequest) (*UnmountPathResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UnmountPath not implemented")
}
func (UnimplementedSdkServiceServer) BuildPrebuilts(context.Context, *BuildPrebuiltsRequest) (*BuildPrebuiltsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BuildPrebuilts not implemented")
}
func (UnimplementedSdkServiceServer) BuildSdkTarball(context.Context, *BuildSdkTarballRequest) (*BuildSdkTarballResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BuildSdkTarball not implemented")
}
func (UnimplementedSdkServiceServer) CreateManifestFromSdk(context.Context, *CreateManifestFromSdkRequest) (*CreateManifestFromSdkResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateManifestFromSdk not implemented")
}
func (UnimplementedSdkServiceServer) CreateBinhostCLs(context.Context, *CreateBinhostCLsRequest) (*CreateBinhostCLsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateBinhostCLs not implemented")
}
func (UnimplementedSdkServiceServer) UploadPrebuiltPackages(context.Context, *UploadPrebuiltPackagesRequest) (*UploadPrebuiltPackagesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UploadPrebuiltPackages not implemented")
}
func (UnimplementedSdkServiceServer) BuildSdkToolchain(context.Context, *BuildSdkToolchainRequest) (*BuildSdkToolchainResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BuildSdkToolchain not implemented")
}
func (UnimplementedSdkServiceServer) mustEmbedUnimplementedSdkServiceServer() {}

// UnsafeSdkServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to SdkServiceServer will
// result in compilation errors.
type UnsafeSdkServiceServer interface {
	mustEmbedUnimplementedSdkServiceServer()
}

func RegisterSdkServiceServer(s grpc.ServiceRegistrar, srv SdkServiceServer) {
	s.RegisterService(&SdkService_ServiceDesc, srv)
}

func _SdkService_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).Create(ctx, req.(*CreateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).Delete(ctx, req.(*DeleteRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_Clean_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CleanRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).Clean(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/Clean",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).Clean(ctx, req.(*CleanRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_Unmount_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnmountRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).Unmount(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/Unmount",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).Unmount(ctx, req.(*UnmountRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).Update(ctx, req.(*UpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_Uprev_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UprevRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).Uprev(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/Uprev",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).Uprev(ctx, req.(*UprevRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_CreateSnapshot_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateSnapshotRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).CreateSnapshot(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/CreateSnapshot",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).CreateSnapshot(ctx, req.(*CreateSnapshotRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_RestoreSnapshot_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RestoreSnapshotRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).RestoreSnapshot(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/RestoreSnapshot",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).RestoreSnapshot(ctx, req.(*RestoreSnapshotRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_UnmountPath_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnmountPathRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).UnmountPath(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/UnmountPath",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).UnmountPath(ctx, req.(*UnmountPathRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_BuildPrebuilts_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BuildPrebuiltsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).BuildPrebuilts(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/BuildPrebuilts",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).BuildPrebuilts(ctx, req.(*BuildPrebuiltsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_BuildSdkTarball_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BuildSdkTarballRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).BuildSdkTarball(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/BuildSdkTarball",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).BuildSdkTarball(ctx, req.(*BuildSdkTarballRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_CreateManifestFromSdk_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateManifestFromSdkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).CreateManifestFromSdk(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/CreateManifestFromSdk",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).CreateManifestFromSdk(ctx, req.(*CreateManifestFromSdkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_CreateBinhostCLs_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateBinhostCLsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).CreateBinhostCLs(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/CreateBinhostCLs",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).CreateBinhostCLs(ctx, req.(*CreateBinhostCLsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_UploadPrebuiltPackages_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UploadPrebuiltPackagesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).UploadPrebuiltPackages(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/UploadPrebuiltPackages",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).UploadPrebuiltPackages(ctx, req.(*UploadPrebuiltPackagesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SdkService_BuildSdkToolchain_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BuildSdkToolchainRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SdkServiceServer).BuildSdkToolchain(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/chromite.api.SdkService/BuildSdkToolchain",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SdkServiceServer).BuildSdkToolchain(ctx, req.(*BuildSdkToolchainRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// SdkService_ServiceDesc is the grpc.ServiceDesc for SdkService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var SdkService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "chromite.api.SdkService",
	HandlerType: (*SdkServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _SdkService_Create_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _SdkService_Delete_Handler,
		},
		{
			MethodName: "Clean",
			Handler:    _SdkService_Clean_Handler,
		},
		{
			MethodName: "Unmount",
			Handler:    _SdkService_Unmount_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _SdkService_Update_Handler,
		},
		{
			MethodName: "Uprev",
			Handler:    _SdkService_Uprev_Handler,
		},
		{
			MethodName: "CreateSnapshot",
			Handler:    _SdkService_CreateSnapshot_Handler,
		},
		{
			MethodName: "RestoreSnapshot",
			Handler:    _SdkService_RestoreSnapshot_Handler,
		},
		{
			MethodName: "UnmountPath",
			Handler:    _SdkService_UnmountPath_Handler,
		},
		{
			MethodName: "BuildPrebuilts",
			Handler:    _SdkService_BuildPrebuilts_Handler,
		},
		{
			MethodName: "BuildSdkTarball",
			Handler:    _SdkService_BuildSdkTarball_Handler,
		},
		{
			MethodName: "CreateManifestFromSdk",
			Handler:    _SdkService_CreateManifestFromSdk_Handler,
		},
		{
			MethodName: "CreateBinhostCLs",
			Handler:    _SdkService_CreateBinhostCLs_Handler,
		},
		{
			MethodName: "UploadPrebuiltPackages",
			Handler:    _SdkService_UploadPrebuiltPackages_Handler,
		},
		{
			MethodName: "BuildSdkToolchain",
			Handler:    _SdkService_BuildSdkToolchain_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "chromite/api/sdk.proto",
}
