// Copyright 2023 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: chromiumos/conductor.proto

package chromiumos

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Define protos for the Build Conductor. See go/cros-infra:build-conductor-dd
// for details.
type RetryRule struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// If `insufficient` is true, this rule alone is insufficient cause for retry.
	// However, limits (such as cutoff_percent, max_retries, etc.) will still be
	// enforced.
	// A common use case for this field is a "catch-all" rule we want to impose
	// a global max_retries (by matching all builds) but we don't want to just
	// retry everything.
	Insufficient bool `protobuf:"varint,10,opt,name=insufficient,proto3" json:"insufficient,omitempty"`
	// Will be converted to the Status enum, but passed as an int here to
	// prevent a dependency on the luci-go repo.
	// See
	// https://chromium.googlesource.com/infra/luci/luci-go/+/master/buildbucket/proto/common.proto
	Status            []int32   `protobuf:"varint,1,rep,packed,name=status,proto3" json:"status,omitempty"`
	BuilderNameRe     []string  `protobuf:"bytes,2,rep,name=builder_name_re,json=builderNameRe,proto3" json:"builder_name_re,omitempty"`
	SummaryMarkdownRe []string  `protobuf:"bytes,3,rep,name=summary_markdown_re,json=summaryMarkdownRe,proto3" json:"summary_markdown_re,omitempty"`
	FailedCheckpoint  RetryStep `protobuf:"varint,4,opt,name=failed_checkpoint,json=failedCheckpoint,proto3,enum=chromiumos.RetryStep" json:"failed_checkpoint,omitempty"`
	BeforeCheckpoint  RetryStep `protobuf:"varint,11,opt,name=before_checkpoint,json=beforeCheckpoint,proto3,enum=chromiumos.RetryStep" json:"before_checkpoint,omitempty"`
	// If more than a certain percent of builds fail, we'll stop retrying.
	CutoffPercent float32 `protobuf:"fixed32,5,opt,name=cutoff_percent,json=cutoffPercent,proto3" json:"cutoff_percent,omitempty"`
	// If we're more than this many seconds into this build collection, don't
	// retry.
	CutoffSeconds int32 `protobuf:"varint,6,opt,name=cutoff_seconds,json=cutoffSeconds,proto3" json:"cutoff_seconds,omitempty"`
	// Don't retry builds that have been running for more than build_runtime
	// seconds.
	BuildRuntimeCutoff int32 `protobuf:"varint,9,opt,name=build_runtime_cutoff,json=buildRuntimeCutoff,proto3" json:"build_runtime_cutoff,omitempty"`
	// Maximum number of retries to do.
	MaxRetries int32 `protobuf:"varint,7,opt,name=max_retries,json=maxRetries,proto3" json:"max_retries,omitempty"`
	// Maximum number of retries to do per build.
	MaxRetriesPerBuild int32 `protobuf:"varint,8,opt,name=max_retries_per_build,json=maxRetriesPerBuild,proto3" json:"max_retries_per_build,omitempty"`
}

func (x *RetryRule) Reset() {
	*x = RetryRule{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_conductor_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RetryRule) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RetryRule) ProtoMessage() {}

func (x *RetryRule) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_conductor_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RetryRule.ProtoReflect.Descriptor instead.
func (*RetryRule) Descriptor() ([]byte, []int) {
	return file_chromiumos_conductor_proto_rawDescGZIP(), []int{0}
}

func (x *RetryRule) GetInsufficient() bool {
	if x != nil {
		return x.Insufficient
	}
	return false
}

func (x *RetryRule) GetStatus() []int32 {
	if x != nil {
		return x.Status
	}
	return nil
}

func (x *RetryRule) GetBuilderNameRe() []string {
	if x != nil {
		return x.BuilderNameRe
	}
	return nil
}

func (x *RetryRule) GetSummaryMarkdownRe() []string {
	if x != nil {
		return x.SummaryMarkdownRe
	}
	return nil
}

func (x *RetryRule) GetFailedCheckpoint() RetryStep {
	if x != nil {
		return x.FailedCheckpoint
	}
	return RetryStep_UNDEFINED
}

func (x *RetryRule) GetBeforeCheckpoint() RetryStep {
	if x != nil {
		return x.BeforeCheckpoint
	}
	return RetryStep_UNDEFINED
}

func (x *RetryRule) GetCutoffPercent() float32 {
	if x != nil {
		return x.CutoffPercent
	}
	return 0
}

func (x *RetryRule) GetCutoffSeconds() int32 {
	if x != nil {
		return x.CutoffSeconds
	}
	return 0
}

func (x *RetryRule) GetBuildRuntimeCutoff() int32 {
	if x != nil {
		return x.BuildRuntimeCutoff
	}
	return 0
}

func (x *RetryRule) GetMaxRetries() int32 {
	if x != nil {
		return x.MaxRetries
	}
	return 0
}

func (x *RetryRule) GetMaxRetriesPerBuild() int32 {
	if x != nil {
		return x.MaxRetriesPerBuild
	}
	return 0
}

type CollectConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Rules []*RetryRule `protobuf:"bytes,1,rep,name=rules,proto3" json:"rules,omitempty"`
}

func (x *CollectConfig) Reset() {
	*x = CollectConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_conductor_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CollectConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CollectConfig) ProtoMessage() {}

func (x *CollectConfig) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_conductor_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CollectConfig.ProtoReflect.Descriptor instead.
func (*CollectConfig) Descriptor() ([]byte, []int) {
	return file_chromiumos_conductor_proto_rawDescGZIP(), []int{1}
}

func (x *CollectConfig) GetRules() []*RetryRule {
	if x != nil {
		return x.Rules
	}
	return nil
}

var File_chromiumos_conductor_proto protoreflect.FileDescriptor

var file_chromiumos_conductor_proto_rawDesc = []byte{
	0x0a, 0x1a, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x63, 0x6f, 0x6e,
	0x64, 0x75, 0x63, 0x74, 0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x63, 0x68,
	0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x1a, 0x1b, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xfb, 0x03, 0x0a, 0x09, 0x52, 0x65, 0x74, 0x72, 0x79, 0x52,
	0x75, 0x6c, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x69, 0x6e, 0x73, 0x75, 0x66, 0x66, 0x69, 0x63, 0x69,
	0x65, 0x6e, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0c, 0x69, 0x6e, 0x73, 0x75, 0x66,
	0x66, 0x69, 0x63, 0x69, 0x65, 0x6e, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x05, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12,
	0x26, 0x0a, 0x0f, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x65, 0x72, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x5f,
	0x72, 0x65, 0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0d, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x65,
	0x72, 0x4e, 0x61, 0x6d, 0x65, 0x52, 0x65, 0x12, 0x2e, 0x0a, 0x13, 0x73, 0x75, 0x6d, 0x6d, 0x61,
	0x72, 0x79, 0x5f, 0x6d, 0x61, 0x72, 0x6b, 0x64, 0x6f, 0x77, 0x6e, 0x5f, 0x72, 0x65, 0x18, 0x03,
	0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x73, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79, 0x4d, 0x61, 0x72,
	0x6b, 0x64, 0x6f, 0x77, 0x6e, 0x52, 0x65, 0x12, 0x42, 0x0a, 0x11, 0x66, 0x61, 0x69, 0x6c, 0x65,
	0x64, 0x5f, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e,
	0x52, 0x65, 0x74, 0x72, 0x79, 0x53, 0x74, 0x65, 0x70, 0x52, 0x10, 0x66, 0x61, 0x69, 0x6c, 0x65,
	0x64, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x42, 0x0a, 0x11, 0x62,
	0x65, 0x66, 0x6f, 0x72, 0x65, 0x5f, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x70, 0x6f, 0x69, 0x6e, 0x74,
	0x18, 0x0b, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x2e, 0x52, 0x65, 0x74, 0x72, 0x79, 0x53, 0x74, 0x65, 0x70, 0x52, 0x10, 0x62,
	0x65, 0x66, 0x6f, 0x72, 0x65, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12,
	0x25, 0x0a, 0x0e, 0x63, 0x75, 0x74, 0x6f, 0x66, 0x66, 0x5f, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e,
	0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0d, 0x63, 0x75, 0x74, 0x6f, 0x66, 0x66, 0x50,
	0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x12, 0x25, 0x0a, 0x0e, 0x63, 0x75, 0x74, 0x6f, 0x66, 0x66,
	0x5f, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d,
	0x63, 0x75, 0x74, 0x6f, 0x66, 0x66, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x12, 0x30, 0x0a,
	0x14, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x5f, 0x63,
	0x75, 0x74, 0x6f, 0x66, 0x66, 0x18, 0x09, 0x20, 0x01, 0x28, 0x05, 0x52, 0x12, 0x62, 0x75, 0x69,
	0x6c, 0x64, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x43, 0x75, 0x74, 0x6f, 0x66, 0x66, 0x12,
	0x1f, 0x0a, 0x0b, 0x6d, 0x61, 0x78, 0x5f, 0x72, 0x65, 0x74, 0x72, 0x69, 0x65, 0x73, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x0a, 0x6d, 0x61, 0x78, 0x52, 0x65, 0x74, 0x72, 0x69, 0x65, 0x73,
	0x12, 0x31, 0x0a, 0x15, 0x6d, 0x61, 0x78, 0x5f, 0x72, 0x65, 0x74, 0x72, 0x69, 0x65, 0x73, 0x5f,
	0x70, 0x65, 0x72, 0x5f, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x12, 0x6d, 0x61, 0x78, 0x52, 0x65, 0x74, 0x72, 0x69, 0x65, 0x73, 0x50, 0x65, 0x72, 0x42, 0x75,
	0x69, 0x6c, 0x64, 0x22, 0x3c, 0x0a, 0x0d, 0x43, 0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x43, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x12, 0x2b, 0x0a, 0x05, 0x72, 0x75, 0x6c, 0x65, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x52, 0x65, 0x74, 0x72, 0x79, 0x52, 0x75, 0x6c, 0x65, 0x52, 0x05, 0x72, 0x75, 0x6c, 0x65,
	0x73, 0x42, 0x59, 0x0a, 0x21, 0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x2e, 0x63, 0x72, 0x6f, 0x73, 0x69, 0x6e, 0x66, 0x72, 0x61,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x5a, 0x34, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67,
	0x6f, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_chromiumos_conductor_proto_rawDescOnce sync.Once
	file_chromiumos_conductor_proto_rawDescData = file_chromiumos_conductor_proto_rawDesc
)

func file_chromiumos_conductor_proto_rawDescGZIP() []byte {
	file_chromiumos_conductor_proto_rawDescOnce.Do(func() {
		file_chromiumos_conductor_proto_rawDescData = protoimpl.X.CompressGZIP(file_chromiumos_conductor_proto_rawDescData)
	})
	return file_chromiumos_conductor_proto_rawDescData
}

var file_chromiumos_conductor_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_chromiumos_conductor_proto_goTypes = []interface{}{
	(*RetryRule)(nil),     // 0: chromiumos.RetryRule
	(*CollectConfig)(nil), // 1: chromiumos.CollectConfig
	(RetryStep)(0),        // 2: chromiumos.RetryStep
}
var file_chromiumos_conductor_proto_depIdxs = []int32{
	2, // 0: chromiumos.RetryRule.failed_checkpoint:type_name -> chromiumos.RetryStep
	2, // 1: chromiumos.RetryRule.before_checkpoint:type_name -> chromiumos.RetryStep
	0, // 2: chromiumos.CollectConfig.rules:type_name -> chromiumos.RetryRule
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_chromiumos_conductor_proto_init() }
func file_chromiumos_conductor_proto_init() {
	if File_chromiumos_conductor_proto != nil {
		return
	}
	file_chromiumos_checkpoint_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_chromiumos_conductor_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RetryRule); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_conductor_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CollectConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_chromiumos_conductor_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_chromiumos_conductor_proto_goTypes,
		DependencyIndexes: file_chromiumos_conductor_proto_depIdxs,
		MessageInfos:      file_chromiumos_conductor_proto_msgTypes,
	}.Build()
	File_chromiumos_conductor_proto = out.File
	file_chromiumos_conductor_proto_rawDesc = nil
	file_chromiumos_conductor_proto_goTypes = nil
	file_chromiumos_conductor_proto_depIdxs = nil
}
