// Copyright 2023 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: chromiumos/signing.proto

package chromiumos

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SigningStatus int32

const (
	SigningStatus_STATUS_UNDEFINED SigningStatus = 0
	SigningStatus_STATUS_SUCCESS   SigningStatus = 1
	SigningStatus_STATUS_FAILURE   SigningStatus = 2
)

// Enum value maps for SigningStatus.
var (
	SigningStatus_name = map[int32]string{
		0: "STATUS_UNDEFINED",
		1: "STATUS_SUCCESS",
		2: "STATUS_FAILURE",
	}
	SigningStatus_value = map[string]int32{
		"STATUS_UNDEFINED": 0,
		"STATUS_SUCCESS":   1,
		"STATUS_FAILURE":   2,
	}
)

func (x SigningStatus) Enum() *SigningStatus {
	p := new(SigningStatus)
	*p = x
	return p
}

func (x SigningStatus) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SigningStatus) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_signing_proto_enumTypes[0].Descriptor()
}

func (SigningStatus) Type() protoreflect.EnumType {
	return &file_chromiumos_signing_proto_enumTypes[0]
}

func (x SigningStatus) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use SigningStatus.Descriptor instead.
func (SigningStatus) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_signing_proto_rawDescGZIP(), []int{0}
}

type SigningConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Display / logical name of this signing config, if any.
	DisplayName string `protobuf:"bytes,1,opt,name=display_name,json=displayName,proto3" json:"display_name,omitempty"`
	// Keyset to sign with. Corresponds to TODO in CloudKMS, see go/TODO for
	// more information.
	Keyset string `protobuf:"bytes,2,opt,name=keyset,proto3" json:"keyset,omitempty"`
	// The channel to sign for.
	// Not intended for specification in config files -- this field is populated
	// at run time.
	Channel Channel `protobuf:"varint,10,opt,name=channel,proto3,enum=chromiumos.Channel" json:"channel,omitempty"`
	// The ChromeOS version for the artifact we're signing. Used in generating
	// output names. Not intended for specification in config files -- this
	// field is populated at run time.
	// Just the platform version, e.g. "15603.0.0".
	Version string `protobuf:"bytes,11,opt,name=version,proto3" json:"version,omitempty"`
	// Image type that this signing config applies to.
	ImageType ImageType `protobuf:"varint,3,opt,name=image_type,json=imageType,proto3,enum=chromiumos.ImageType" json:"image_type,omitempty"`
	// Miscellaneous signing parameters.
	// TODO(b/298026507): Figure out what these do and whether we need to keep
	// them.
	RecoveryZip      bool `protobuf:"varint,4,opt,name=recovery_zip,json=recoveryZip,proto3" json:"recovery_zip,omitempty"`
	EnsureNoPassword bool `protobuf:"varint,5,opt,name=ensure_no_password,json=ensureNoPassword,proto3" json:"ensure_no_password,omitempty"`
	FirmwareUpdate   bool `protobuf:"varint,6,opt,name=firmware_update,json=firmwareUpdate,proto3" json:"firmware_update,omitempty"`
	// Specific files to sign within the given archive.
	// If not set, defaults will be used.
	// Legacy defaults:
	// https://source.corp.google.com/h/chrome-internal/chromeos/codesearch/+/main:src/platform/signing/signer-staging/signer/signing_poller.py;drc=0a0d9436f754f6e8c244e5bf1d6370c59316852b;l=600
	InputFiles []string `protobuf:"bytes,7,rep,name=input_files,json=inputFiles,proto3" json:"input_files,omitempty"`
	// Templates for naming the output files for files specified in `input_files`.
	// See go/cros-signer-docs for a description of templating.
	// Must either be the same length as `input_files`, length 1 (assuming
	// a templating directive like @BASENAME@ is used to properly disambiguate
	// outputs), or length 0 (in which case a default template will be used,
	// which has no guarantee wrt disambiguation/clobbering).
	// Legacy behavior:
	// https://source.corp.google.com/h/chrome-internal/chromeos/codesearch/+/main:src/platform/signing/signer-staging/signer/signing_poller.py;drc=0a0d9436f754f6e8c244e5bf1d6370c59316852b;l=933
	OutputNames []string `protobuf:"bytes,8,rep,name=output_names,json=outputNames,proto3" json:"output_names,omitempty"`
	// Path of the archive to sign.
	// Not intended for specification in config files -- this field is populated
	// at run time.
	ArchivePath string `protobuf:"bytes,9,opt,name=archive_path,json=archivePath,proto3" json:"archive_path,omitempty"`
}

func (x *SigningConfig) Reset() {
	*x = SigningConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_signing_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SigningConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SigningConfig) ProtoMessage() {}

func (x *SigningConfig) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_signing_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SigningConfig.ProtoReflect.Descriptor instead.
func (*SigningConfig) Descriptor() ([]byte, []int) {
	return file_chromiumos_signing_proto_rawDescGZIP(), []int{0}
}

func (x *SigningConfig) GetDisplayName() string {
	if x != nil {
		return x.DisplayName
	}
	return ""
}

func (x *SigningConfig) GetKeyset() string {
	if x != nil {
		return x.Keyset
	}
	return ""
}

func (x *SigningConfig) GetChannel() Channel {
	if x != nil {
		return x.Channel
	}
	return Channel_CHANNEL_UNSPECIFIED
}

func (x *SigningConfig) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *SigningConfig) GetImageType() ImageType {
	if x != nil {
		return x.ImageType
	}
	return ImageType_IMAGE_TYPE_UNDEFINED
}

func (x *SigningConfig) GetRecoveryZip() bool {
	if x != nil {
		return x.RecoveryZip
	}
	return false
}

func (x *SigningConfig) GetEnsureNoPassword() bool {
	if x != nil {
		return x.EnsureNoPassword
	}
	return false
}

func (x *SigningConfig) GetFirmwareUpdate() bool {
	if x != nil {
		return x.FirmwareUpdate
	}
	return false
}

func (x *SigningConfig) GetInputFiles() []string {
	if x != nil {
		return x.InputFiles
	}
	return nil
}

func (x *SigningConfig) GetOutputNames() []string {
	if x != nil {
		return x.OutputNames
	}
	return nil
}

func (x *SigningConfig) GetArchivePath() string {
	if x != nil {
		return x.ArchivePath
	}
	return ""
}

type BuildTargetSigningConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Signing config(s) for a specific build target.
	BuildTarget    string           `protobuf:"bytes,1,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
	SigningConfigs []*SigningConfig `protobuf:"bytes,2,rep,name=signing_configs,json=signingConfigs,proto3" json:"signing_configs,omitempty"`
}

func (x *BuildTargetSigningConfig) Reset() {
	*x = BuildTargetSigningConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_signing_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildTargetSigningConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildTargetSigningConfig) ProtoMessage() {}

func (x *BuildTargetSigningConfig) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_signing_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildTargetSigningConfig.ProtoReflect.Descriptor instead.
func (*BuildTargetSigningConfig) Descriptor() ([]byte, []int) {
	return file_chromiumos_signing_proto_rawDescGZIP(), []int{1}
}

func (x *BuildTargetSigningConfig) GetBuildTarget() string {
	if x != nil {
		return x.BuildTarget
	}
	return ""
}

func (x *BuildTargetSigningConfig) GetSigningConfigs() []*SigningConfig {
	if x != nil {
		return x.SigningConfigs
	}
	return nil
}

type BuildTargetSigningConfigs struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	BuildTargetSigningConfigs []*BuildTargetSigningConfig `protobuf:"bytes,1,rep,name=build_target_signing_configs,json=buildTargetSigningConfigs,proto3" json:"build_target_signing_configs,omitempty"`
}

func (x *BuildTargetSigningConfigs) Reset() {
	*x = BuildTargetSigningConfigs{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_signing_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildTargetSigningConfigs) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildTargetSigningConfigs) ProtoMessage() {}

func (x *BuildTargetSigningConfigs) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_signing_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildTargetSigningConfigs.ProtoReflect.Descriptor instead.
func (*BuildTargetSigningConfigs) Descriptor() ([]byte, []int) {
	return file_chromiumos_signing_proto_rawDescGZIP(), []int{2}
}

func (x *BuildTargetSigningConfigs) GetBuildTargetSigningConfigs() []*BuildTargetSigningConfig {
	if x != nil {
		return x.BuildTargetSigningConfigs
	}
	return nil
}

type SignedArtifact struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Status of the signing operation.
	Status SigningStatus `protobuf:"varint,1,opt,name=status,proto3,enum=chromiumos.SigningStatus" json:"status,omitempty"`
	// The versioned name of the signed artifact.
	SignedArtifactName string `protobuf:"bytes,2,opt,name=signed_artifact_name,json=signedArtifactName,proto3" json:"signed_artifact_name,omitempty"`
}

func (x *SignedArtifact) Reset() {
	*x = SignedArtifact{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_signing_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SignedArtifact) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SignedArtifact) ProtoMessage() {}

func (x *SignedArtifact) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_signing_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SignedArtifact.ProtoReflect.Descriptor instead.
func (*SignedArtifact) Descriptor() ([]byte, []int) {
	return file_chromiumos_signing_proto_rawDescGZIP(), []int{3}
}

func (x *SignedArtifact) GetStatus() SigningStatus {
	if x != nil {
		return x.Status
	}
	return SigningStatus_STATUS_UNDEFINED
}

func (x *SignedArtifact) GetSignedArtifactName() string {
	if x != nil {
		return x.SignedArtifactName
	}
	return ""
}

type ArchiveArtifacts struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The name of the unsigned archive.
	InputArchiveName string `protobuf:"bytes,1,opt,name=input_archive_name,json=inputArchiveName,proto3" json:"input_archive_name,omitempty"`
	// Image type of the archive.
	ImageType ImageType `protobuf:"varint,7,opt,name=image_type,json=imageType,proto3,enum=chromiumos.ImageType" json:"image_type,omitempty"`
	// Keyset used to sign the archive artifacts.
	Keyset string `protobuf:"bytes,2,opt,name=keyset,proto3" json:"keyset,omitempty"`
	// The resulting signed artifacts.
	SignedArtifacts []*SignedArtifact `protobuf:"bytes,3,rep,name=signed_artifacts,json=signedArtifacts,proto3" json:"signed_artifacts,omitempty"`
	// Signed artifacts for a specific build target.
	BuildTarget string `protobuf:"bytes,4,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
	// Channel the artifact was signed for.
	Channel Channel `protobuf:"varint,5,opt,name=channel,proto3,enum=chromiumos.Channel" json:"channel,omitempty"`
	// Status of the signing operation.
	Status SigningStatus `protobuf:"varint,6,opt,name=status,proto3,enum=chromiumos.SigningStatus" json:"status,omitempty"`
	// Keyset versions.
	KeysetVersions *KeysetVersions `protobuf:"bytes,8,opt,name=keyset_versions,json=keysetVersions,proto3" json:"keyset_versions,omitempty"`
	// Status of the signing operation.
	SigningStatus BuildReport_SignedBuildMetadata_SigningStatus `protobuf:"varint,9,opt,name=signing_status,json=signingStatus,proto3,enum=chromiumos.BuildReport_SignedBuildMetadata_SigningStatus" json:"signing_status,omitempty"`
}

func (x *ArchiveArtifacts) Reset() {
	*x = ArchiveArtifacts{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_signing_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ArchiveArtifacts) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ArchiveArtifacts) ProtoMessage() {}

func (x *ArchiveArtifacts) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_signing_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ArchiveArtifacts.ProtoReflect.Descriptor instead.
func (*ArchiveArtifacts) Descriptor() ([]byte, []int) {
	return file_chromiumos_signing_proto_rawDescGZIP(), []int{4}
}

func (x *ArchiveArtifacts) GetInputArchiveName() string {
	if x != nil {
		return x.InputArchiveName
	}
	return ""
}

func (x *ArchiveArtifacts) GetImageType() ImageType {
	if x != nil {
		return x.ImageType
	}
	return ImageType_IMAGE_TYPE_UNDEFINED
}

func (x *ArchiveArtifacts) GetKeyset() string {
	if x != nil {
		return x.Keyset
	}
	return ""
}

func (x *ArchiveArtifacts) GetSignedArtifacts() []*SignedArtifact {
	if x != nil {
		return x.SignedArtifacts
	}
	return nil
}

func (x *ArchiveArtifacts) GetBuildTarget() string {
	if x != nil {
		return x.BuildTarget
	}
	return ""
}

func (x *ArchiveArtifacts) GetChannel() Channel {
	if x != nil {
		return x.Channel
	}
	return Channel_CHANNEL_UNSPECIFIED
}

func (x *ArchiveArtifacts) GetStatus() SigningStatus {
	if x != nil {
		return x.Status
	}
	return SigningStatus_STATUS_UNDEFINED
}

func (x *ArchiveArtifacts) GetKeysetVersions() *KeysetVersions {
	if x != nil {
		return x.KeysetVersions
	}
	return nil
}

func (x *ArchiveArtifacts) GetSigningStatus() BuildReport_SignedBuildMetadata_SigningStatus {
	if x != nil {
		return x.SigningStatus
	}
	return BuildReport_SignedBuildMetadata_SIGNING_STATUS_UNKNOWN
}

type BuildTargetSignedArtifacts struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Signed artifacts, grouped by input_archive.
	ArchiveArtifacts []*ArchiveArtifacts `protobuf:"bytes,1,rep,name=archive_artifacts,json=archiveArtifacts,proto3" json:"archive_artifacts,omitempty"`
}

func (x *BuildTargetSignedArtifacts) Reset() {
	*x = BuildTargetSignedArtifacts{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_signing_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildTargetSignedArtifacts) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildTargetSignedArtifacts) ProtoMessage() {}

func (x *BuildTargetSignedArtifacts) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_signing_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildTargetSignedArtifacts.ProtoReflect.Descriptor instead.
func (*BuildTargetSignedArtifacts) Descriptor() ([]byte, []int) {
	return file_chromiumos_signing_proto_rawDescGZIP(), []int{5}
}

func (x *BuildTargetSignedArtifacts) GetArchiveArtifacts() []*ArchiveArtifacts {
	if x != nil {
		return x.ArchiveArtifacts
	}
	return nil
}

type KeysetVersions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Version numbers of keysets used by signing.
	FirmwareKeyVersion int32 `protobuf:"varint,1,opt,name=firmware_key_version,json=firmwareKeyVersion,proto3" json:"firmware_key_version,omitempty"`
	FirmwareVersion    int32 `protobuf:"varint,2,opt,name=firmware_version,json=firmwareVersion,proto3" json:"firmware_version,omitempty"`
	KernelKeyVersion   int32 `protobuf:"varint,3,opt,name=kernel_key_version,json=kernelKeyVersion,proto3" json:"kernel_key_version,omitempty"`
	KernelVersion      int32 `protobuf:"varint,4,opt,name=kernel_version,json=kernelVersion,proto3" json:"kernel_version,omitempty"`
}

func (x *KeysetVersions) Reset() {
	*x = KeysetVersions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_signing_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *KeysetVersions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*KeysetVersions) ProtoMessage() {}

func (x *KeysetVersions) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_signing_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use KeysetVersions.ProtoReflect.Descriptor instead.
func (*KeysetVersions) Descriptor() ([]byte, []int) {
	return file_chromiumos_signing_proto_rawDescGZIP(), []int{6}
}

func (x *KeysetVersions) GetFirmwareKeyVersion() int32 {
	if x != nil {
		return x.FirmwareKeyVersion
	}
	return 0
}

func (x *KeysetVersions) GetFirmwareVersion() int32 {
	if x != nil {
		return x.FirmwareVersion
	}
	return 0
}

func (x *KeysetVersions) GetKernelKeyVersion() int32 {
	if x != nil {
		return x.KernelKeyVersion
	}
	return 0
}

func (x *KeysetVersions) GetKernelVersion() int32 {
	if x != nil {
		return x.KernelVersion
	}
	return 0
}

var File_chromiumos_signing_proto protoreflect.FileDescriptor

var file_chromiumos_signing_proto_rawDesc = []byte{
	0x0a, 0x18, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x73, 0x69, 0x67,
	0x6e, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x1a, 0x1d, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2f, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x72, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f,
	0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xaa,
	0x03, 0x0a, 0x0d, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x12, 0x21, 0x0a, 0x0c, 0x64, 0x69, 0x73, 0x70, 0x6c, 0x61, 0x79, 0x5f, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x69, 0x73, 0x70, 0x6c, 0x61, 0x79, 0x4e,
	0x61, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x6b, 0x65, 0x79, 0x73, 0x65, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x6b, 0x65, 0x79, 0x73, 0x65, 0x74, 0x12, 0x2d, 0x0a, 0x07, 0x63,
	0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x61, 0x6e, 0x6e, 0x65,
	0x6c, 0x52, 0x07, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x12, 0x34, 0x0a, 0x0a, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x09, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x72, 0x65,
	0x63, 0x6f, 0x76, 0x65, 0x72, 0x79, 0x5f, 0x7a, 0x69, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x0b, 0x72, 0x65, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79, 0x5a, 0x69, 0x70, 0x12, 0x2c, 0x0a,
	0x12, 0x65, 0x6e, 0x73, 0x75, 0x72, 0x65, 0x5f, 0x6e, 0x6f, 0x5f, 0x70, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52, 0x10, 0x65, 0x6e, 0x73, 0x75, 0x72,
	0x65, 0x4e, 0x6f, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x27, 0x0a, 0x0f, 0x66,
	0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x06,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x0e, 0x66, 0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x5f, 0x66, 0x69,
	0x6c, 0x65, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0a, 0x69, 0x6e, 0x70, 0x75, 0x74,
	0x46, 0x69, 0x6c, 0x65, 0x73, 0x12, 0x21, 0x0a, 0x0c, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0b, 0x6f, 0x75, 0x74,
	0x70, 0x75, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x21, 0x0a, 0x0c, 0x61, 0x72, 0x63, 0x68,
	0x69, 0x76, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x61, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x50, 0x61, 0x74, 0x68, 0x22, 0x81, 0x01, 0x0a, 0x18,
	0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x69,
	0x6e, 0x67, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x21, 0x0a, 0x0c, 0x62, 0x75, 0x69, 0x6c,
	0x64, 0x5f, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x62, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x12, 0x42, 0x0a, 0x0f, 0x73,
	0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x73, 0x18, 0x02,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f,
	0x73, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52,
	0x0e, 0x73, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x73, 0x22,
	0x82, 0x01, 0x0a, 0x19, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x53,
	0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x73, 0x12, 0x65, 0x0a,
	0x1c, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x5f, 0x73, 0x69,
	0x67, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x53, 0x69, 0x67, 0x6e,
	0x69, 0x6e, 0x67, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x19, 0x62, 0x75, 0x69, 0x6c, 0x64,
	0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x73, 0x22, 0x75, 0x0a, 0x0e, 0x53, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x41, 0x72,
	0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x12, 0x31, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x19, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x30, 0x0a, 0x14, 0x73, 0x69, 0x67,
	0x6e, 0x65, 0x64, 0x5f, 0x61, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x5f, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x41,
	0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x22, 0x81, 0x04, 0x0a, 0x10,
	0x41, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x73,
	0x12, 0x2c, 0x0a, 0x12, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x5f, 0x61, 0x72, 0x63, 0x68, 0x69, 0x76,
	0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x69, 0x6e,
	0x70, 0x75, 0x74, 0x41, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x34,
	0x0a, 0x0a, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x07, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e,
	0x49, 0x6d, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x09, 0x69, 0x6d, 0x61, 0x67, 0x65,
	0x54, 0x79, 0x70, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x6b, 0x65, 0x79, 0x73, 0x65, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6b, 0x65, 0x79, 0x73, 0x65, 0x74, 0x12, 0x45, 0x0a, 0x10,
	0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x5f, 0x61, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x73,
	0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61,
	0x63, 0x74, 0x52, 0x0f, 0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61,
	0x63, 0x74, 0x73, 0x12, 0x21, 0x0a, 0x0c, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x74, 0x61, 0x72,
	0x67, 0x65, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x62, 0x75, 0x69, 0x6c, 0x64,
	0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x12, 0x2d, 0x0a, 0x07, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65,
	0x6c, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x52, 0x07, 0x63, 0x68,
	0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x12, 0x31, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x19, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x43, 0x0a, 0x0f, 0x6b, 0x65, 0x79, 0x73,
	0x65, 0x74, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x08, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x4b,
	0x65, 0x79, 0x73, 0x65, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x0e, 0x6b,
	0x65, 0x79, 0x73, 0x65, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x60, 0x0a,
	0x0e, 0x73, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18,
	0x09, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x39, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53,
	0x69, 0x67, 0x6e, 0x65, 0x64, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61,
	0x74, 0x61, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x0d, 0x73, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22,
	0x67, 0x0a, 0x1a, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x53, 0x69,
	0x67, 0x6e, 0x65, 0x64, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x73, 0x12, 0x49, 0x0a,
	0x11, 0x61, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x5f, 0x61, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63,
	0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x41, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x41, 0x72, 0x74,
	0x69, 0x66, 0x61, 0x63, 0x74, 0x73, 0x52, 0x10, 0x61, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x41,
	0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x73, 0x22, 0xc2, 0x01, 0x0a, 0x0e, 0x4b, 0x65, 0x79,
	0x73, 0x65, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x30, 0x0a, 0x14, 0x66,
	0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x5f, 0x6b, 0x65, 0x79, 0x5f, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x12, 0x66, 0x69, 0x72, 0x6d, 0x77,
	0x61, 0x72, 0x65, 0x4b, 0x65, 0x79, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x29, 0x0a,
	0x10, 0x66, 0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0f, 0x66, 0x69, 0x72, 0x6d, 0x77, 0x61, 0x72,
	0x65, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x2c, 0x0a, 0x12, 0x6b, 0x65, 0x72, 0x6e,
	0x65, 0x6c, 0x5f, 0x6b, 0x65, 0x79, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x10, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x4b, 0x65, 0x79, 0x56,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x25, 0x0a, 0x0e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c,
	0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d,
	0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x2a, 0x4d, 0x0a,
	0x0d, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x14,
	0x0a, 0x10, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x55, 0x4e, 0x44, 0x45, 0x46, 0x49, 0x4e,
	0x45, 0x44, 0x10, 0x00, 0x12, 0x12, 0x0a, 0x0e, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x53,
	0x55, 0x43, 0x43, 0x45, 0x53, 0x53, 0x10, 0x01, 0x12, 0x12, 0x0a, 0x0e, 0x53, 0x54, 0x41, 0x54,
	0x55, 0x53, 0x5f, 0x46, 0x41, 0x49, 0x4c, 0x55, 0x52, 0x45, 0x10, 0x02, 0x42, 0x59, 0x0a, 0x21,
	0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x65, 0x2e, 0x63, 0x72, 0x6f, 0x73, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x5a, 0x34, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f,
	0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x63, 0x68, 0x72,
	0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_chromiumos_signing_proto_rawDescOnce sync.Once
	file_chromiumos_signing_proto_rawDescData = file_chromiumos_signing_proto_rawDesc
)

func file_chromiumos_signing_proto_rawDescGZIP() []byte {
	file_chromiumos_signing_proto_rawDescOnce.Do(func() {
		file_chromiumos_signing_proto_rawDescData = protoimpl.X.CompressGZIP(file_chromiumos_signing_proto_rawDescData)
	})
	return file_chromiumos_signing_proto_rawDescData
}

var file_chromiumos_signing_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_chromiumos_signing_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_chromiumos_signing_proto_goTypes = []interface{}{
	(SigningStatus)(0),                                 // 0: chromiumos.SigningStatus
	(*SigningConfig)(nil),                              // 1: chromiumos.SigningConfig
	(*BuildTargetSigningConfig)(nil),                   // 2: chromiumos.BuildTargetSigningConfig
	(*BuildTargetSigningConfigs)(nil),                  // 3: chromiumos.BuildTargetSigningConfigs
	(*SignedArtifact)(nil),                             // 4: chromiumos.SignedArtifact
	(*ArchiveArtifacts)(nil),                           // 5: chromiumos.ArchiveArtifacts
	(*BuildTargetSignedArtifacts)(nil),                 // 6: chromiumos.BuildTargetSignedArtifacts
	(*KeysetVersions)(nil),                             // 7: chromiumos.KeysetVersions
	(Channel)(0),                                       // 8: chromiumos.Channel
	(ImageType)(0),                                     // 9: chromiumos.ImageType
	(BuildReport_SignedBuildMetadata_SigningStatus)(0), // 10: chromiumos.BuildReport.SignedBuildMetadata.SigningStatus
}
var file_chromiumos_signing_proto_depIdxs = []int32{
	8,  // 0: chromiumos.SigningConfig.channel:type_name -> chromiumos.Channel
	9,  // 1: chromiumos.SigningConfig.image_type:type_name -> chromiumos.ImageType
	1,  // 2: chromiumos.BuildTargetSigningConfig.signing_configs:type_name -> chromiumos.SigningConfig
	2,  // 3: chromiumos.BuildTargetSigningConfigs.build_target_signing_configs:type_name -> chromiumos.BuildTargetSigningConfig
	0,  // 4: chromiumos.SignedArtifact.status:type_name -> chromiumos.SigningStatus
	9,  // 5: chromiumos.ArchiveArtifacts.image_type:type_name -> chromiumos.ImageType
	4,  // 6: chromiumos.ArchiveArtifacts.signed_artifacts:type_name -> chromiumos.SignedArtifact
	8,  // 7: chromiumos.ArchiveArtifacts.channel:type_name -> chromiumos.Channel
	0,  // 8: chromiumos.ArchiveArtifacts.status:type_name -> chromiumos.SigningStatus
	7,  // 9: chromiumos.ArchiveArtifacts.keyset_versions:type_name -> chromiumos.KeysetVersions
	10, // 10: chromiumos.ArchiveArtifacts.signing_status:type_name -> chromiumos.BuildReport.SignedBuildMetadata.SigningStatus
	5,  // 11: chromiumos.BuildTargetSignedArtifacts.archive_artifacts:type_name -> chromiumos.ArchiveArtifacts
	12, // [12:12] is the sub-list for method output_type
	12, // [12:12] is the sub-list for method input_type
	12, // [12:12] is the sub-list for extension type_name
	12, // [12:12] is the sub-list for extension extendee
	0,  // [0:12] is the sub-list for field type_name
}

func init() { file_chromiumos_signing_proto_init() }
func file_chromiumos_signing_proto_init() {
	if File_chromiumos_signing_proto != nil {
		return
	}
	file_chromiumos_build_report_proto_init()
	file_chromiumos_common_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_chromiumos_signing_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SigningConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_signing_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildTargetSigningConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_signing_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildTargetSigningConfigs); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_signing_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SignedArtifact); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_signing_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ArchiveArtifacts); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_signing_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildTargetSignedArtifacts); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_signing_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*KeysetVersions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_chromiumos_signing_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_chromiumos_signing_proto_goTypes,
		DependencyIndexes: file_chromiumos_signing_proto_depIdxs,
		EnumInfos:         file_chromiumos_signing_proto_enumTypes,
		MessageInfos:      file_chromiumos_signing_proto_msgTypes,
	}.Build()
	File_chromiumos_signing_proto = out.File
	file_chromiumos_signing_proto_rawDesc = nil
	file_chromiumos_signing_proto_goTypes = nil
	file_chromiumos_signing_proto_depIdxs = nil
}
