// Copyright 2023 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/common/cft_steps_config.proto

package common

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// CftStepsConfig defines config for execution steps for different
// execution types.
type CftStepsConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to ConfigType:
	//	*CftStepsConfig_HwTestConfig
	ConfigType isCftStepsConfig_ConfigType `protobuf_oneof:"config_type"`
}

func (x *CftStepsConfig) Reset() {
	*x = CftStepsConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_common_cft_steps_config_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CftStepsConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CftStepsConfig) ProtoMessage() {}

func (x *CftStepsConfig) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_common_cft_steps_config_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CftStepsConfig.ProtoReflect.Descriptor instead.
func (*CftStepsConfig) Descriptor() ([]byte, []int) {
	return file_test_platform_common_cft_steps_config_proto_rawDescGZIP(), []int{0}
}

func (m *CftStepsConfig) GetConfigType() isCftStepsConfig_ConfigType {
	if m != nil {
		return m.ConfigType
	}
	return nil
}

func (x *CftStepsConfig) GetHwTestConfig() *HwTestConfig {
	if x, ok := x.GetConfigType().(*CftStepsConfig_HwTestConfig); ok {
		return x.HwTestConfig
	}
	return nil
}

type isCftStepsConfig_ConfigType interface {
	isCftStepsConfig_ConfigType()
}

type CftStepsConfig_HwTestConfig struct {
	// Config for hw test execution.
	HwTestConfig *HwTestConfig `protobuf:"bytes,1,opt,name=hw_test_config,json=hwTestConfig,proto3,oneof"`
}

func (*CftStepsConfig_HwTestConfig) isCftStepsConfig_ConfigType() {}

// Config for hw test execution. These config helps changing mainlab hw
// test execution flow. If not provided, default mainlab hw test execution
// flow will take place.
// NEXT_TAG: 9
type HwTestConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Skip loading dut topology
	SkipLoadingDutTopology bool `protobuf:"varint,1,opt,name=skip_loading_dut_topology,json=skipLoadingDutTopology,proto3" json:"skip_loading_dut_topology,omitempty"`
	// Skip starting dut service
	SkipStartingDutService bool `protobuf:"varint,2,opt,name=skip_starting_dut_service,json=skipStartingDutService,proto3" json:"skip_starting_dut_service,omitempty"`
	// Skip provision control flag.
	SkipProvision bool `protobuf:"varint,3,opt,name=skip_provision,json=skipProvision,proto3" json:"skip_provision,omitempty"`
	// Skip test execution control flag.
	SkipTestExecution bool `protobuf:"varint,4,opt,name=skip_test_execution,json=skipTestExecution,proto3" json:"skip_test_execution,omitempty"`
	// Skip all result publish control flag. If this is set to true, all kind of
	// result publish will be skipped regardless of other specific publish
	// control flag's values.
	SkipAllResultPublish bool `protobuf:"varint,5,opt,name=skip_all_result_publish,json=skipAllResultPublish,proto3" json:"skip_all_result_publish,omitempty"`
	// Skip gcs publish control flag. Will only be considered if
	// skip_all_result_publish is not true.
	SkipGcsPublish bool `protobuf:"varint,6,opt,name=skip_gcs_publish,json=skipGcsPublish,proto3" json:"skip_gcs_publish,omitempty"`
	// Skip rdb publish control flag. Will only be considered if
	// skip_all_result_publish is not true.
	SkipRdbPublish bool `protobuf:"varint,7,opt,name=skip_rdb_publish,json=skipRdbPublish,proto3" json:"skip_rdb_publish,omitempty"`
	// Skip tko publish control flag. Will only be considered if
	// skip_all_result_publish is not true.
	SkipTkoPublish bool `protobuf:"varint,8,opt,name=skip_tko_publish,json=skipTkoPublish,proto3" json:"skip_tko_publish,omitempty"`
	// Run cpcon publish control flag. This is not part of mainlab test
	// execution flow. Hence it's a include flag, rather than exclude flag.
	RunCpconPublish bool `protobuf:"varint,9,opt,name=run_cpcon_publish,json=runCpconPublish,proto3" json:"run_cpcon_publish,omitempty"`
}

func (x *HwTestConfig) Reset() {
	*x = HwTestConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_common_cft_steps_config_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HwTestConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HwTestConfig) ProtoMessage() {}

func (x *HwTestConfig) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_common_cft_steps_config_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HwTestConfig.ProtoReflect.Descriptor instead.
func (*HwTestConfig) Descriptor() ([]byte, []int) {
	return file_test_platform_common_cft_steps_config_proto_rawDescGZIP(), []int{1}
}

func (x *HwTestConfig) GetSkipLoadingDutTopology() bool {
	if x != nil {
		return x.SkipLoadingDutTopology
	}
	return false
}

func (x *HwTestConfig) GetSkipStartingDutService() bool {
	if x != nil {
		return x.SkipStartingDutService
	}
	return false
}

func (x *HwTestConfig) GetSkipProvision() bool {
	if x != nil {
		return x.SkipProvision
	}
	return false
}

func (x *HwTestConfig) GetSkipTestExecution() bool {
	if x != nil {
		return x.SkipTestExecution
	}
	return false
}

func (x *HwTestConfig) GetSkipAllResultPublish() bool {
	if x != nil {
		return x.SkipAllResultPublish
	}
	return false
}

func (x *HwTestConfig) GetSkipGcsPublish() bool {
	if x != nil {
		return x.SkipGcsPublish
	}
	return false
}

func (x *HwTestConfig) GetSkipRdbPublish() bool {
	if x != nil {
		return x.SkipRdbPublish
	}
	return false
}

func (x *HwTestConfig) GetSkipTkoPublish() bool {
	if x != nil {
		return x.SkipTkoPublish
	}
	return false
}

func (x *HwTestConfig) GetRunCpconPublish() bool {
	if x != nil {
		return x.RunCpconPublish
	}
	return false
}

var File_test_platform_common_cft_steps_config_proto protoreflect.FileDescriptor

var file_test_platform_common_cft_steps_config_proto_rawDesc = []byte{
	0x0a, 0x2b, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63, 0x66, 0x74, 0x5f, 0x73, 0x74, 0x65, 0x70, 0x73,
	0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x14, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x22, 0x6b, 0x0a, 0x0e, 0x43, 0x66, 0x74, 0x53, 0x74, 0x65, 0x70, 0x73, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x4a, 0x0a, 0x0e, 0x68, 0x77, 0x5f, 0x74, 0x65, 0x73, 0x74,
	0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e,
	0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x48, 0x77, 0x54, 0x65, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x48, 0x00, 0x52, 0x0c, 0x68, 0x77, 0x54, 0x65, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x42, 0x0d, 0x0a, 0x0b, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x74, 0x79, 0x70, 0x65,
	0x22, 0xbc, 0x03, 0x0a, 0x0c, 0x48, 0x77, 0x54, 0x65, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x12, 0x39, 0x0a, 0x19, 0x73, 0x6b, 0x69, 0x70, 0x5f, 0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e,
	0x67, 0x5f, 0x64, 0x75, 0x74, 0x5f, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x16, 0x73, 0x6b, 0x69, 0x70, 0x4c, 0x6f, 0x61, 0x64, 0x69, 0x6e,
	0x67, 0x44, 0x75, 0x74, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x12, 0x39, 0x0a, 0x19,
	0x73, 0x6b, 0x69, 0x70, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x5f, 0x64, 0x75,
	0x74, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x16, 0x73, 0x6b, 0x69, 0x70, 0x53, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x44, 0x75, 0x74,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x25, 0x0a, 0x0e, 0x73, 0x6b, 0x69, 0x70, 0x5f,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x0d, 0x73, 0x6b, 0x69, 0x70, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x2e,
	0x0a, 0x13, 0x73, 0x6b, 0x69, 0x70, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x65, 0x78, 0x65, 0x63,
	0x75, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x11, 0x73, 0x6b, 0x69,
	0x70, 0x54, 0x65, 0x73, 0x74, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x35,
	0x0a, 0x17, 0x73, 0x6b, 0x69, 0x70, 0x5f, 0x61, 0x6c, 0x6c, 0x5f, 0x72, 0x65, 0x73, 0x75, 0x6c,
	0x74, 0x5f, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x14, 0x73, 0x6b, 0x69, 0x70, 0x41, 0x6c, 0x6c, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x50, 0x75,
	0x62, 0x6c, 0x69, 0x73, 0x68, 0x12, 0x28, 0x0a, 0x10, 0x73, 0x6b, 0x69, 0x70, 0x5f, 0x67, 0x63,
	0x73, 0x5f, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x0e, 0x73, 0x6b, 0x69, 0x70, 0x47, 0x63, 0x73, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x12,
	0x28, 0x0a, 0x10, 0x73, 0x6b, 0x69, 0x70, 0x5f, 0x72, 0x64, 0x62, 0x5f, 0x70, 0x75, 0x62, 0x6c,
	0x69, 0x73, 0x68, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0e, 0x73, 0x6b, 0x69, 0x70, 0x52,
	0x64, 0x62, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x12, 0x28, 0x0a, 0x10, 0x73, 0x6b, 0x69,
	0x70, 0x5f, 0x74, 0x6b, 0x6f, 0x5f, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x18, 0x08, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x0e, 0x73, 0x6b, 0x69, 0x70, 0x54, 0x6b, 0x6f, 0x50, 0x75, 0x62, 0x6c,
	0x69, 0x73, 0x68, 0x12, 0x2a, 0x0a, 0x11, 0x72, 0x75, 0x6e, 0x5f, 0x63, 0x70, 0x63, 0x6f, 0x6e,
	0x5f, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x18, 0x09, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0f,
	0x72, 0x75, 0x6e, 0x43, 0x70, 0x63, 0x6f, 0x6e, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x42,
	0x40, 0x5a, 0x3e, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f,
	0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74, 0x65, 0x73,
	0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_common_cft_steps_config_proto_rawDescOnce sync.Once
	file_test_platform_common_cft_steps_config_proto_rawDescData = file_test_platform_common_cft_steps_config_proto_rawDesc
)

func file_test_platform_common_cft_steps_config_proto_rawDescGZIP() []byte {
	file_test_platform_common_cft_steps_config_proto_rawDescOnce.Do(func() {
		file_test_platform_common_cft_steps_config_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_common_cft_steps_config_proto_rawDescData)
	})
	return file_test_platform_common_cft_steps_config_proto_rawDescData
}

var file_test_platform_common_cft_steps_config_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_test_platform_common_cft_steps_config_proto_goTypes = []interface{}{
	(*CftStepsConfig)(nil), // 0: test_platform.common.CftStepsConfig
	(*HwTestConfig)(nil),   // 1: test_platform.common.HwTestConfig
}
var file_test_platform_common_cft_steps_config_proto_depIdxs = []int32{
	1, // 0: test_platform.common.CftStepsConfig.hw_test_config:type_name -> test_platform.common.HwTestConfig
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_test_platform_common_cft_steps_config_proto_init() }
func file_test_platform_common_cft_steps_config_proto_init() {
	if File_test_platform_common_cft_steps_config_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_test_platform_common_cft_steps_config_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CftStepsConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_common_cft_steps_config_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HwTestConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_test_platform_common_cft_steps_config_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*CftStepsConfig_HwTestConfig)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_common_cft_steps_config_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_common_cft_steps_config_proto_goTypes,
		DependencyIndexes: file_test_platform_common_cft_steps_config_proto_depIdxs,
		MessageInfos:      file_test_platform_common_cft_steps_config_proto_msgTypes,
	}.Build()
	File_test_platform_common_cft_steps_config_proto = out.File
	file_test_platform_common_cft_steps_config_proto_rawDesc = nil
	file_test_platform_common_cft_steps_config_proto_goTypes = nil
	file_test_platform_common_cft_steps_config_proto_depIdxs = nil
}
