// Copyright 2019 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/phosphorus/prejob.proto

package phosphorus

import (
	test_platform "go.chromium.org/chromiumos/infra/proto/go/test_platform"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Values should be consistent with https://aip.dev/216
type PrejobResponse_State int32

const (
	// Should not be used.
	PrejobResponse_STATE_UNSPECIFIED PrejobResponse_State = 0
	// The prejob succeeded.
	//
	// Some prejob failures may not be detectable during execution. These
	// failures will be detected when parsing results off the prejob logs in a
	// later step of test_runner.
	PrejobResponse_SUCCEEDED PrejobResponse_State = 1
	// The prejob failed.
	PrejobResponse_FAILED PrejobResponse_State = 2
	// The prejob hit the requested timeout.
	PrejobResponse_TIMED_OUT PrejobResponse_State = 3
	// The prejob was aborted externally.
	PrejobResponse_ABORTED PrejobResponse_State = 4
)

// Enum value maps for PrejobResponse_State.
var (
	PrejobResponse_State_name = map[int32]string{
		0: "STATE_UNSPECIFIED",
		1: "SUCCEEDED",
		2: "FAILED",
		3: "TIMED_OUT",
		4: "ABORTED",
	}
	PrejobResponse_State_value = map[string]int32{
		"STATE_UNSPECIFIED": 0,
		"SUCCEEDED":         1,
		"FAILED":            2,
		"TIMED_OUT":         3,
		"ABORTED":           4,
	}
)

func (x PrejobResponse_State) Enum() *PrejobResponse_State {
	p := new(PrejobResponse_State)
	*p = x
	return p
}

func (x PrejobResponse_State) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (PrejobResponse_State) Descriptor() protoreflect.EnumDescriptor {
	return file_test_platform_phosphorus_prejob_proto_enumTypes[0].Descriptor()
}

func (PrejobResponse_State) Type() protoreflect.EnumType {
	return &file_test_platform_phosphorus_prejob_proto_enumTypes[0]
}

func (x PrejobResponse_State) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use PrejobResponse_State.Descriptor instead.
func (PrejobResponse_State) EnumDescriptor() ([]byte, []int) {
	return file_test_platform_phosphorus_prejob_proto_rawDescGZIP(), []int{1, 0}
}

// PrejobRequest defines the input of `phosphorus prejob`.
type PrejobRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Config      *Config `protobuf:"bytes,1,opt,name=config,proto3" json:"config,omitempty"`
	DutHostname string  `protobuf:"bytes,2,opt,name=dut_hostname,json=dutHostname,proto3" json:"dut_hostname,omitempty"`
	// TODO(crbug.com/1162347): Delete this post-migration.
	//
	// Deprecated: Do not use.
	ProvisionableLabels map[string]string `protobuf:"bytes,3,rep,name=provisionable_labels,json=provisionableLabels,proto3" json:"provisionable_labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// What needs to be installed onto the DUT at the end of prejob, e.g.
	// "cros-version": "reef-release/R77-12345.0.0".
	// TODO(crbug.com/1162347): Delete this post-migration.
	//
	// Deprecated: Do not use.
	DesiredProvisionableLabels map[string]string `protobuf:"bytes,4,rep,name=desired_provisionable_labels,json=desiredProvisionableLabels,proto3" json:"desired_provisionable_labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// What needs to be installed onto the DUT at the end of prejob, as specified
	// in the cros_test_platform request.
	SoftwareDependencies []*test_platform.Request_Params_SoftwareDependency `protobuf:"bytes,8,rep,name=software_dependencies,json=softwareDependencies,proto3" json:"software_dependencies,omitempty"`
	// What is installed on the DUT before the prejob, e.g.
	// "cros-version": "reef-release/R77-12345.0.0".
	ExistingProvisionableLabels map[string]string `protobuf:"bytes,5,rep,name=existing_provisionable_labels,json=existingProvisionableLabels,proto3" json:"existing_provisionable_labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// Hard deadline for execution.
	//
	// All prejob execution should abort beyond this deadline.
	Deadline *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=deadline,proto3" json:"deadline,omitempty"`
	// If set, use the Provision TLS API for the prejob.
	// See go/cros-prover go/cros-tls
	//
	// crbug.com/1137444: This is a transitional argument. Once go/cros-prover
	// migration is complete, all prejobs will use the TLS API and this argument
	// will be dropped.
	UseTls bool `protobuf:"varint,7,opt,name=use_tls,json=useTls,proto3" json:"use_tls,omitempty"`
	// This field provide metadata to provision secondary devices in a multi-DUTs
	// test.
	AddtionalTargets []*PrejobRequest_ProvisionTarget `protobuf:"bytes,9,rep,name=addtional_targets,json=addtionalTargets,proto3" json:"addtional_targets,omitempty"`
	// This field served as a flag to decide if we should update OS bundled
	// firmware(RW) during the provision step.
	UpdateFirmware bool `protobuf:"varint,10,opt,name=update_firmware,json=updateFirmware,proto3" json:"update_firmware,omitempty"`
	// This field controls whether to provision googler ssh key only.
	// If set, provision will only enable googler ssh key on the DUT.
	// Otherwise, provision will enable external ssh key (which is the current
	// status) on the DUT.
	ProvisionGooglerSshKey bool `protobuf:"varint,11,opt,name=provision_googler_ssh_key,json=provisionGooglerSshKey,proto3" json:"provision_googler_ssh_key,omitempty"`
}

func (x *PrejobRequest) Reset() {
	*x = PrejobRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_phosphorus_prejob_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrejobRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrejobRequest) ProtoMessage() {}

func (x *PrejobRequest) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_phosphorus_prejob_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrejobRequest.ProtoReflect.Descriptor instead.
func (*PrejobRequest) Descriptor() ([]byte, []int) {
	return file_test_platform_phosphorus_prejob_proto_rawDescGZIP(), []int{0}
}

func (x *PrejobRequest) GetConfig() *Config {
	if x != nil {
		return x.Config
	}
	return nil
}

func (x *PrejobRequest) GetDutHostname() string {
	if x != nil {
		return x.DutHostname
	}
	return ""
}

// Deprecated: Do not use.
func (x *PrejobRequest) GetProvisionableLabels() map[string]string {
	if x != nil {
		return x.ProvisionableLabels
	}
	return nil
}

// Deprecated: Do not use.
func (x *PrejobRequest) GetDesiredProvisionableLabels() map[string]string {
	if x != nil {
		return x.DesiredProvisionableLabels
	}
	return nil
}

func (x *PrejobRequest) GetSoftwareDependencies() []*test_platform.Request_Params_SoftwareDependency {
	if x != nil {
		return x.SoftwareDependencies
	}
	return nil
}

func (x *PrejobRequest) GetExistingProvisionableLabels() map[string]string {
	if x != nil {
		return x.ExistingProvisionableLabels
	}
	return nil
}

func (x *PrejobRequest) GetDeadline() *timestamppb.Timestamp {
	if x != nil {
		return x.Deadline
	}
	return nil
}

func (x *PrejobRequest) GetUseTls() bool {
	if x != nil {
		return x.UseTls
	}
	return false
}

func (x *PrejobRequest) GetAddtionalTargets() []*PrejobRequest_ProvisionTarget {
	if x != nil {
		return x.AddtionalTargets
	}
	return nil
}

func (x *PrejobRequest) GetUpdateFirmware() bool {
	if x != nil {
		return x.UpdateFirmware
	}
	return false
}

func (x *PrejobRequest) GetProvisionGooglerSshKey() bool {
	if x != nil {
		return x.ProvisionGooglerSshKey
	}
	return false
}

// PrejobResponse defines the output of `phosphorus prejob`.
type PrejobResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// `phosphorus prejob` exits with exit code 0 unless there is an
	// infrastructure failure. When the exit code is 0, `state` indicates the
	// best known state of the prejob execution (see comments on State enum).
	State PrejobResponse_State `protobuf:"varint,1,opt,name=state,proto3,enum=test_platform.phosphorus.PrejobResponse_State" json:"state,omitempty"`
}

func (x *PrejobResponse) Reset() {
	*x = PrejobResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_phosphorus_prejob_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrejobResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrejobResponse) ProtoMessage() {}

func (x *PrejobResponse) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_phosphorus_prejob_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrejobResponse.ProtoReflect.Descriptor instead.
func (*PrejobResponse) Descriptor() ([]byte, []int) {
	return file_test_platform_phosphorus_prejob_proto_rawDescGZIP(), []int{1}
}

func (x *PrejobResponse) GetState() PrejobResponse_State {
	if x != nil {
		return x.State
	}
	return PrejobResponse_STATE_UNSPECIFIED
}

// ProvisionTarget defines an addtional provision target and its software
// dependencies. Addtional provision target will share other config(e.g.
// use_tls) from the primary DUT.
type PrejobRequest_ProvisionTarget struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DutHostname          string                                             `protobuf:"bytes,1,opt,name=dut_hostname,json=dutHostname,proto3" json:"dut_hostname,omitempty"`
	SoftwareDependencies []*test_platform.Request_Params_SoftwareDependency `protobuf:"bytes,2,rep,name=software_dependencies,json=softwareDependencies,proto3" json:"software_dependencies,omitempty"`
	// Provision OS bundled firmware is controlled at each DUT level, so we need
	// this flag for secondary devices as well.
	UpdateFirmware bool `protobuf:"varint,3,opt,name=update_firmware,json=updateFirmware,proto3" json:"update_firmware,omitempty"`
	// Provision googler ssh key or not is controlled at each DUT level.
	ProvisionGooglerSshKey bool `protobuf:"varint,4,opt,name=provision_googler_ssh_key,json=provisionGooglerSshKey,proto3" json:"provision_googler_ssh_key,omitempty"`
}

func (x *PrejobRequest_ProvisionTarget) Reset() {
	*x = PrejobRequest_ProvisionTarget{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_phosphorus_prejob_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrejobRequest_ProvisionTarget) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrejobRequest_ProvisionTarget) ProtoMessage() {}

func (x *PrejobRequest_ProvisionTarget) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_phosphorus_prejob_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrejobRequest_ProvisionTarget.ProtoReflect.Descriptor instead.
func (*PrejobRequest_ProvisionTarget) Descriptor() ([]byte, []int) {
	return file_test_platform_phosphorus_prejob_proto_rawDescGZIP(), []int{0, 3}
}

func (x *PrejobRequest_ProvisionTarget) GetDutHostname() string {
	if x != nil {
		return x.DutHostname
	}
	return ""
}

func (x *PrejobRequest_ProvisionTarget) GetSoftwareDependencies() []*test_platform.Request_Params_SoftwareDependency {
	if x != nil {
		return x.SoftwareDependencies
	}
	return nil
}

func (x *PrejobRequest_ProvisionTarget) GetUpdateFirmware() bool {
	if x != nil {
		return x.UpdateFirmware
	}
	return false
}

func (x *PrejobRequest_ProvisionTarget) GetProvisionGooglerSshKey() bool {
	if x != nil {
		return x.ProvisionGooglerSshKey
	}
	return false
}

var File_test_platform_phosphorus_prejob_proto protoreflect.FileDescriptor

var file_test_platform_phosphorus_prejob_proto_rawDesc = []byte{
	0x0a, 0x25, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2f, 0x70, 0x72, 0x65, 0x6a, 0x6f,
	0x62, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x18, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c,
	0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75,
	0x73, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x25, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72,
	0x6d, 0x2f, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x74, 0x65, 0x73, 0x74, 0x5f,
	0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xef, 0x0a, 0x0a, 0x0d, 0x50, 0x72, 0x65, 0x6a, 0x6f,
	0x62, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x38, 0x0a, 0x06, 0x63, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f,
	0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f,
	0x72, 0x75, 0x73, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x06, 0x63, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x12, 0x21, 0x0a, 0x0c, 0x64, 0x75, 0x74, 0x5f, 0x68, 0x6f, 0x73, 0x74, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x75, 0x74, 0x48, 0x6f, 0x73,
	0x74, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x77, 0x0a, 0x14, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69,
	0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x5f, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18, 0x03, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x40, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66,
	0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2e, 0x50,
	0x72, 0x65, 0x6a, 0x6f, 0x62, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x50, 0x72, 0x6f,
	0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x42, 0x02, 0x18, 0x01, 0x52, 0x13, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x12, 0x8d,
	0x01, 0x0a, 0x1c, 0x64, 0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x5f, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x5f, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18,
	0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x47, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61,
	0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73,
	0x2e, 0x50, 0x72, 0x65, 0x6a, 0x6f, 0x62, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x44,
	0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x61,
	0x62, 0x6c, 0x65, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x42, 0x02,
	0x18, 0x01, 0x52, 0x1a, 0x64, 0x65, 0x73, 0x69, 0x72, 0x65, 0x64, 0x50, 0x72, 0x6f, 0x76, 0x69,
	0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x12, 0x65,
	0x0a, 0x15, 0x73, 0x6f, 0x66, 0x74, 0x77, 0x61, 0x72, 0x65, 0x5f, 0x64, 0x65, 0x70, 0x65, 0x6e,
	0x64, 0x65, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x30, 0x2e,
	0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x2e, 0x53, 0x6f, 0x66,
	0x74, 0x77, 0x61, 0x72, 0x65, 0x44, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x63, 0x79, 0x52,
	0x14, 0x73, 0x6f, 0x66, 0x74, 0x77, 0x61, 0x72, 0x65, 0x44, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65,
	0x6e, 0x63, 0x69, 0x65, 0x73, 0x12, 0x8c, 0x01, 0x0a, 0x1d, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69,
	0x6e, 0x67, 0x5f, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65,
	0x5f, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x48, 0x2e,
	0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68,
	0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2e, 0x50, 0x72, 0x65, 0x6a, 0x6f, 0x62, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x45, 0x78, 0x69, 0x73, 0x74, 0x69, 0x6e, 0x67, 0x50,
	0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x4c, 0x61, 0x62, 0x65,
	0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x1b, 0x65, 0x78, 0x69, 0x73, 0x74, 0x69, 0x6e,
	0x67, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x4c, 0x61,
	0x62, 0x65, 0x6c, 0x73, 0x12, 0x36, 0x0a, 0x08, 0x64, 0x65, 0x61, 0x64, 0x6c, 0x69, 0x6e, 0x65,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x52, 0x08, 0x64, 0x65, 0x61, 0x64, 0x6c, 0x69, 0x6e, 0x65, 0x12, 0x17, 0x0a, 0x07,
	0x75, 0x73, 0x65, 0x5f, 0x74, 0x6c, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x75,
	0x73, 0x65, 0x54, 0x6c, 0x73, 0x12, 0x64, 0x0a, 0x11, 0x61, 0x64, 0x64, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x6c, 0x5f, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x73, 0x18, 0x09, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x37, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x2e, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2e, 0x50, 0x72, 0x65, 0x6a,
	0x6f, 0x62, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x73,
	0x69, 0x6f, 0x6e, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x52, 0x10, 0x61, 0x64, 0x64, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x6c, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x73, 0x12, 0x27, 0x0a, 0x0f, 0x75,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x5f, 0x66, 0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x18, 0x0a,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x0e, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x46, 0x69, 0x72, 0x6d,
	0x77, 0x61, 0x72, 0x65, 0x12, 0x39, 0x0a, 0x19, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f,
	0x6e, 0x5f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x72, 0x5f, 0x73, 0x73, 0x68, 0x5f, 0x6b, 0x65,
	0x79, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x08, 0x52, 0x16, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69,
	0x6f, 0x6e, 0x47, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x72, 0x53, 0x73, 0x68, 0x4b, 0x65, 0x79, 0x1a,
	0x46, 0x0a, 0x18, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65,
	0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x4d, 0x0a, 0x1f, 0x44, 0x65, 0x73, 0x69, 0x72,
	0x65, 0x64, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x4c,
	0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65,
	0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x4e, 0x0a, 0x20, 0x45, 0x78, 0x69, 0x73, 0x74, 0x69,
	0x6e, 0x67, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x4c,
	0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65,
	0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0xff, 0x01, 0x0a, 0x0f, 0x50, 0x72, 0x6f, 0x76, 0x69,
	0x73, 0x69, 0x6f, 0x6e, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x64, 0x75,
	0x74, 0x5f, 0x68, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x64, 0x75, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x65, 0x0a,
	0x15, 0x73, 0x6f, 0x66, 0x74, 0x77, 0x61, 0x72, 0x65, 0x5f, 0x64, 0x65, 0x70, 0x65, 0x6e, 0x64,
	0x65, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x2e, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x2e, 0x53, 0x6f, 0x66, 0x74,
	0x77, 0x61, 0x72, 0x65, 0x44, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e, 0x63, 0x79, 0x52, 0x14,
	0x73, 0x6f, 0x66, 0x74, 0x77, 0x61, 0x72, 0x65, 0x44, 0x65, 0x70, 0x65, 0x6e, 0x64, 0x65, 0x6e,
	0x63, 0x69, 0x65, 0x73, 0x12, 0x27, 0x0a, 0x0f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x5f, 0x66,
	0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0e, 0x75,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x46, 0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x12, 0x39, 0x0a,
	0x19, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x5f, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x72, 0x5f, 0x73, 0x73, 0x68, 0x5f, 0x6b, 0x65, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x16, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x47, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x72, 0x53, 0x73, 0x68, 0x4b, 0x65, 0x79, 0x22, 0xad, 0x01, 0x0a, 0x0e, 0x50, 0x72, 0x65,
	0x6a, 0x6f, 0x62, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x44, 0x0a, 0x05, 0x73,
	0x74, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2e, 0x2e, 0x74, 0x65, 0x73,
	0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68, 0x6f, 0x73, 0x70,
	0x68, 0x6f, 0x72, 0x75, 0x73, 0x2e, 0x50, 0x72, 0x65, 0x6a, 0x6f, 0x62, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74,
	0x65, 0x22, 0x55, 0x0a, 0x05, 0x53, 0x74, 0x61, 0x74, 0x65, 0x12, 0x15, 0x0a, 0x11, 0x53, 0x54,
	0x41, 0x54, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x0d, 0x0a, 0x09, 0x53, 0x55, 0x43, 0x43, 0x45, 0x45, 0x44, 0x45, 0x44, 0x10, 0x01,
	0x12, 0x0a, 0x0a, 0x06, 0x46, 0x41, 0x49, 0x4c, 0x45, 0x44, 0x10, 0x02, 0x12, 0x0d, 0x0a, 0x09,
	0x54, 0x49, 0x4d, 0x45, 0x44, 0x5f, 0x4f, 0x55, 0x54, 0x10, 0x03, 0x12, 0x0b, 0x0a, 0x07, 0x41,
	0x42, 0x4f, 0x52, 0x54, 0x45, 0x44, 0x10, 0x04, 0x42, 0x44, 0x5a, 0x42, 0x67, 0x6f, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66,
	0x6f, 0x72, 0x6d, 0x2f, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_phosphorus_prejob_proto_rawDescOnce sync.Once
	file_test_platform_phosphorus_prejob_proto_rawDescData = file_test_platform_phosphorus_prejob_proto_rawDesc
)

func file_test_platform_phosphorus_prejob_proto_rawDescGZIP() []byte {
	file_test_platform_phosphorus_prejob_proto_rawDescOnce.Do(func() {
		file_test_platform_phosphorus_prejob_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_phosphorus_prejob_proto_rawDescData)
	})
	return file_test_platform_phosphorus_prejob_proto_rawDescData
}

var file_test_platform_phosphorus_prejob_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_test_platform_phosphorus_prejob_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_test_platform_phosphorus_prejob_proto_goTypes = []interface{}{
	(PrejobResponse_State)(0),             // 0: test_platform.phosphorus.PrejobResponse.State
	(*PrejobRequest)(nil),                 // 1: test_platform.phosphorus.PrejobRequest
	(*PrejobResponse)(nil),                // 2: test_platform.phosphorus.PrejobResponse
	nil,                                   // 3: test_platform.phosphorus.PrejobRequest.ProvisionableLabelsEntry
	nil,                                   // 4: test_platform.phosphorus.PrejobRequest.DesiredProvisionableLabelsEntry
	nil,                                   // 5: test_platform.phosphorus.PrejobRequest.ExistingProvisionableLabelsEntry
	(*PrejobRequest_ProvisionTarget)(nil), // 6: test_platform.phosphorus.PrejobRequest.ProvisionTarget
	(*Config)(nil),                        // 7: test_platform.phosphorus.Config
	(*test_platform.Request_Params_SoftwareDependency)(nil), // 8: test_platform.Request.Params.SoftwareDependency
	(*timestamppb.Timestamp)(nil),                           // 9: google.protobuf.Timestamp
}
var file_test_platform_phosphorus_prejob_proto_depIdxs = []int32{
	7, // 0: test_platform.phosphorus.PrejobRequest.config:type_name -> test_platform.phosphorus.Config
	3, // 1: test_platform.phosphorus.PrejobRequest.provisionable_labels:type_name -> test_platform.phosphorus.PrejobRequest.ProvisionableLabelsEntry
	4, // 2: test_platform.phosphorus.PrejobRequest.desired_provisionable_labels:type_name -> test_platform.phosphorus.PrejobRequest.DesiredProvisionableLabelsEntry
	8, // 3: test_platform.phosphorus.PrejobRequest.software_dependencies:type_name -> test_platform.Request.Params.SoftwareDependency
	5, // 4: test_platform.phosphorus.PrejobRequest.existing_provisionable_labels:type_name -> test_platform.phosphorus.PrejobRequest.ExistingProvisionableLabelsEntry
	9, // 5: test_platform.phosphorus.PrejobRequest.deadline:type_name -> google.protobuf.Timestamp
	6, // 6: test_platform.phosphorus.PrejobRequest.addtional_targets:type_name -> test_platform.phosphorus.PrejobRequest.ProvisionTarget
	0, // 7: test_platform.phosphorus.PrejobResponse.state:type_name -> test_platform.phosphorus.PrejobResponse.State
	8, // 8: test_platform.phosphorus.PrejobRequest.ProvisionTarget.software_dependencies:type_name -> test_platform.Request.Params.SoftwareDependency
	9, // [9:9] is the sub-list for method output_type
	9, // [9:9] is the sub-list for method input_type
	9, // [9:9] is the sub-list for extension type_name
	9, // [9:9] is the sub-list for extension extendee
	0, // [0:9] is the sub-list for field type_name
}

func init() { file_test_platform_phosphorus_prejob_proto_init() }
func file_test_platform_phosphorus_prejob_proto_init() {
	if File_test_platform_phosphorus_prejob_proto != nil {
		return
	}
	file_test_platform_phosphorus_common_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_test_platform_phosphorus_prejob_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrejobRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_phosphorus_prejob_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrejobResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_phosphorus_prejob_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrejobRequest_ProvisionTarget); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_phosphorus_prejob_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_phosphorus_prejob_proto_goTypes,
		DependencyIndexes: file_test_platform_phosphorus_prejob_proto_depIdxs,
		EnumInfos:         file_test_platform_phosphorus_prejob_proto_enumTypes,
		MessageInfos:      file_test_platform_phosphorus_prejob_proto_msgTypes,
	}.Build()
	File_test_platform_phosphorus_prejob_proto = out.File
	file_test_platform_phosphorus_prejob_proto_rawDesc = nil
	file_test_platform_phosphorus_prejob_proto_goTypes = nil
	file_test_platform_phosphorus_prejob_proto_depIdxs = nil
}
