// Copyright 2019 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/side_effects/config.proto

package side_effects

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// TKOConfig describes TKO connection params.
type TKOConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The connection to the TKO CloudSQL instance is done via cloud_sql_proxy.
	// proxy_socket is the UNIX socket used by the cloud_sql_proxy.
	ProxySocket string `protobuf:"bytes,1,opt,name=proxy_socket,proto3" json:"proxy_socket,omitempty"`
	MysqlUser   string `protobuf:"bytes,2,opt,name=mysql_user,proto3" json:"mysql_user,omitempty"`
	// File containing the MySQL password. Populated from the encrypted password.
	MysqlPasswordFile string `protobuf:"bytes,3,opt,name=mysql_password_file,proto3" json:"mysql_password_file,omitempty"`
	// MySQL password encrypted using the Cloud KMS key and encoded as base64
	// string.
	EncryptedMysqlPassword string `protobuf:"bytes,4,opt,name=encrypted_mysql_password,proto3" json:"encrypted_mysql_password,omitempty"`
}

func (x *TKOConfig) Reset() {
	*x = TKOConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_side_effects_config_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TKOConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TKOConfig) ProtoMessage() {}

func (x *TKOConfig) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_side_effects_config_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TKOConfig.ProtoReflect.Descriptor instead.
func (*TKOConfig) Descriptor() ([]byte, []int) {
	return file_test_platform_side_effects_config_proto_rawDescGZIP(), []int{0}
}

func (x *TKOConfig) GetProxySocket() string {
	if x != nil {
		return x.ProxySocket
	}
	return ""
}

func (x *TKOConfig) GetMysqlUser() string {
	if x != nil {
		return x.MysqlUser
	}
	return ""
}

func (x *TKOConfig) GetMysqlPasswordFile() string {
	if x != nil {
		return x.MysqlPasswordFile
	}
	return ""
}

func (x *TKOConfig) GetEncryptedMysqlPassword() string {
	if x != nil {
		return x.EncryptedMysqlPassword
	}
	return ""
}

// GoogleStorageConfig describes GS offloading params.
type GoogleStorageConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Google Storage bucket where the results will be offloaded.
	// E.g. "chromeos-autotest-results".
	Bucket string `protobuf:"bytes,1,opt,name=bucket,proto3" json:"bucket,omitempty"`
	// File containing the gsutil credentials, e.g. a key file of a service
	// acccount.
	CredentialsFile string `protobuf:"bytes,2,opt,name=credentials_file,proto3" json:"credentials_file,omitempty"`
}

func (x *GoogleStorageConfig) Reset() {
	*x = GoogleStorageConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_side_effects_config_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GoogleStorageConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GoogleStorageConfig) ProtoMessage() {}

func (x *GoogleStorageConfig) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_side_effects_config_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GoogleStorageConfig.ProtoReflect.Descriptor instead.
func (*GoogleStorageConfig) Descriptor() ([]byte, []int) {
	return file_test_platform_side_effects_config_proto_rawDescGZIP(), []int{1}
}

func (x *GoogleStorageConfig) GetBucket() string {
	if x != nil {
		return x.Bucket
	}
	return ""
}

func (x *GoogleStorageConfig) GetCredentialsFile() string {
	if x != nil {
		return x.CredentialsFile
	}
	return ""
}

// ChromePerfConfig describes the params for uploading Chrome performance
// results to https://chromeperf.appspot.com. These results are displayed on
// the perf dashboard: go/crosbolt.
type ChromePerfConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Iff true, tko/parse uploads perf results to ChromePerf in addition to
	// uploading results to TKO.
	Enabled bool `protobuf:"varint,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
}

func (x *ChromePerfConfig) Reset() {
	*x = ChromePerfConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_side_effects_config_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChromePerfConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChromePerfConfig) ProtoMessage() {}

func (x *ChromePerfConfig) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_side_effects_config_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChromePerfConfig.ProtoReflect.Descriptor instead.
func (*ChromePerfConfig) Descriptor() ([]byte, []int) {
	return file_test_platform_side_effects_config_proto_rawDescGZIP(), []int{2}
}

func (x *ChromePerfConfig) GetEnabled() bool {
	if x != nil {
		return x.Enabled
	}
	return false
}

// CTSConfig describes CTS results offload params.
type CTSConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Iff true, gs_offloader offloads CTS results to CTS-specific locations
	// in addition to regular offloading.
	Enabled bool `protobuf:"varint,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
}

func (x *CTSConfig) Reset() {
	*x = CTSConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_side_effects_config_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CTSConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CTSConfig) ProtoMessage() {}

func (x *CTSConfig) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_side_effects_config_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CTSConfig.ProtoReflect.Descriptor instead.
func (*CTSConfig) Descriptor() ([]byte, []int) {
	return file_test_platform_side_effects_config_proto_rawDescGZIP(), []int{3}
}

func (x *CTSConfig) GetEnabled() bool {
	if x != nil {
		return x.Enabled
	}
	return false
}

// Config defines configuration for side effects.
type Config struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Tko           *TKOConfig           `protobuf:"bytes,1,opt,name=tko,proto3" json:"tko,omitempty"`
	GoogleStorage *GoogleStorageConfig `protobuf:"bytes,2,opt,name=google_storage,proto3" json:"google_storage,omitempty"`
	ChromePerf    *ChromePerfConfig    `protobuf:"bytes,3,opt,name=chrome_perf,proto3" json:"chrome_perf,omitempty"`
	Cts           *CTSConfig           `protobuf:"bytes,4,opt,name=cts,proto3" json:"cts,omitempty"`
}

func (x *Config) Reset() {
	*x = Config{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_side_effects_config_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Config) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Config) ProtoMessage() {}

func (x *Config) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_side_effects_config_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Config.ProtoReflect.Descriptor instead.
func (*Config) Descriptor() ([]byte, []int) {
	return file_test_platform_side_effects_config_proto_rawDescGZIP(), []int{4}
}

func (x *Config) GetTko() *TKOConfig {
	if x != nil {
		return x.Tko
	}
	return nil
}

func (x *Config) GetGoogleStorage() *GoogleStorageConfig {
	if x != nil {
		return x.GoogleStorage
	}
	return nil
}

func (x *Config) GetChromePerf() *ChromePerfConfig {
	if x != nil {
		return x.ChromePerf
	}
	return nil
}

func (x *Config) GetCts() *CTSConfig {
	if x != nil {
		return x.Cts
	}
	return nil
}

var File_test_platform_side_effects_config_proto protoreflect.FileDescriptor

var file_test_platform_side_effects_config_proto_rawDesc = []byte{
	0x0a, 0x27, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x73, 0x69, 0x64, 0x65, 0x5f, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x2f, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1a, 0x74, 0x65, 0x73, 0x74, 0x5f,
	0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x69, 0x64, 0x65, 0x5f, 0x65, 0x66,
	0x66, 0x65, 0x63, 0x74, 0x73, 0x22, 0xbd, 0x01, 0x0a, 0x09, 0x54, 0x4b, 0x4f, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x12, 0x22, 0x0a, 0x0c, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x5f, 0x73, 0x6f, 0x63,
	0x6b, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x70, 0x72, 0x6f, 0x78, 0x79,
	0x5f, 0x73, 0x6f, 0x63, 0x6b, 0x65, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x6d, 0x79, 0x73, 0x71, 0x6c,
	0x5f, 0x75, 0x73, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x6d, 0x79, 0x73,
	0x71, 0x6c, 0x5f, 0x75, 0x73, 0x65, 0x72, 0x12, 0x30, 0x0a, 0x13, 0x6d, 0x79, 0x73, 0x71, 0x6c,
	0x5f, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x6d, 0x79, 0x73, 0x71, 0x6c, 0x5f, 0x70, 0x61, 0x73, 0x73,
	0x77, 0x6f, 0x72, 0x64, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x12, 0x3a, 0x0a, 0x18, 0x65, 0x6e, 0x63,
	0x72, 0x79, 0x70, 0x74, 0x65, 0x64, 0x5f, 0x6d, 0x79, 0x73, 0x71, 0x6c, 0x5f, 0x70, 0x61, 0x73,
	0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x18, 0x65, 0x6e, 0x63,
	0x72, 0x79, 0x70, 0x74, 0x65, 0x64, 0x5f, 0x6d, 0x79, 0x73, 0x71, 0x6c, 0x5f, 0x70, 0x61, 0x73,
	0x73, 0x77, 0x6f, 0x72, 0x64, 0x22, 0x59, 0x0a, 0x13, 0x47, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x53,
	0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x16, 0x0a, 0x06,
	0x62, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x62, 0x75,
	0x63, 0x6b, 0x65, 0x74, 0x12, 0x2a, 0x0a, 0x10, 0x63, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69,
	0x61, 0x6c, 0x73, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10,
	0x63, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x73, 0x5f, 0x66, 0x69, 0x6c, 0x65,
	0x22, 0x2c, 0x0a, 0x10, 0x43, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x50, 0x65, 0x72, 0x66, 0x43, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x12, 0x18, 0x0a, 0x07, 0x65, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x65, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x22, 0x25,
	0x0a, 0x09, 0x43, 0x54, 0x53, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x18, 0x0a, 0x07, 0x65,
	0x6e, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x65, 0x6e,
	0x61, 0x62, 0x6c, 0x65, 0x64, 0x22, 0xa3, 0x02, 0x0a, 0x06, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x12, 0x37, 0x0a, 0x03, 0x74, 0x6b, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e,
	0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x69,
	0x64, 0x65, 0x5f, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x2e, 0x54, 0x4b, 0x4f, 0x43, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x52, 0x03, 0x74, 0x6b, 0x6f, 0x12, 0x57, 0x0a, 0x0e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x5f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2f, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72,
	0x6d, 0x2e, 0x73, 0x69, 0x64, 0x65, 0x5f, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x2e, 0x47,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x52, 0x0e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x5f, 0x73, 0x74, 0x6f, 0x72, 0x61,
	0x67, 0x65, 0x12, 0x4e, 0x0a, 0x0b, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x5f, 0x70, 0x65, 0x72,
	0x66, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70,
	0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x69, 0x64, 0x65, 0x5f, 0x65, 0x66, 0x66,
	0x65, 0x63, 0x74, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x50, 0x65, 0x72, 0x66, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x0b, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x5f, 0x70, 0x65,
	0x72, 0x66, 0x12, 0x37, 0x0a, 0x03, 0x63, 0x74, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x25, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e,
	0x73, 0x69, 0x64, 0x65, 0x5f, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x2e, 0x43, 0x54, 0x53,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x03, 0x63, 0x74, 0x73, 0x42, 0x46, 0x5a, 0x44, 0x67,
	0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c,
	0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x69, 0x64, 0x65, 0x5f, 0x65, 0x66, 0x66, 0x65,
	0x63, 0x74, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_side_effects_config_proto_rawDescOnce sync.Once
	file_test_platform_side_effects_config_proto_rawDescData = file_test_platform_side_effects_config_proto_rawDesc
)

func file_test_platform_side_effects_config_proto_rawDescGZIP() []byte {
	file_test_platform_side_effects_config_proto_rawDescOnce.Do(func() {
		file_test_platform_side_effects_config_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_side_effects_config_proto_rawDescData)
	})
	return file_test_platform_side_effects_config_proto_rawDescData
}

var file_test_platform_side_effects_config_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_test_platform_side_effects_config_proto_goTypes = []interface{}{
	(*TKOConfig)(nil),           // 0: test_platform.side_effects.TKOConfig
	(*GoogleStorageConfig)(nil), // 1: test_platform.side_effects.GoogleStorageConfig
	(*ChromePerfConfig)(nil),    // 2: test_platform.side_effects.ChromePerfConfig
	(*CTSConfig)(nil),           // 3: test_platform.side_effects.CTSConfig
	(*Config)(nil),              // 4: test_platform.side_effects.Config
}
var file_test_platform_side_effects_config_proto_depIdxs = []int32{
	0, // 0: test_platform.side_effects.Config.tko:type_name -> test_platform.side_effects.TKOConfig
	1, // 1: test_platform.side_effects.Config.google_storage:type_name -> test_platform.side_effects.GoogleStorageConfig
	2, // 2: test_platform.side_effects.Config.chrome_perf:type_name -> test_platform.side_effects.ChromePerfConfig
	3, // 3: test_platform.side_effects.Config.cts:type_name -> test_platform.side_effects.CTSConfig
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_test_platform_side_effects_config_proto_init() }
func file_test_platform_side_effects_config_proto_init() {
	if File_test_platform_side_effects_config_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_test_platform_side_effects_config_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TKOConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_side_effects_config_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GoogleStorageConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_side_effects_config_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChromePerfConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_side_effects_config_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CTSConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_side_effects_config_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Config); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_side_effects_config_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_side_effects_config_proto_goTypes,
		DependencyIndexes: file_test_platform_side_effects_config_proto_depIdxs,
		MessageInfos:      file_test_platform_side_effects_config_proto_msgTypes,
	}.Build()
	File_test_platform_side_effects_config_proto = out.File
	file_test_platform_side_effects_config_proto_rawDesc = nil
	file_test_platform_side_effects_config_proto_goTypes = nil
	file_test_platform_side_effects_config_proto_depIdxs = nil
}
