// Copyright 2023 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Temporary proto to bridge between ctpv1 build and ctpv2 binary build.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/steps/ctpv2_binary.proto

package steps

import (
	api "go.chromium.org/chromiumos/config/go/test/api"
	test_platform "go.chromium.org/chromiumos/infra/proto/go/test_platform"
	config "go.chromium.org/chromiumos/infra/proto/go/test_platform/config"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CTPv2BinaryBuildInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Request      *test_platform.Request            `protobuf:"bytes,1,opt,name=request,proto3" json:"request,omitempty"`
	Requests     map[string]*test_platform.Request `protobuf:"bytes,2,rep,name=requests,proto3" json:"requests,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Config       *config.Config                    `protobuf:"bytes,3,opt,name=config,proto3" json:"config,omitempty"`
	Ctpv2Request *api.CTPv2Request                 `protobuf:"bytes,4,opt,name=ctpv2_request,json=ctpv2Request,proto3" json:"ctpv2_request,omitempty"`
}

func (x *CTPv2BinaryBuildInput) Reset() {
	*x = CTPv2BinaryBuildInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_steps_ctpv2_binary_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CTPv2BinaryBuildInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CTPv2BinaryBuildInput) ProtoMessage() {}

func (x *CTPv2BinaryBuildInput) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_steps_ctpv2_binary_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CTPv2BinaryBuildInput.ProtoReflect.Descriptor instead.
func (*CTPv2BinaryBuildInput) Descriptor() ([]byte, []int) {
	return file_test_platform_steps_ctpv2_binary_proto_rawDescGZIP(), []int{0}
}

func (x *CTPv2BinaryBuildInput) GetRequest() *test_platform.Request {
	if x != nil {
		return x.Request
	}
	return nil
}

func (x *CTPv2BinaryBuildInput) GetRequests() map[string]*test_platform.Request {
	if x != nil {
		return x.Requests
	}
	return nil
}

func (x *CTPv2BinaryBuildInput) GetConfig() *config.Config {
	if x != nil {
		return x.Config
	}
	return nil
}

func (x *CTPv2BinaryBuildInput) GetCtpv2Request() *api.CTPv2Request {
	if x != nil {
		return x.Ctpv2Request
	}
	return nil
}

type CTPv2BinaryBuildOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// A markdown string that should be used in Buildbucket as a summary of the
	// test_runner build.
	ErrorSummaryMarkdown string `protobuf:"bytes,1,opt,name=error_summary_markdown,json=errorSummaryMarkdown,proto3" json:"error_summary_markdown,omitempty"`
	// compressed result that will be read by upstream.
	CompressedResponses string `protobuf:"bytes,2,opt,name=compressed_responses,proto3" json:"compressed_responses,omitempty"`
	// compressed json result that will be read by upstream.
	CompressedJsonResponses string `protobuf:"bytes,3,opt,name=compressed_json_responses,proto3" json:"compressed_json_responses,omitempty"`
}

func (x *CTPv2BinaryBuildOutput) Reset() {
	*x = CTPv2BinaryBuildOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_steps_ctpv2_binary_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CTPv2BinaryBuildOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CTPv2BinaryBuildOutput) ProtoMessage() {}

func (x *CTPv2BinaryBuildOutput) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_steps_ctpv2_binary_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CTPv2BinaryBuildOutput.ProtoReflect.Descriptor instead.
func (*CTPv2BinaryBuildOutput) Descriptor() ([]byte, []int) {
	return file_test_platform_steps_ctpv2_binary_proto_rawDescGZIP(), []int{1}
}

func (x *CTPv2BinaryBuildOutput) GetErrorSummaryMarkdown() string {
	if x != nil {
		return x.ErrorSummaryMarkdown
	}
	return ""
}

func (x *CTPv2BinaryBuildOutput) GetCompressedResponses() string {
	if x != nil {
		return x.CompressedResponses
	}
	return ""
}

func (x *CTPv2BinaryBuildOutput) GetCompressedJsonResponses() string {
	if x != nil {
		return x.CompressedJsonResponses
	}
	return ""
}

var File_test_platform_steps_ctpv2_binary_proto protoreflect.FileDescriptor

var file_test_platform_steps_ctpv2_binary_proto_rawDesc = []byte{
	0x0a, 0x26, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x73, 0x74, 0x65, 0x70, 0x73, 0x2f, 0x63, 0x74, 0x70, 0x76, 0x32, 0x5f, 0x62, 0x69, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x13, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70,
	0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x74, 0x65, 0x70, 0x73, 0x1a, 0x21, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x2f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x1b, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x74, 0x65, 0x73, 0x74, 0x2f, 0x61,
	0x70, 0x69, 0x2f, 0x63, 0x74, 0x70, 0x32, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xf2, 0x02,
	0x0a, 0x15, 0x43, 0x54, 0x50, 0x76, 0x32, 0x42, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x30, 0x0a, 0x07, 0x72, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f,
	0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x52, 0x07, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x54, 0x0a, 0x08, 0x72, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x38, 0x2e, 0x74, 0x65,
	0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x74, 0x65, 0x70,
	0x73, 0x2e, 0x43, 0x54, 0x50, 0x76, 0x32, 0x42, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x08, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x73, 0x12,
	0x34, 0x0a, 0x06, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1c, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e,
	0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x06, 0x63,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x46, 0x0a, 0x0d, 0x63, 0x74, 0x70, 0x76, 0x32, 0x5f, 0x72,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x43, 0x54, 0x50, 0x76, 0x32, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52,
	0x0c, 0x63, 0x74, 0x70, 0x76, 0x32, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x53, 0x0a,
	0x0d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10,
	0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79,
	0x12, 0x2c, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x16, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02,
	0x38, 0x01, 0x22, 0xc0, 0x01, 0x0a, 0x16, 0x43, 0x54, 0x50, 0x76, 0x32, 0x42, 0x69, 0x6e, 0x61,
	0x72, 0x79, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x34, 0x0a,
	0x16, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x5f, 0x73, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79, 0x5f, 0x6d,
	0x61, 0x72, 0x6b, 0x64, 0x6f, 0x77, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x14, 0x65,
	0x72, 0x72, 0x6f, 0x72, 0x53, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79, 0x4d, 0x61, 0x72, 0x6b, 0x64,
	0x6f, 0x77, 0x6e, 0x12, 0x32, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x65, 0x73, 0x73, 0x65,
	0x64, 0x5f, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x14, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x65, 0x73, 0x73, 0x65, 0x64, 0x5f, 0x72, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x73, 0x12, 0x3c, 0x0a, 0x19, 0x63, 0x6f, 0x6d, 0x70, 0x72,
	0x65, 0x73, 0x73, 0x65, 0x64, 0x5f, 0x6a, 0x73, 0x6f, 0x6e, 0x5f, 0x72, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x19, 0x63, 0x6f, 0x6d, 0x70,
	0x72, 0x65, 0x73, 0x73, 0x65, 0x64, 0x5f, 0x6a, 0x73, 0x6f, 0x6e, 0x5f, 0x72, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x73, 0x42, 0x3f, 0x5a, 0x3d, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f,
	0x67, 0x6f, 0x2f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x2f, 0x73, 0x74, 0x65, 0x70, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_steps_ctpv2_binary_proto_rawDescOnce sync.Once
	file_test_platform_steps_ctpv2_binary_proto_rawDescData = file_test_platform_steps_ctpv2_binary_proto_rawDesc
)

func file_test_platform_steps_ctpv2_binary_proto_rawDescGZIP() []byte {
	file_test_platform_steps_ctpv2_binary_proto_rawDescOnce.Do(func() {
		file_test_platform_steps_ctpv2_binary_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_steps_ctpv2_binary_proto_rawDescData)
	})
	return file_test_platform_steps_ctpv2_binary_proto_rawDescData
}

var file_test_platform_steps_ctpv2_binary_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_test_platform_steps_ctpv2_binary_proto_goTypes = []interface{}{
	(*CTPv2BinaryBuildInput)(nil),  // 0: test_platform.steps.CTPv2BinaryBuildInput
	(*CTPv2BinaryBuildOutput)(nil), // 1: test_platform.steps.CTPv2BinaryBuildOutput
	nil,                            // 2: test_platform.steps.CTPv2BinaryBuildInput.RequestsEntry
	(*test_platform.Request)(nil),  // 3: test_platform.Request
	(*config.Config)(nil),          // 4: test_platform.config.Config
	(*api.CTPv2Request)(nil),       // 5: chromiumos.test.api.CTPv2Request
}
var file_test_platform_steps_ctpv2_binary_proto_depIdxs = []int32{
	3, // 0: test_platform.steps.CTPv2BinaryBuildInput.request:type_name -> test_platform.Request
	2, // 1: test_platform.steps.CTPv2BinaryBuildInput.requests:type_name -> test_platform.steps.CTPv2BinaryBuildInput.RequestsEntry
	4, // 2: test_platform.steps.CTPv2BinaryBuildInput.config:type_name -> test_platform.config.Config
	5, // 3: test_platform.steps.CTPv2BinaryBuildInput.ctpv2_request:type_name -> chromiumos.test.api.CTPv2Request
	3, // 4: test_platform.steps.CTPv2BinaryBuildInput.RequestsEntry.value:type_name -> test_platform.Request
	5, // [5:5] is the sub-list for method output_type
	5, // [5:5] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_test_platform_steps_ctpv2_binary_proto_init() }
func file_test_platform_steps_ctpv2_binary_proto_init() {
	if File_test_platform_steps_ctpv2_binary_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_test_platform_steps_ctpv2_binary_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CTPv2BinaryBuildInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_steps_ctpv2_binary_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CTPv2BinaryBuildOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_steps_ctpv2_binary_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_steps_ctpv2_binary_proto_goTypes,
		DependencyIndexes: file_test_platform_steps_ctpv2_binary_proto_depIdxs,
		MessageInfos:      file_test_platform_steps_ctpv2_binary_proto_msgTypes,
	}.Build()
	File_test_platform_steps_ctpv2_binary_proto = out.File
	file_test_platform_steps_ctpv2_binary_proto_rawDesc = nil
	file_test_platform_steps_ctpv2_binary_proto_goTypes = nil
	file_test_platform_steps_ctpv2_binary_proto_depIdxs = nil
}
