// Copyright 2023 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Define a schema for debugging events in  SuiteScheduler V1.5.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/suite_scheduler/v15/builds.proto

package v15

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type BuildInformation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// build_uid is a unique identifier for the build image.
	BuildUid *UID `protobuf:"bytes,1,opt,name=build_uid,json=buildUid,proto3" json:"build_uid,omitempty"`
	// run_uid represents the unique identifier of the SuiteScheduler run which
	// processed this run.
	RunUid *UID `protobuf:"bytes,2,opt,name=run_uid,json=runUid,proto3" json:"run_uid,omitempty"`
	// create_time represents the time that the image row was read and inserted
	// into the DB, NOT when then image was made by it's respective builder.
	CreateTime *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=create_time,json=createTime,proto3" json:"create_time,omitempty"`
	// bbid is the id of the specific build which created the image.
	Bbid int64 `protobuf:"varint,4,opt,name=bbid,proto3" json:"bbid,omitempty"`
	// build_image is the name of the build target, I.e, <board>(-variant)-release
	BuildTarget string `protobuf:"bytes,5,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
	// E.g 101
	Milestone int64 `protobuf:"varint,6,opt,name=milestone,proto3" json:"milestone,omitempty"`
	// e.g. 15111.0.0
	Version string `protobuf:"bytes,7,opt,name=version,proto3" json:"version,omitempty"`
	// image_path points towards the GS location of the image zip. in the form
	// of: gs://<image-bucket>/<build-target>/R<milestone>-<version>/image.zip
	ImagePath string `protobuf:"bytes,8,opt,name=image_path,json=imagePath,proto3" json:"image_path,omitempty"`
	Board     string `protobuf:"bytes,9,opt,name=board,proto3" json:"board,omitempty"`
	Variant   string `protobuf:"bytes,10,opt,name=variant,proto3" json:"variant,omitempty"`
	Model     string `protobuf:"bytes,11,opt,name=model,proto3" json:"model,omitempty"`
}

func (x *BuildInformation) Reset() {
	*x = BuildInformation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_suite_scheduler_v15_builds_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildInformation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildInformation) ProtoMessage() {}

func (x *BuildInformation) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_suite_scheduler_v15_builds_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildInformation.ProtoReflect.Descriptor instead.
func (*BuildInformation) Descriptor() ([]byte, []int) {
	return file_test_platform_suite_scheduler_v15_builds_proto_rawDescGZIP(), []int{0}
}

func (x *BuildInformation) GetBuildUid() *UID {
	if x != nil {
		return x.BuildUid
	}
	return nil
}

func (x *BuildInformation) GetRunUid() *UID {
	if x != nil {
		return x.RunUid
	}
	return nil
}

func (x *BuildInformation) GetCreateTime() *timestamppb.Timestamp {
	if x != nil {
		return x.CreateTime
	}
	return nil
}

func (x *BuildInformation) GetBbid() int64 {
	if x != nil {
		return x.Bbid
	}
	return 0
}

func (x *BuildInformation) GetBuildTarget() string {
	if x != nil {
		return x.BuildTarget
	}
	return ""
}

func (x *BuildInformation) GetMilestone() int64 {
	if x != nil {
		return x.Milestone
	}
	return 0
}

func (x *BuildInformation) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *BuildInformation) GetImagePath() string {
	if x != nil {
		return x.ImagePath
	}
	return ""
}

func (x *BuildInformation) GetBoard() string {
	if x != nil {
		return x.Board
	}
	return ""
}

func (x *BuildInformation) GetVariant() string {
	if x != nil {
		return x.Variant
	}
	return ""
}

func (x *BuildInformation) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

var File_test_platform_suite_scheduler_v15_builds_proto protoreflect.FileDescriptor

var file_test_platform_suite_scheduler_v15_builds_proto_rawDesc = []byte{
	0x0a, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2f,
	0x76, 0x31, 0x35, 0x2f, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x21, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x35, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66,
	0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75,
	0x6c, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x35, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa9, 0x03, 0x0a, 0x10, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x49, 0x6e,
	0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x09, 0x62, 0x75, 0x69,
	0x6c, 0x64, 0x5f, 0x75, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x75, 0x69,
	0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x35,
	0x2e, 0x55, 0x49, 0x44, 0x52, 0x08, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x55, 0x69, 0x64, 0x12, 0x3f,
	0x0a, 0x07, 0x72, 0x75, 0x6e, 0x5f, 0x75, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x26, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x35, 0x2e, 0x55, 0x49, 0x44, 0x52, 0x06, 0x72, 0x75, 0x6e, 0x55, 0x69, 0x64, 0x12,
	0x3b, 0x0a, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x52, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04,
	0x62, 0x62, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x62, 0x62, 0x69, 0x64,
	0x12, 0x21, 0x0a, 0x0c, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72,
	0x67, 0x65, 0x74, 0x12, 0x1c, 0x0a, 0x09, 0x6d, 0x69, 0x6c, 0x65, 0x73, 0x74, 0x6f, 0x6e, 0x65,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x6d, 0x69, 0x6c, 0x65, 0x73, 0x74, 0x6f, 0x6e,
	0x65, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x07, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x69,
	0x6d, 0x61, 0x67, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x50, 0x61, 0x74, 0x68, 0x12, 0x14, 0x0a, 0x05, 0x62, 0x6f,
	0x61, 0x72, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x62, 0x6f, 0x61, 0x72, 0x64,
	0x12, 0x18, 0x0a, 0x07, 0x76, 0x61, 0x72, 0x69, 0x61, 0x6e, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x76, 0x61, 0x72, 0x69, 0x61, 0x6e, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x42, 0x4d, 0x5a, 0x4b, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e,
	0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74, 0x65,
	0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x75, 0x69, 0x74,
	0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x35, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_suite_scheduler_v15_builds_proto_rawDescOnce sync.Once
	file_test_platform_suite_scheduler_v15_builds_proto_rawDescData = file_test_platform_suite_scheduler_v15_builds_proto_rawDesc
)

func file_test_platform_suite_scheduler_v15_builds_proto_rawDescGZIP() []byte {
	file_test_platform_suite_scheduler_v15_builds_proto_rawDescOnce.Do(func() {
		file_test_platform_suite_scheduler_v15_builds_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_suite_scheduler_v15_builds_proto_rawDescData)
	})
	return file_test_platform_suite_scheduler_v15_builds_proto_rawDescData
}

var file_test_platform_suite_scheduler_v15_builds_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_test_platform_suite_scheduler_v15_builds_proto_goTypes = []interface{}{
	(*BuildInformation)(nil),      // 0: test_platform.suite_scheduler.v15.BuildInformation
	(*UID)(nil),                   // 1: test_platform.suite_scheduler.v15.UID
	(*timestamppb.Timestamp)(nil), // 2: google.protobuf.Timestamp
}
var file_test_platform_suite_scheduler_v15_builds_proto_depIdxs = []int32{
	1, // 0: test_platform.suite_scheduler.v15.BuildInformation.build_uid:type_name -> test_platform.suite_scheduler.v15.UID
	1, // 1: test_platform.suite_scheduler.v15.BuildInformation.run_uid:type_name -> test_platform.suite_scheduler.v15.UID
	2, // 2: test_platform.suite_scheduler.v15.BuildInformation.create_time:type_name -> google.protobuf.Timestamp
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_test_platform_suite_scheduler_v15_builds_proto_init() }
func file_test_platform_suite_scheduler_v15_builds_proto_init() {
	if File_test_platform_suite_scheduler_v15_builds_proto != nil {
		return
	}
	file_test_platform_suite_scheduler_v15_events_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_test_platform_suite_scheduler_v15_builds_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildInformation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_suite_scheduler_v15_builds_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_suite_scheduler_v15_builds_proto_goTypes,
		DependencyIndexes: file_test_platform_suite_scheduler_v15_builds_proto_depIdxs,
		MessageInfos:      file_test_platform_suite_scheduler_v15_builds_proto_msgTypes,
	}.Build()
	File_test_platform_suite_scheduler_v15_builds_proto = out.File
	file_test_platform_suite_scheduler_v15_builds_proto_rawDesc = nil
	file_test_platform_suite_scheduler_v15_builds_proto_goTypes = nil
	file_test_platform_suite_scheduler_v15_builds_proto_depIdxs = nil
}
