// Copyright 2021 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Define a schema for reporting build status to downstream consumers.  This is
// meant to be an enduring, backwards-compatible format (meaning we've adopted
// an append-only strategy for extending, see go/cros-build-reporting-pipeline
// for more information)

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: chromiumos/build_report.proto

package chromiumos

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type BuildReport_BuildType int32

const (
	BuildReport_BUILD_TYPE_UNDEFINED BuildReport_BuildType = 0
	BuildReport_BUILD_TYPE_RELEASE   BuildReport_BuildType = 1
	BuildReport_BUILD_TYPE_FIRMWARE  BuildReport_BuildType = 2
	BuildReport_BUILD_TYPE_FACTORY   BuildReport_BuildType = 3
	BuildReport_BUILD_TYPE_PUBLIC    BuildReport_BuildType = 4
	BuildReport_BUILD_TYPE_PAYGEN    BuildReport_BuildType = 5
)

// Enum value maps for BuildReport_BuildType.
var (
	BuildReport_BuildType_name = map[int32]string{
		0: "BUILD_TYPE_UNDEFINED",
		1: "BUILD_TYPE_RELEASE",
		2: "BUILD_TYPE_FIRMWARE",
		3: "BUILD_TYPE_FACTORY",
		4: "BUILD_TYPE_PUBLIC",
		5: "BUILD_TYPE_PAYGEN",
	}
	BuildReport_BuildType_value = map[string]int32{
		"BUILD_TYPE_UNDEFINED": 0,
		"BUILD_TYPE_RELEASE":   1,
		"BUILD_TYPE_FIRMWARE":  2,
		"BUILD_TYPE_FACTORY":   3,
		"BUILD_TYPE_PUBLIC":    4,
		"BUILD_TYPE_PAYGEN":    5,
	}
)

func (x BuildReport_BuildType) Enum() *BuildReport_BuildType {
	p := new(BuildReport_BuildType)
	*p = x
	return p
}

func (x BuildReport_BuildType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_BuildType) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[0].Descriptor()
}

func (BuildReport_BuildType) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[0]
}

func (x BuildReport_BuildType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_BuildType.Descriptor instead.
func (BuildReport_BuildType) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 0}
}

type BuildReport_BuildStatus_Status int32

const (
	BuildReport_BuildStatus_UNDEFINED BuildReport_BuildStatus_Status = 0
	// Kind of status, 100*kind is base for that type of state.
	BuildReport_BuildStatus_KIND_TERMINAL BuildReport_BuildStatus_Status = 1
	BuildReport_BuildStatus_KIND_RUNNING  BuildReport_BuildStatus_Status = 2
	// Terminal states, indicate build has finished, no further status.
	BuildReport_BuildStatus_SUCCESS       BuildReport_BuildStatus_Status = 100 // Build succeeded.
	BuildReport_BuildStatus_FAILURE       BuildReport_BuildStatus_Status = 101 // Build failed for reasons related to it's input.
	BuildReport_BuildStatus_INFRA_FAILURE BuildReport_BuildStatus_Status = 102 // Build failed independent of the input.
	BuildReport_BuildStatus_WATCHDOG      BuildReport_BuildStatus_Status = 103 // Build died for unknown reasons (from OOB watchdog).
	BuildReport_BuildStatus_CANCELED      BuildReport_BuildStatus_Status = 104 // Build explicitly canceled.
	// Non-terminal states, more updates may be incoming.
	BuildReport_BuildStatus_RUNNING BuildReport_BuildStatus_Status = 200
	BuildReport_BuildStatus_WAITING BuildReport_BuildStatus_Status = 201
)

// Enum value maps for BuildReport_BuildStatus_Status.
var (
	BuildReport_BuildStatus_Status_name = map[int32]string{
		0:   "UNDEFINED",
		1:   "KIND_TERMINAL",
		2:   "KIND_RUNNING",
		100: "SUCCESS",
		101: "FAILURE",
		102: "INFRA_FAILURE",
		103: "WATCHDOG",
		104: "CANCELED",
		200: "RUNNING",
		201: "WAITING",
	}
	BuildReport_BuildStatus_Status_value = map[string]int32{
		"UNDEFINED":     0,
		"KIND_TERMINAL": 1,
		"KIND_RUNNING":  2,
		"SUCCESS":       100,
		"FAILURE":       101,
		"INFRA_FAILURE": 102,
		"WATCHDOG":      103,
		"CANCELED":      104,
		"RUNNING":       200,
		"WAITING":       201,
	}
)

func (x BuildReport_BuildStatus_Status) Enum() *BuildReport_BuildStatus_Status {
	p := new(BuildReport_BuildStatus_Status)
	*p = x
	return p
}

func (x BuildReport_BuildStatus_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_BuildStatus_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[1].Descriptor()
}

func (BuildReport_BuildStatus_Status) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[1]
}

func (x BuildReport_BuildStatus_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_BuildStatus_Status.Descriptor instead.
func (BuildReport_BuildStatus_Status) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 0, 0}
}

type BuildReport_BuildConfig_VersionKind int32

const (
	BuildReport_BuildConfig_VERSION_KIND_UNDEFINED         BuildReport_BuildConfig_VersionKind = 0  // do not use.
	BuildReport_BuildConfig_VERSION_KIND_ASH_CHROME        BuildReport_BuildConfig_VersionKind = 1  // The system chrome.
	BuildReport_BuildConfig_VERSION_KIND_CHROME            BuildReport_BuildConfig_VersionKind = 2  // The Lacros (user) chrome.
	BuildReport_BuildConfig_VERSION_KIND_ARC               BuildReport_BuildConfig_VersionKind = 3  // Android Runtime Container.
	BuildReport_BuildConfig_VERSION_KIND_PLATFORM          BuildReport_BuildConfig_VersionKind = 4  // The platform version (e.g. 13816.0.0).
	BuildReport_BuildConfig_VERSION_KIND_MILESTONE         BuildReport_BuildConfig_VersionKind = 5  // The milestone versions (e.g. 96).
	BuildReport_BuildConfig_VERSION_KIND_ANDROID_CONTAINER BuildReport_BuildConfig_VersionKind = 6  // The android container version (e.g. 6387315).
	BuildReport_BuildConfig_VERSION_KIND_EC_FIRMWARE       BuildReport_BuildConfig_VersionKind = 7  // The EC firmware version.
	BuildReport_BuildConfig_VERSION_KIND_FINGERPRINT       BuildReport_BuildConfig_VersionKind = 8  // The build fingerprint.
	BuildReport_BuildConfig_VERSION_KIND_KERNEL            BuildReport_BuildConfig_VersionKind = 9  // The kernel version (e.g. 4.14.176-r1088).
	BuildReport_BuildConfig_VERSION_KIND_MAIN_FIRMWARE     BuildReport_BuildConfig_VersionKind = 10 // The main firmware version (e.g. Google_Auron_paine.6301.58.98).
)

// Enum value maps for BuildReport_BuildConfig_VersionKind.
var (
	BuildReport_BuildConfig_VersionKind_name = map[int32]string{
		0:  "VERSION_KIND_UNDEFINED",
		1:  "VERSION_KIND_ASH_CHROME",
		2:  "VERSION_KIND_CHROME",
		3:  "VERSION_KIND_ARC",
		4:  "VERSION_KIND_PLATFORM",
		5:  "VERSION_KIND_MILESTONE",
		6:  "VERSION_KIND_ANDROID_CONTAINER",
		7:  "VERSION_KIND_EC_FIRMWARE",
		8:  "VERSION_KIND_FINGERPRINT",
		9:  "VERSION_KIND_KERNEL",
		10: "VERSION_KIND_MAIN_FIRMWARE",
	}
	BuildReport_BuildConfig_VersionKind_value = map[string]int32{
		"VERSION_KIND_UNDEFINED":         0,
		"VERSION_KIND_ASH_CHROME":        1,
		"VERSION_KIND_CHROME":            2,
		"VERSION_KIND_ARC":               3,
		"VERSION_KIND_PLATFORM":          4,
		"VERSION_KIND_MILESTONE":         5,
		"VERSION_KIND_ANDROID_CONTAINER": 6,
		"VERSION_KIND_EC_FIRMWARE":       7,
		"VERSION_KIND_FINGERPRINT":       8,
		"VERSION_KIND_KERNEL":            9,
		"VERSION_KIND_MAIN_FIRMWARE":     10,
	}
)

func (x BuildReport_BuildConfig_VersionKind) Enum() *BuildReport_BuildConfig_VersionKind {
	p := new(BuildReport_BuildConfig_VersionKind)
	*p = x
	return p
}

func (x BuildReport_BuildConfig_VersionKind) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_BuildConfig_VersionKind) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[2].Descriptor()
}

func (BuildReport_BuildConfig_VersionKind) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[2]
}

func (x BuildReport_BuildConfig_VersionKind) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_BuildConfig_VersionKind.Descriptor instead.
func (BuildReport_BuildConfig_VersionKind) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1, 0}
}

type BuildReport_BuildConfig_Model_ModelVersionKind int32

const (
	BuildReport_BuildConfig_Model_MODEL_VERSION_KIND_UNDEFINED              BuildReport_BuildConfig_Model_ModelVersionKind = 0 // do not use.
	BuildReport_BuildConfig_Model_MODEL_VERSION_KIND_EC_FIRMWARE            BuildReport_BuildConfig_Model_ModelVersionKind = 1 // EC firmware version (e.g. coral_v1.1.7292-04956f5df).
	BuildReport_BuildConfig_Model_MODEL_VERSION_KIND_MAIN_READONLY_FIRMWARE BuildReport_BuildConfig_Model_ModelVersionKind = 2 // Main read-only firmware version (e.g.
	// Google_Coral.10068.82.0).
	BuildReport_BuildConfig_Model_MODEL_VERSION_KIND_MAIN_READWRITE_FIRMWARE BuildReport_BuildConfig_Model_ModelVersionKind = 3 // Main read-write firmware version (e.g.
)

// Enum value maps for BuildReport_BuildConfig_Model_ModelVersionKind.
var (
	BuildReport_BuildConfig_Model_ModelVersionKind_name = map[int32]string{
		0: "MODEL_VERSION_KIND_UNDEFINED",
		1: "MODEL_VERSION_KIND_EC_FIRMWARE",
		2: "MODEL_VERSION_KIND_MAIN_READONLY_FIRMWARE",
		3: "MODEL_VERSION_KIND_MAIN_READWRITE_FIRMWARE",
	}
	BuildReport_BuildConfig_Model_ModelVersionKind_value = map[string]int32{
		"MODEL_VERSION_KIND_UNDEFINED":               0,
		"MODEL_VERSION_KIND_EC_FIRMWARE":             1,
		"MODEL_VERSION_KIND_MAIN_READONLY_FIRMWARE":  2,
		"MODEL_VERSION_KIND_MAIN_READWRITE_FIRMWARE": 3,
	}
)

func (x BuildReport_BuildConfig_Model_ModelVersionKind) Enum() *BuildReport_BuildConfig_Model_ModelVersionKind {
	p := new(BuildReport_BuildConfig_Model_ModelVersionKind)
	*p = x
	return p
}

func (x BuildReport_BuildConfig_Model_ModelVersionKind) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_BuildConfig_Model_ModelVersionKind) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[3].Descriptor()
}

func (BuildReport_BuildConfig_Model_ModelVersionKind) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[3]
}

func (x BuildReport_BuildConfig_Model_ModelVersionKind) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_BuildConfig_Model_ModelVersionKind.Descriptor instead.
func (BuildReport_BuildConfig_Model_ModelVersionKind) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1, 0, 0}
}

type BuildReport_BuildArtifact_Type int32

const (
	BuildReport_BuildArtifact_UNDEFINED BuildReport_BuildArtifact_Type = 0
	// Image archives.
	// Typically named "image.zip".
	BuildReport_BuildArtifact_IMAGE_ZIP BuildReport_BuildArtifact_Type = 1
	// Typically named "factory_image.zip".
	BuildReport_BuildArtifact_FACTORY_IMAGE_ZIP BuildReport_BuildArtifact_Type = 2
	// Typically named "firmware_from_source.tar.bz2".
	BuildReport_BuildArtifact_FIRMWARE_IMAGE_ARCHIVE BuildReport_BuildArtifact_Type = 3
	// Typically named "chromiumos_test_image.tar.xz".
	BuildReport_BuildArtifact_TEST_IMAGE_ARCHIVE BuildReport_BuildArtifact_Type = 4
	// Other Chrome OS artifacts, not necessarily an image.
	// Typically named something like
	// "chromeos-hwqual-ambassador-R120-15638.0.0.tar.bz2".
	BuildReport_BuildArtifact_HWQUAL_ARCHIVE BuildReport_BuildArtifact_Type = 101
	// Typically named "debug.tgz".
	BuildReport_BuildArtifact_DEBUG_ARCHIVE BuildReport_BuildArtifact_Type = 102
	// Payload types
	BuildReport_BuildArtifact_PAYLOAD_FULL  BuildReport_BuildArtifact_Type = 400
	BuildReport_BuildArtifact_PAYLOAD_DELTA BuildReport_BuildArtifact_Type = 401
)

// Enum value maps for BuildReport_BuildArtifact_Type.
var (
	BuildReport_BuildArtifact_Type_name = map[int32]string{
		0:   "UNDEFINED",
		1:   "IMAGE_ZIP",
		2:   "FACTORY_IMAGE_ZIP",
		3:   "FIRMWARE_IMAGE_ARCHIVE",
		4:   "TEST_IMAGE_ARCHIVE",
		101: "HWQUAL_ARCHIVE",
		102: "DEBUG_ARCHIVE",
		400: "PAYLOAD_FULL",
		401: "PAYLOAD_DELTA",
	}
	BuildReport_BuildArtifact_Type_value = map[string]int32{
		"UNDEFINED":              0,
		"IMAGE_ZIP":              1,
		"FACTORY_IMAGE_ZIP":      2,
		"FIRMWARE_IMAGE_ARCHIVE": 3,
		"TEST_IMAGE_ARCHIVE":     4,
		"HWQUAL_ARCHIVE":         101,
		"DEBUG_ARCHIVE":          102,
		"PAYLOAD_FULL":           400,
		"PAYLOAD_DELTA":          401,
	}
)

func (x BuildReport_BuildArtifact_Type) Enum() *BuildReport_BuildArtifact_Type {
	p := new(BuildReport_BuildArtifact_Type)
	*p = x
	return p
}

func (x BuildReport_BuildArtifact_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_BuildArtifact_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[4].Descriptor()
}

func (BuildReport_BuildArtifact_Type) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[4]
}

func (x BuildReport_BuildArtifact_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_BuildArtifact_Type.Descriptor instead.
func (BuildReport_BuildArtifact_Type) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 2, 0}
}

// Steps succeed or fail, no higher granularity given.
type BuildReport_StepDetails_Status int32

const (
	BuildReport_StepDetails_STEP_STATUS_UNDEFINED BuildReport_StepDetails_Status = 0
	// Kind of status, 100*kind is base for that type of state.
	BuildReport_StepDetails_KIND_TERMINAL BuildReport_StepDetails_Status = 1
	BuildReport_StepDetails_KIND_RUNNING  BuildReport_StepDetails_Status = 2
	// terminal states
	BuildReport_StepDetails_STATUS_SUCCESS       BuildReport_StepDetails_Status = 100 // Step succeeded.
	BuildReport_StepDetails_STATUS_FAILURE       BuildReport_StepDetails_Status = 101 // Step failed for reasons related to build input.
	BuildReport_StepDetails_STATUS_INFRA_FAILURE BuildReport_StepDetails_Status = 102 // Step failed for reasons unrelated to build input.
	BuildReport_StepDetails_STATUS_WATCHDOG      BuildReport_StepDetails_Status = 103 // Step was interrupted when build died.
	BuildReport_StepDetails_STATUS_CANCELED      BuildReport_StepDetails_Status = 104 // Step was interrupted due to explicit cancelation.
	// non-terminal states
	BuildReport_StepDetails_STATUS_RUNNING BuildReport_StepDetails_Status = 200
)

// Enum value maps for BuildReport_StepDetails_Status.
var (
	BuildReport_StepDetails_Status_name = map[int32]string{
		0:   "STEP_STATUS_UNDEFINED",
		1:   "KIND_TERMINAL",
		2:   "KIND_RUNNING",
		100: "STATUS_SUCCESS",
		101: "STATUS_FAILURE",
		102: "STATUS_INFRA_FAILURE",
		103: "STATUS_WATCHDOG",
		104: "STATUS_CANCELED",
		200: "STATUS_RUNNING",
	}
	BuildReport_StepDetails_Status_value = map[string]int32{
		"STEP_STATUS_UNDEFINED": 0,
		"KIND_TERMINAL":         1,
		"KIND_RUNNING":          2,
		"STATUS_SUCCESS":        100,
		"STATUS_FAILURE":        101,
		"STATUS_INFRA_FAILURE":  102,
		"STATUS_WATCHDOG":       103,
		"STATUS_CANCELED":       104,
		"STATUS_RUNNING":        200,
	}
)

func (x BuildReport_StepDetails_Status) Enum() *BuildReport_StepDetails_Status {
	p := new(BuildReport_StepDetails_Status)
	*p = x
	return p
}

func (x BuildReport_StepDetails_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_StepDetails_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[5].Descriptor()
}

func (BuildReport_StepDetails_Status) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[5]
}

func (x BuildReport_StepDetails_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_StepDetails_Status.Descriptor instead.
func (BuildReport_StepDetails_Status) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 3, 0}
}

// Consistent predefined 'logical' step names for consistency and tracking
// performance over time. Increment by 100 to leave room for adding
// sub-steps in the future.
type BuildReport_StepDetails_StepName int32

const (
	BuildReport_StepDetails_STEP_UNDEFINED      BuildReport_StepDetails_StepName = 0
	BuildReport_StepDetails_STEP_OVERALL        BuildReport_StepDetails_StepName = 100
	BuildReport_StepDetails_STEP_SYNC           BuildReport_StepDetails_StepName = 200
	BuildReport_StepDetails_STEP_SYNC_CHROME    BuildReport_StepDetails_StepName = 201
	BuildReport_StepDetails_STEP_SDK            BuildReport_StepDetails_StepName = 300
	BuildReport_StepDetails_STEP_SDK_INIT       BuildReport_StepDetails_StepName = 301
	BuildReport_StepDetails_STEP_SDK_UPDATE     BuildReport_StepDetails_StepName = 302
	BuildReport_StepDetails_STEP_BUILD          BuildReport_StepDetails_StepName = 400
	BuildReport_StepDetails_STEP_BUILD_SYSROOT  BuildReport_StepDetails_StepName = 401
	BuildReport_StepDetails_STEP_BUILD_PACKAGES BuildReport_StepDetails_StepName = 402
	BuildReport_StepDetails_STEP_DEBUG_SYMBOLS  BuildReport_StepDetails_StepName = 500
	BuildReport_StepDetails_STEP_UNIT_TESTS     BuildReport_StepDetails_StepName = 501
)

// Enum value maps for BuildReport_StepDetails_StepName.
var (
	BuildReport_StepDetails_StepName_name = map[int32]string{
		0:   "STEP_UNDEFINED",
		100: "STEP_OVERALL",
		200: "STEP_SYNC",
		201: "STEP_SYNC_CHROME",
		300: "STEP_SDK",
		301: "STEP_SDK_INIT",
		302: "STEP_SDK_UPDATE",
		400: "STEP_BUILD",
		401: "STEP_BUILD_SYSROOT",
		402: "STEP_BUILD_PACKAGES",
		500: "STEP_DEBUG_SYMBOLS",
		501: "STEP_UNIT_TESTS",
	}
	BuildReport_StepDetails_StepName_value = map[string]int32{
		"STEP_UNDEFINED":      0,
		"STEP_OVERALL":        100,
		"STEP_SYNC":           200,
		"STEP_SYNC_CHROME":    201,
		"STEP_SDK":            300,
		"STEP_SDK_INIT":       301,
		"STEP_SDK_UPDATE":     302,
		"STEP_BUILD":          400,
		"STEP_BUILD_SYSROOT":  401,
		"STEP_BUILD_PACKAGES": 402,
		"STEP_DEBUG_SYMBOLS":  500,
		"STEP_UNIT_TESTS":     501,
	}
)

func (x BuildReport_StepDetails_StepName) Enum() *BuildReport_StepDetails_StepName {
	p := new(BuildReport_StepDetails_StepName)
	*p = x
	return p
}

func (x BuildReport_StepDetails_StepName) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_StepDetails_StepName) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[6].Descriptor()
}

func (BuildReport_StepDetails_StepName) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[6]
}

func (x BuildReport_StepDetails_StepName) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_StepDetails_StepName.Descriptor instead.
func (BuildReport_StepDetails_StepName) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 3, 1}
}

type BuildReport_SignedBuildMetadata_VersionKind int32

const (
	BuildReport_SignedBuildMetadata_VERSION_KIND_UNDEFINED        BuildReport_SignedBuildMetadata_VersionKind = 0 // do not use.
	BuildReport_SignedBuildMetadata_VERSION_KIND_PLATFORM         BuildReport_SignedBuildMetadata_VersionKind = 1 // eg: 14324.43.0
	BuildReport_SignedBuildMetadata_VERSION_KIND_MILESTONE        BuildReport_SignedBuildMetadata_VersionKind = 2 // eg: 97
	BuildReport_SignedBuildMetadata_VERSION_KIND_KEY_FIRMWARE_KEY BuildReport_SignedBuildMetadata_VersionKind = 3 // eg: 1
	BuildReport_SignedBuildMetadata_VERSION_KIND_KEY_FIRMWARE     BuildReport_SignedBuildMetadata_VersionKind = 4 // eg: 1
	BuildReport_SignedBuildMetadata_VERSION_KIND_KEY_KERNEL_KEY   BuildReport_SignedBuildMetadata_VersionKind = 5 // eg: 1
	BuildReport_SignedBuildMetadata_VERSION_KIND_KEY_KERNEL       BuildReport_SignedBuildMetadata_VersionKind = 6 // eg: 1
)

// Enum value maps for BuildReport_SignedBuildMetadata_VersionKind.
var (
	BuildReport_SignedBuildMetadata_VersionKind_name = map[int32]string{
		0: "VERSION_KIND_UNDEFINED",
		1: "VERSION_KIND_PLATFORM",
		2: "VERSION_KIND_MILESTONE",
		3: "VERSION_KIND_KEY_FIRMWARE_KEY",
		4: "VERSION_KIND_KEY_FIRMWARE",
		5: "VERSION_KIND_KEY_KERNEL_KEY",
		6: "VERSION_KIND_KEY_KERNEL",
	}
	BuildReport_SignedBuildMetadata_VersionKind_value = map[string]int32{
		"VERSION_KIND_UNDEFINED":        0,
		"VERSION_KIND_PLATFORM":         1,
		"VERSION_KIND_MILESTONE":        2,
		"VERSION_KIND_KEY_FIRMWARE_KEY": 3,
		"VERSION_KIND_KEY_FIRMWARE":     4,
		"VERSION_KIND_KEY_KERNEL_KEY":   5,
		"VERSION_KIND_KEY_KERNEL":       6,
	}
)

func (x BuildReport_SignedBuildMetadata_VersionKind) Enum() *BuildReport_SignedBuildMetadata_VersionKind {
	p := new(BuildReport_SignedBuildMetadata_VersionKind)
	*p = x
	return p
}

func (x BuildReport_SignedBuildMetadata_VersionKind) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_SignedBuildMetadata_VersionKind) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[7].Descriptor()
}

func (BuildReport_SignedBuildMetadata_VersionKind) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[7]
}

func (x BuildReport_SignedBuildMetadata_VersionKind) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_SignedBuildMetadata_VersionKind.Descriptor instead.
func (BuildReport_SignedBuildMetadata_VersionKind) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 4, 0}
}

// Valid statuses signers can communicate.
type BuildReport_SignedBuildMetadata_SigningStatus int32

const (
	BuildReport_SignedBuildMetadata_SIGNING_STATUS_UNKNOWN     BuildReport_SignedBuildMetadata_SigningStatus = 0
	BuildReport_SignedBuildMetadata_SIGNING_STATUS_DOWNLOADING BuildReport_SignedBuildMetadata_SigningStatus = 1
	BuildReport_SignedBuildMetadata_SIGNING_STATUS_SIGNING     BuildReport_SignedBuildMetadata_SigningStatus = 2
	BuildReport_SignedBuildMetadata_SIGNING_STATUS_UPLOADING   BuildReport_SignedBuildMetadata_SigningStatus = 3
	BuildReport_SignedBuildMetadata_SIGNING_STATUS_FINISHED    BuildReport_SignedBuildMetadata_SigningStatus = 4
	BuildReport_SignedBuildMetadata_SIGNING_STATUS_RETRY       BuildReport_SignedBuildMetadata_SigningStatus = 5
	BuildReport_SignedBuildMetadata_SIGNING_STATUS_PASSED      BuildReport_SignedBuildMetadata_SigningStatus = 6
	BuildReport_SignedBuildMetadata_SIGNING_STATUS_FAILED      BuildReport_SignedBuildMetadata_SigningStatus = 7
)

// Enum value maps for BuildReport_SignedBuildMetadata_SigningStatus.
var (
	BuildReport_SignedBuildMetadata_SigningStatus_name = map[int32]string{
		0: "SIGNING_STATUS_UNKNOWN",
		1: "SIGNING_STATUS_DOWNLOADING",
		2: "SIGNING_STATUS_SIGNING",
		3: "SIGNING_STATUS_UPLOADING",
		4: "SIGNING_STATUS_FINISHED",
		5: "SIGNING_STATUS_RETRY",
		6: "SIGNING_STATUS_PASSED",
		7: "SIGNING_STATUS_FAILED",
	}
	BuildReport_SignedBuildMetadata_SigningStatus_value = map[string]int32{
		"SIGNING_STATUS_UNKNOWN":     0,
		"SIGNING_STATUS_DOWNLOADING": 1,
		"SIGNING_STATUS_SIGNING":     2,
		"SIGNING_STATUS_UPLOADING":   3,
		"SIGNING_STATUS_FINISHED":    4,
		"SIGNING_STATUS_RETRY":       5,
		"SIGNING_STATUS_PASSED":      6,
		"SIGNING_STATUS_FAILED":      7,
	}
)

func (x BuildReport_SignedBuildMetadata_SigningStatus) Enum() *BuildReport_SignedBuildMetadata_SigningStatus {
	p := new(BuildReport_SignedBuildMetadata_SigningStatus)
	*p = x
	return p
}

func (x BuildReport_SignedBuildMetadata_SigningStatus) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_SignedBuildMetadata_SigningStatus) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[8].Descriptor()
}

func (BuildReport_SignedBuildMetadata_SigningStatus) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[8]
}

func (x BuildReport_SignedBuildMetadata_SigningStatus) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_SignedBuildMetadata_SigningStatus.Descriptor instead.
func (BuildReport_SignedBuildMetadata_SigningStatus) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 4, 1}
}

type BuildReport_Payload_PayloadType int32

const (
	BuildReport_Payload_PAYLOAD_TYPE_UNKNOWN  BuildReport_Payload_PayloadType = 0
	BuildReport_Payload_PAYLOAD_TYPE_STANDARD BuildReport_Payload_PayloadType = 1 // Regular OS payload.
	BuildReport_Payload_PAYLOAD_TYPE_MINIOS   BuildReport_Payload_PayloadType = 2
	BuildReport_Payload_PAYLOAD_TYPE_DLC      BuildReport_Payload_PayloadType = 3
)

// Enum value maps for BuildReport_Payload_PayloadType.
var (
	BuildReport_Payload_PayloadType_name = map[int32]string{
		0: "PAYLOAD_TYPE_UNKNOWN",
		1: "PAYLOAD_TYPE_STANDARD",
		2: "PAYLOAD_TYPE_MINIOS",
		3: "PAYLOAD_TYPE_DLC",
	}
	BuildReport_Payload_PayloadType_value = map[string]int32{
		"PAYLOAD_TYPE_UNKNOWN":  0,
		"PAYLOAD_TYPE_STANDARD": 1,
		"PAYLOAD_TYPE_MINIOS":   2,
		"PAYLOAD_TYPE_DLC":      3,
	}
)

func (x BuildReport_Payload_PayloadType) Enum() *BuildReport_Payload_PayloadType {
	p := new(BuildReport_Payload_PayloadType)
	*p = x
	return p
}

func (x BuildReport_Payload_PayloadType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BuildReport_Payload_PayloadType) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_build_report_proto_enumTypes[9].Descriptor()
}

func (BuildReport_Payload_PayloadType) Type() protoreflect.EnumType {
	return &file_chromiumos_build_report_proto_enumTypes[9]
}

func (x BuildReport_Payload_PayloadType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BuildReport_Payload_PayloadType.Descriptor instead.
func (BuildReport_Payload_PayloadType) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 5, 0}
}

type Timeframe struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Begin *timestamppb.Timestamp `protobuf:"bytes,1,opt,name=begin,proto3" json:"begin,omitempty"`
	End   *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=end,proto3" json:"end,omitempty"`
}

func (x *Timeframe) Reset() {
	*x = Timeframe{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Timeframe) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Timeframe) ProtoMessage() {}

func (x *Timeframe) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Timeframe.ProtoReflect.Descriptor instead.
func (*Timeframe) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{0}
}

func (x *Timeframe) GetBegin() *timestamppb.Timestamp {
	if x != nil {
		return x.Begin
	}
	return nil
}

func (x *Timeframe) GetEnd() *timestamppb.Timestamp {
	if x != nil {
		return x.End
	}
	return nil
}

// 'oneof' fields can't be repeated, so we wrap into a message type.
type BuildId struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Id:
	//	*BuildId_BuildbucketId
	Id isBuildId_Id `protobuf_oneof:"id"`
}

func (x *BuildId) Reset() {
	*x = BuildId{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildId) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildId) ProtoMessage() {}

func (x *BuildId) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildId.ProtoReflect.Descriptor instead.
func (*BuildId) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{1}
}

func (m *BuildId) GetId() isBuildId_Id {
	if m != nil {
		return m.Id
	}
	return nil
}

func (x *BuildId) GetBuildbucketId() int64 {
	if x, ok := x.GetId().(*BuildId_BuildbucketId); ok {
		return x.BuildbucketId
	}
	return 0
}

type isBuildId_Id interface {
	isBuildId_Id()
}

type BuildId_BuildbucketId struct {
	BuildbucketId int64 `protobuf:"varint,1,opt,name=buildbucket_id,json=buildbucketId,proto3,oneof"`
}

func (*BuildId_BuildbucketId) isBuildId_Id() {}

type URI struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Uri:
	//	*URI_Gcs
	Uri isURI_Uri `protobuf_oneof:"uri"`
}

func (x *URI) Reset() {
	*x = URI{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *URI) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*URI) ProtoMessage() {}

func (x *URI) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use URI.ProtoReflect.Descriptor instead.
func (*URI) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{2}
}

func (m *URI) GetUri() isURI_Uri {
	if m != nil {
		return m.Uri
	}
	return nil
}

func (x *URI) GetGcs() string {
	if x, ok := x.GetUri().(*URI_Gcs); ok {
		return x.Gcs
	}
	return ""
}

type isURI_Uri interface {
	isURI_Uri()
}

type URI_Gcs struct {
	Gcs string `protobuf:"bytes,1,opt,name=gcs,proto3,oneof"` // Google cloud storage URI (including gs://) for artifact.
}

func (*URI_Gcs) isURI_Uri() {}

type DlcArtifact struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uri    *URI   `protobuf:"bytes,1,opt,name=uri,proto3" json:"uri,omitempty"`       // URI of the DLC artifact.
	Sha256 string `protobuf:"bytes,2,opt,name=sha256,proto3" json:"sha256,omitempty"` // SHA256 of the DLC artifact.
	Id     string `protobuf:"bytes,3,opt,name=id,proto3" json:"id,omitempty"`         // The id of the DLC.
}

func (x *DlcArtifact) Reset() {
	*x = DlcArtifact{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DlcArtifact) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DlcArtifact) ProtoMessage() {}

func (x *DlcArtifact) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DlcArtifact.ProtoReflect.Descriptor instead.
func (*DlcArtifact) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{3}
}

func (x *DlcArtifact) GetUri() *URI {
	if x != nil {
		return x.Uri
	}
	return nil
}

func (x *DlcArtifact) GetSha256() string {
	if x != nil {
		return x.Sha256
	}
	return ""
}

func (x *DlcArtifact) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// next: 17
type BuildReport struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Id serves as the primary key for the metadata and will be constant even
	// when sending multiple partial messages.  Oneof to keep open changing the
	// nature of the key in the future if needed.
	//
	// Types that are assignable to Id:
	//	*BuildReport_BuildbucketId
	Id               isBuildReport_Id                   `protobuf_oneof:"id"`
	Count            int64                              `protobuf:"varint,8,opt,name=count,proto3" json:"count,omitempty"`
	Parent           *BuildId                           `protobuf:"bytes,9,opt,name=parent,proto3" json:"parent,omitempty"`
	Children         []*BuildId                         `protobuf:"bytes,10,rep,name=children,proto3" json:"children,omitempty"`
	Type             BuildReport_BuildType              `protobuf:"varint,2,opt,name=type,proto3,enum=chromiumos.BuildReport_BuildType" json:"type,omitempty"`
	Status           *BuildReport_BuildStatus           `protobuf:"bytes,3,opt,name=status,proto3" json:"status,omitempty"`
	Config           *BuildReport_BuildConfig           `protobuf:"bytes,4,opt,name=config,proto3" json:"config,omitempty"`
	Steps            *BuildReport_StepDetails           `protobuf:"bytes,5,opt,name=steps,proto3" json:"steps,omitempty"`
	SignedBuilds     []*BuildReport_SignedBuildMetadata `protobuf:"bytes,6,rep,name=signed_builds,json=signedBuilds,proto3" json:"signed_builds,omitempty"`
	SigningWasMocked bool                               `protobuf:"varint,12,opt,name=signing_was_mocked,json=signingWasMocked,proto3" json:"signing_was_mocked,omitempty"` // True in staging environments where we mock signing.
	Payloads         []*BuildReport_Payload             `protobuf:"bytes,11,rep,name=payloads,proto3" json:"payloads,omitempty"`
	// SDK version used for this build, e.g. "2022.06.25.171739".
	SdkVersion string `protobuf:"bytes,13,opt,name=sdk_version,json=sdkVersion,proto3" json:"sdk_version,omitempty"`
	// How to find standalone toolchains from the above sdk,
	// e.g. "2022/06/%(target)s-2022.06.25.171739.tar.xz".
	// This path can be relative either to a GS url or a local file path.
	ToolchainUrl string `protobuf:"bytes,14,opt,name=toolchain_url,json=toolchainUrl,proto3" json:"toolchain_url,omitempty"`
	// List of standalone toolchains, e.g.
	// ["x86_64-cros-linux-gnu", "i686-cros-linux-gnu"].
	Toolchains []string `protobuf:"bytes,15,rep,name=toolchains,proto3" json:"toolchains,omitempty"`
	// Artifacts from the build.
	Artifacts []*BuildReport_BuildArtifact `protobuf:"bytes,7,rep,name=artifacts,proto3" json:"artifacts,omitempty"`
	// Holder object for DLCs.
	Dlcs *BuildReport_DLCs `protobuf:"bytes,16,opt,name=dlcs,proto3" json:"dlcs,omitempty"`
}

func (x *BuildReport) Reset() {
	*x = BuildReport{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport) ProtoMessage() {}

func (x *BuildReport) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport.ProtoReflect.Descriptor instead.
func (*BuildReport) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4}
}

func (m *BuildReport) GetId() isBuildReport_Id {
	if m != nil {
		return m.Id
	}
	return nil
}

func (x *BuildReport) GetBuildbucketId() int64 {
	if x, ok := x.GetId().(*BuildReport_BuildbucketId); ok {
		return x.BuildbucketId
	}
	return 0
}

func (x *BuildReport) GetCount() int64 {
	if x != nil {
		return x.Count
	}
	return 0
}

func (x *BuildReport) GetParent() *BuildId {
	if x != nil {
		return x.Parent
	}
	return nil
}

func (x *BuildReport) GetChildren() []*BuildId {
	if x != nil {
		return x.Children
	}
	return nil
}

func (x *BuildReport) GetType() BuildReport_BuildType {
	if x != nil {
		return x.Type
	}
	return BuildReport_BUILD_TYPE_UNDEFINED
}

func (x *BuildReport) GetStatus() *BuildReport_BuildStatus {
	if x != nil {
		return x.Status
	}
	return nil
}

func (x *BuildReport) GetConfig() *BuildReport_BuildConfig {
	if x != nil {
		return x.Config
	}
	return nil
}

func (x *BuildReport) GetSteps() *BuildReport_StepDetails {
	if x != nil {
		return x.Steps
	}
	return nil
}

func (x *BuildReport) GetSignedBuilds() []*BuildReport_SignedBuildMetadata {
	if x != nil {
		return x.SignedBuilds
	}
	return nil
}

func (x *BuildReport) GetSigningWasMocked() bool {
	if x != nil {
		return x.SigningWasMocked
	}
	return false
}

func (x *BuildReport) GetPayloads() []*BuildReport_Payload {
	if x != nil {
		return x.Payloads
	}
	return nil
}

func (x *BuildReport) GetSdkVersion() string {
	if x != nil {
		return x.SdkVersion
	}
	return ""
}

func (x *BuildReport) GetToolchainUrl() string {
	if x != nil {
		return x.ToolchainUrl
	}
	return ""
}

func (x *BuildReport) GetToolchains() []string {
	if x != nil {
		return x.Toolchains
	}
	return nil
}

func (x *BuildReport) GetArtifacts() []*BuildReport_BuildArtifact {
	if x != nil {
		return x.Artifacts
	}
	return nil
}

func (x *BuildReport) GetDlcs() *BuildReport_DLCs {
	if x != nil {
		return x.Dlcs
	}
	return nil
}

type isBuildReport_Id interface {
	isBuildReport_Id()
}

type BuildReport_BuildbucketId struct {
	BuildbucketId int64 `protobuf:"varint,1,opt,name=buildbucket_id,json=buildbucketId,proto3,oneof"`
}

func (*BuildReport_BuildbucketId) isBuildReport_Id() {}

type BuildReport_BuildStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value BuildReport_BuildStatus_Status `protobuf:"varint,1,opt,name=value,proto3,enum=chromiumos.BuildReport_BuildStatus_Status" json:"value,omitempty"`
}

func (x *BuildReport_BuildStatus) Reset() {
	*x = BuildReport_BuildStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildStatus) ProtoMessage() {}

func (x *BuildReport_BuildStatus) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildStatus.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildStatus) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 0}
}

func (x *BuildReport_BuildStatus) GetValue() BuildReport_BuildStatus_Status {
	if x != nil {
		return x.Value
	}
	return BuildReport_BuildStatus_UNDEFINED
}

// Information about the build configuration.
type BuildReport_BuildConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Branch                 *BuildReport_BuildConfig_Branch    `protobuf:"bytes,1,opt,name=branch,proto3" json:"branch,omitempty"`                                                                 // Optional branch information (not present for tip-of-tree).
	AndroidContainerBranch *BuildReport_BuildConfig_Branch    `protobuf:"bytes,2,opt,name=android_container_branch,json=androidContainerBranch,proto3" json:"android_container_branch,omitempty"` // Optional android container branch information.
	Target                 *BuildReport_BuildConfig_Target    `protobuf:"bytes,3,opt,name=target,proto3" json:"target,omitempty"`                                                                 // Name of build_target (e.g. coral).
	AndroidContainerTarget *BuildReport_BuildConfig_Target    `protobuf:"bytes,4,opt,name=android_container_target,json=androidContainerTarget,proto3" json:"android_container_target,omitempty"` // Name of android container target (e.g. cheets).
	Release                *BuildReport_BuildConfig_Release   `protobuf:"bytes,5,opt,name=release,proto3" json:"release,omitempty"`                                                               // Optional information for release builds.
	Versions               []*BuildReport_BuildConfig_Version `protobuf:"bytes,6,rep,name=versions,proto3" json:"versions,omitempty"`                                                             // Optional embedded versions (e.g. chrome, arc).
	ArcUseSet              bool                               `protobuf:"varint,7,opt,name=arc_use_set,json=arcUseSet,proto3" json:"arc_use_set,omitempty"`                                       // Whether or not arc-use is enabled.
	// List of board models covered by this build ie: expanded list of
	// unibuild models at the time the build ran, may be empty.
	Models []*BuildReport_BuildConfig_Model `protobuf:"bytes,8,rep,name=models,proto3" json:"models,omitempty"`
}

func (x *BuildReport_BuildConfig) Reset() {
	*x = BuildReport_BuildConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildConfig) ProtoMessage() {}

func (x *BuildReport_BuildConfig) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildConfig.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildConfig) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1}
}

func (x *BuildReport_BuildConfig) GetBranch() *BuildReport_BuildConfig_Branch {
	if x != nil {
		return x.Branch
	}
	return nil
}

func (x *BuildReport_BuildConfig) GetAndroidContainerBranch() *BuildReport_BuildConfig_Branch {
	if x != nil {
		return x.AndroidContainerBranch
	}
	return nil
}

func (x *BuildReport_BuildConfig) GetTarget() *BuildReport_BuildConfig_Target {
	if x != nil {
		return x.Target
	}
	return nil
}

func (x *BuildReport_BuildConfig) GetAndroidContainerTarget() *BuildReport_BuildConfig_Target {
	if x != nil {
		return x.AndroidContainerTarget
	}
	return nil
}

func (x *BuildReport_BuildConfig) GetRelease() *BuildReport_BuildConfig_Release {
	if x != nil {
		return x.Release
	}
	return nil
}

func (x *BuildReport_BuildConfig) GetVersions() []*BuildReport_BuildConfig_Version {
	if x != nil {
		return x.Versions
	}
	return nil
}

func (x *BuildReport_BuildConfig) GetArcUseSet() bool {
	if x != nil {
		return x.ArcUseSet
	}
	return false
}

func (x *BuildReport_BuildConfig) GetModels() []*BuildReport_BuildConfig_Model {
	if x != nil {
		return x.Models
	}
	return nil
}

// Artifacts produced by the build.
//
//	These could be source from chromiumos/common.proto but this message is
//	intended to be a long-term archival format so it's easier and safer to
//	define our own artifact types for reporting.
type BuildReport_BuildArtifact struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type   BuildReport_BuildArtifact_Type `protobuf:"varint,1,opt,name=type,proto3,enum=chromiumos.BuildReport_BuildArtifact_Type" json:"type,omitempty"` // The artifact type.
	Uri    *URI                           `protobuf:"bytes,2,opt,name=uri,proto3" json:"uri,omitempty"`                                                   // URI of the artifact.
	Sha256 string                         `protobuf:"bytes,3,opt,name=sha256,proto3" json:"sha256,omitempty"`                                             // SHA256 hash of the artifact.
	Size   int64                          `protobuf:"varint,5,opt,name=size,proto3" json:"size,omitempty"`                                                // Size of the artifact (in bytes).
	// Time of artifact creation.
	Created *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=created,proto3" json:"created,omitempty"`
}

func (x *BuildReport_BuildArtifact) Reset() {
	*x = BuildReport_BuildArtifact{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildArtifact) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildArtifact) ProtoMessage() {}

func (x *BuildReport_BuildArtifact) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildArtifact.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildArtifact) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 2}
}

func (x *BuildReport_BuildArtifact) GetType() BuildReport_BuildArtifact_Type {
	if x != nil {
		return x.Type
	}
	return BuildReport_BuildArtifact_UNDEFINED
}

func (x *BuildReport_BuildArtifact) GetUri() *URI {
	if x != nil {
		return x.Uri
	}
	return nil
}

func (x *BuildReport_BuildArtifact) GetSha256() string {
	if x != nil {
		return x.Sha256
	}
	return ""
}

func (x *BuildReport_BuildArtifact) GetSize() int64 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *BuildReport_BuildArtifact) GetCreated() *timestamppb.Timestamp {
	if x != nil {
		return x.Created
	}
	return nil
}

// Build statistics
type BuildReport_StepDetails struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Current BuildReport_StepDetails_StepName `protobuf:"varint,1,opt,name=current,proto3,enum=chromiumos.BuildReport_StepDetails_StepName" json:"current,omitempty"`
	// This is a map from StepName enums to information about the step.
	// Protobuffer doesn't allow enums to be used as map keys, so we're
	// forced to use a string. Keys must be marshalled via the StepName
	// enum to get their string representation.
	Info map[string]*BuildReport_StepDetails_StepInfo `protobuf:"bytes,2,rep,name=info,proto3" json:"info,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *BuildReport_StepDetails) Reset() {
	*x = BuildReport_StepDetails{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_StepDetails) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_StepDetails) ProtoMessage() {}

func (x *BuildReport_StepDetails) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_StepDetails.ProtoReflect.Descriptor instead.
func (*BuildReport_StepDetails) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 3}
}

func (x *BuildReport_StepDetails) GetCurrent() BuildReport_StepDetails_StepName {
	if x != nil {
		return x.Current
	}
	return BuildReport_StepDetails_STEP_UNDEFINED
}

func (x *BuildReport_StepDetails) GetInfo() map[string]*BuildReport_StepDetails_StepInfo {
	if x != nil {
		return x.Info
	}
	return nil
}

// Metadata produced by signing images. Translated from the .json file that
// is generated alongside the image when it is signed.
type BuildReport_SignedBuildMetadata struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ReleaseDirectory string `protobuf:"bytes,1,opt,name=release_directory,json=releaseDirectory,proto3" json:"release_directory,omitempty"` // Directory of the release (eg:
	// "rubik-channel/kevin-kernelnext/14545.0.0/").
	Status     BuildReport_SignedBuildMetadata_SigningStatus     `protobuf:"varint,2,opt,name=status,proto3,enum=chromiumos.BuildReport_SignedBuildMetadata_SigningStatus" json:"status,omitempty"` // Status of signing.
	Board      string                                            `protobuf:"bytes,3,opt,name=board,proto3" json:"board,omitempty"`                                                                  // The board the image is for.
	Type       ImageType                                         `protobuf:"varint,4,opt,name=type,proto3,enum=chromiumos.ImageType" json:"type,omitempty"`                                         // The type of image (eg: "recovery").
	Channel    Channel                                           `protobuf:"varint,5,opt,name=channel,proto3,enum=chromiumos.Channel" json:"channel,omitempty"`                                     // The channel of the image (eg: "stable").
	Keyset     string                                            `protobuf:"bytes,6,opt,name=keyset,proto3" json:"keyset,omitempty"`
	KeysetIsMp bool                                              `protobuf:"varint,7,opt,name=keyset_is_mp,json=keysetIsMp,proto3" json:"keyset_is_mp,omitempty"`
	Files      []*BuildReport_SignedBuildMetadata_FileWithHashes `protobuf:"bytes,8,rep,name=files,proto3" json:"files,omitempty"`
	Versions   []*BuildReport_SignedBuildMetadata_Version        `protobuf:"bytes,9,rep,name=versions,proto3" json:"versions,omitempty"`
}

func (x *BuildReport_SignedBuildMetadata) Reset() {
	*x = BuildReport_SignedBuildMetadata{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_SignedBuildMetadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_SignedBuildMetadata) ProtoMessage() {}

func (x *BuildReport_SignedBuildMetadata) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_SignedBuildMetadata.ProtoReflect.Descriptor instead.
func (*BuildReport_SignedBuildMetadata) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 4}
}

func (x *BuildReport_SignedBuildMetadata) GetReleaseDirectory() string {
	if x != nil {
		return x.ReleaseDirectory
	}
	return ""
}

func (x *BuildReport_SignedBuildMetadata) GetStatus() BuildReport_SignedBuildMetadata_SigningStatus {
	if x != nil {
		return x.Status
	}
	return BuildReport_SignedBuildMetadata_SIGNING_STATUS_UNKNOWN
}

func (x *BuildReport_SignedBuildMetadata) GetBoard() string {
	if x != nil {
		return x.Board
	}
	return ""
}

func (x *BuildReport_SignedBuildMetadata) GetType() ImageType {
	if x != nil {
		return x.Type
	}
	return ImageType_IMAGE_TYPE_UNDEFINED
}

func (x *BuildReport_SignedBuildMetadata) GetChannel() Channel {
	if x != nil {
		return x.Channel
	}
	return Channel_CHANNEL_UNSPECIFIED
}

func (x *BuildReport_SignedBuildMetadata) GetKeyset() string {
	if x != nil {
		return x.Keyset
	}
	return ""
}

func (x *BuildReport_SignedBuildMetadata) GetKeysetIsMp() bool {
	if x != nil {
		return x.KeysetIsMp
	}
	return false
}

func (x *BuildReport_SignedBuildMetadata) GetFiles() []*BuildReport_SignedBuildMetadata_FileWithHashes {
	if x != nil {
		return x.Files
	}
	return nil
}

func (x *BuildReport_SignedBuildMetadata) GetVersions() []*BuildReport_SignedBuildMetadata_Version {
	if x != nil {
		return x.Versions
	}
	return nil
}

type BuildReport_Payload struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The actual payload. Contains the artifact URI, whether the payload
	// is full or delta, etc.
	Payload            *BuildReport_BuildArtifact      `protobuf:"bytes,1,opt,name=payload,proto3" json:"payload,omitempty"`
	PayloadType        BuildReport_Payload_PayloadType `protobuf:"varint,2,opt,name=payload_type,json=payloadType,proto3,enum=chromiumos.BuildReport_Payload_PayloadType" json:"payload_type,omitempty"`
	Board              string                          `protobuf:"bytes,3,opt,name=board,proto3" json:"board,omitempty"`                              // The board the payload is for.
	Channel            Channel                         `protobuf:"varint,4,opt,name=channel,proto3,enum=chromiumos.Channel" json:"channel,omitempty"` // The channel the payload is for.
	Appid              string                          `protobuf:"bytes,5,opt,name=appid,proto3" json:"appid,omitempty"`
	MetadataSignature  string                          `protobuf:"bytes,6,opt,name=metadata_signature,json=metadataSignature,proto3" json:"metadata_signature,omitempty"`
	MetadataSize       int64                           `protobuf:"varint,7,opt,name=metadata_size,json=metadataSize,proto3" json:"metadata_size,omitempty"`
	SourceVersion      string                          `protobuf:"bytes,8,opt,name=source_version,json=sourceVersion,proto3" json:"source_version,omitempty"`                    // e.g. 14388.8.0
	TargetVersion      string                          `protobuf:"bytes,9,opt,name=target_version,json=targetVersion,proto3" json:"target_version,omitempty"`                    // e.g. 14440.0.0
	Size               int64                           `protobuf:"varint,10,opt,name=size,proto3" json:"size,omitempty"`                                                         // Size of payload, in bytes.
	RecoveryKeyVersion uint32                          `protobuf:"varint,11,opt,name=recovery_key_version,json=recoveryKeyVersion,proto3" json:"recovery_key_version,omitempty"` // for miniOS payloads only.
}

func (x *BuildReport_Payload) Reset() {
	*x = BuildReport_Payload{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_Payload) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_Payload) ProtoMessage() {}

func (x *BuildReport_Payload) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_Payload.ProtoReflect.Descriptor instead.
func (*BuildReport_Payload) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 5}
}

func (x *BuildReport_Payload) GetPayload() *BuildReport_BuildArtifact {
	if x != nil {
		return x.Payload
	}
	return nil
}

func (x *BuildReport_Payload) GetPayloadType() BuildReport_Payload_PayloadType {
	if x != nil {
		return x.PayloadType
	}
	return BuildReport_Payload_PAYLOAD_TYPE_UNKNOWN
}

func (x *BuildReport_Payload) GetBoard() string {
	if x != nil {
		return x.Board
	}
	return ""
}

func (x *BuildReport_Payload) GetChannel() Channel {
	if x != nil {
		return x.Channel
	}
	return Channel_CHANNEL_UNSPECIFIED
}

func (x *BuildReport_Payload) GetAppid() string {
	if x != nil {
		return x.Appid
	}
	return ""
}

func (x *BuildReport_Payload) GetMetadataSignature() string {
	if x != nil {
		return x.MetadataSignature
	}
	return ""
}

func (x *BuildReport_Payload) GetMetadataSize() int64 {
	if x != nil {
		return x.MetadataSize
	}
	return 0
}

func (x *BuildReport_Payload) GetSourceVersion() string {
	if x != nil {
		return x.SourceVersion
	}
	return ""
}

func (x *BuildReport_Payload) GetTargetVersion() string {
	if x != nil {
		return x.TargetVersion
	}
	return ""
}

func (x *BuildReport_Payload) GetSize() int64 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *BuildReport_Payload) GetRecoveryKeyVersion() uint32 {
	if x != nil {
		return x.RecoveryKeyVersion
	}
	return 0
}

// Representation of DLCs that may or may not live in Payloads.
type BuildReport_DLCs struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// DLC artifacts.
	DlcArtifacts       []*URI         `protobuf:"bytes,1,rep,name=dlc_artifacts,json=dlcArtifacts,proto3" json:"dlc_artifacts,omitempty"` // URIs of DLC artifacts.
	DlcArtifactDetails []*DlcArtifact `protobuf:"bytes,2,rep,name=dlc_artifact_details,json=dlcArtifactDetails,proto3" json:"dlc_artifact_details,omitempty"`
}

func (x *BuildReport_DLCs) Reset() {
	*x = BuildReport_DLCs{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_DLCs) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_DLCs) ProtoMessage() {}

func (x *BuildReport_DLCs) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_DLCs.ProtoReflect.Descriptor instead.
func (*BuildReport_DLCs) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 6}
}

func (x *BuildReport_DLCs) GetDlcArtifacts() []*URI {
	if x != nil {
		return x.DlcArtifacts
	}
	return nil
}

func (x *BuildReport_DLCs) GetDlcArtifactDetails() []*DlcArtifact {
	if x != nil {
		return x.DlcArtifactDetails
	}
	return nil
}

// Board model information.
type BuildReport_BuildConfig_Model struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name          string                                        `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`                                          // Name of model (e.g. astronaut).
	FirmwareKeyId string                                        `protobuf:"bytes,2,opt,name=firmware_key_id,json=firmwareKeyId,proto3" json:"firmware_key_id,omitempty"` // Firmware key id (e.g. CORALG).
	Versions      []*BuildReport_BuildConfig_Model_ModelVersion `protobuf:"bytes,3,rep,name=versions,proto3" json:"versions,omitempty"`                                  // Embedded versions.
}

func (x *BuildReport_BuildConfig_Model) Reset() {
	*x = BuildReport_BuildConfig_Model{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildConfig_Model) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildConfig_Model) ProtoMessage() {}

func (x *BuildReport_BuildConfig_Model) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildConfig_Model.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildConfig_Model) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1, 0}
}

func (x *BuildReport_BuildConfig_Model) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *BuildReport_BuildConfig_Model) GetFirmwareKeyId() string {
	if x != nil {
		return x.FirmwareKeyId
	}
	return ""
}

func (x *BuildReport_BuildConfig_Model) GetVersions() []*BuildReport_BuildConfig_Model_ModelVersion {
	if x != nil {
		return x.Versions
	}
	return nil
}

type BuildReport_BuildConfig_Release struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// List of channels for the build.
	Channels []Channel `protobuf:"varint,1,rep,packed,name=channels,proto3,enum=chromiumos.Channel" json:"channels,omitempty"`
}

func (x *BuildReport_BuildConfig_Release) Reset() {
	*x = BuildReport_BuildConfig_Release{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildConfig_Release) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildConfig_Release) ProtoMessage() {}

func (x *BuildReport_BuildConfig_Release) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildConfig_Release.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildConfig_Release) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1, 1}
}

func (x *BuildReport_BuildConfig_Release) GetChannels() []Channel {
	if x != nil {
		return x.Channels
	}
	return nil
}

// Information about the branch we're building on.
type BuildReport_BuildConfig_Branch struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"` // eg: release-R90-13816.B
}

func (x *BuildReport_BuildConfig_Branch) Reset() {
	*x = BuildReport_BuildConfig_Branch{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildConfig_Branch) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildConfig_Branch) ProtoMessage() {}

func (x *BuildReport_BuildConfig_Branch) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildConfig_Branch.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildConfig_Branch) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1, 2}
}

func (x *BuildReport_BuildConfig_Branch) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type BuildReport_BuildConfig_Version struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Kind  BuildReport_BuildConfig_VersionKind `protobuf:"varint,1,opt,name=kind,proto3,enum=chromiumos.BuildReport_BuildConfig_VersionKind" json:"kind,omitempty"` // eg: VERSION_KIND_ASH_CHROME.
	Value string                              `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`                                                    // eg: 98.0.4697.0.
}

func (x *BuildReport_BuildConfig_Version) Reset() {
	*x = BuildReport_BuildConfig_Version{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildConfig_Version) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildConfig_Version) ProtoMessage() {}

func (x *BuildReport_BuildConfig_Version) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildConfig_Version.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildConfig_Version) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1, 3}
}

func (x *BuildReport_BuildConfig_Version) GetKind() BuildReport_BuildConfig_VersionKind {
	if x != nil {
		return x.Kind
	}
	return BuildReport_BuildConfig_VERSION_KIND_UNDEFINED
}

func (x *BuildReport_BuildConfig_Version) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

// Information about the build target.
type BuildReport_BuildConfig_Target struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *BuildReport_BuildConfig_Target) Reset() {
	*x = BuildReport_BuildConfig_Target{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildConfig_Target) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildConfig_Target) ProtoMessage() {}

func (x *BuildReport_BuildConfig_Target) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildConfig_Target.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildConfig_Target) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1, 4}
}

func (x *BuildReport_BuildConfig_Target) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type BuildReport_BuildConfig_Model_ModelVersion struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Kind  BuildReport_BuildConfig_Model_ModelVersionKind `protobuf:"varint,1,opt,name=kind,proto3,enum=chromiumos.BuildReport_BuildConfig_Model_ModelVersionKind" json:"kind,omitempty"` // eg: MODEL_VERSION_KIND_EC_FIRMWARE.
	Value string                                         `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`                                                               // eg: coral_v1.1.7292-04956f5df.
}

func (x *BuildReport_BuildConfig_Model_ModelVersion) Reset() {
	*x = BuildReport_BuildConfig_Model_ModelVersion{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_BuildConfig_Model_ModelVersion) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_BuildConfig_Model_ModelVersion) ProtoMessage() {}

func (x *BuildReport_BuildConfig_Model_ModelVersion) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_BuildConfig_Model_ModelVersion.ProtoReflect.Descriptor instead.
func (*BuildReport_BuildConfig_Model_ModelVersion) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 1, 0, 0}
}

func (x *BuildReport_BuildConfig_Model_ModelVersion) GetKind() BuildReport_BuildConfig_Model_ModelVersionKind {
	if x != nil {
		return x.Kind
	}
	return BuildReport_BuildConfig_Model_MODEL_VERSION_KIND_UNDEFINED
}

func (x *BuildReport_BuildConfig_Model_ModelVersion) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type BuildReport_StepDetails_StepInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Step order-of-execution relative to other steps in this build.
	// Needed due to the unordered nature of the map below.
	Order   int32                          `protobuf:"varint,1,opt,name=order,proto3" json:"order,omitempty"`
	Status  BuildReport_StepDetails_Status `protobuf:"varint,2,opt,name=status,proto3,enum=chromiumos.BuildReport_StepDetails_Status" json:"status,omitempty"` // Step status
	Runtime *Timeframe                     `protobuf:"bytes,3,opt,name=runtime,proto3" json:"runtime,omitempty"`                                               // Step runtime information
}

func (x *BuildReport_StepDetails_StepInfo) Reset() {
	*x = BuildReport_StepDetails_StepInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_StepDetails_StepInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_StepDetails_StepInfo) ProtoMessage() {}

func (x *BuildReport_StepDetails_StepInfo) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_StepDetails_StepInfo.ProtoReflect.Descriptor instead.
func (*BuildReport_StepDetails_StepInfo) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 3, 0}
}

func (x *BuildReport_StepDetails_StepInfo) GetOrder() int32 {
	if x != nil {
		return x.Order
	}
	return 0
}

func (x *BuildReport_StepDetails_StepInfo) GetStatus() BuildReport_StepDetails_Status {
	if x != nil {
		return x.Status
	}
	return BuildReport_StepDetails_STEP_STATUS_UNDEFINED
}

func (x *BuildReport_StepDetails_StepInfo) GetRuntime() *Timeframe {
	if x != nil {
		return x.Runtime
	}
	return nil
}

// A file along with the hashes verifying its contents.
type BuildReport_SignedBuildMetadata_FileWithHashes struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filename string `protobuf:"bytes,1,opt,name=filename,proto3" json:"filename,omitempty"`
	Md5      string `protobuf:"bytes,2,opt,name=md5,proto3" json:"md5,omitempty"`
	Sha1     string `protobuf:"bytes,3,opt,name=sha1,proto3" json:"sha1,omitempty"`
	Sha256   string `protobuf:"bytes,4,opt,name=sha256,proto3" json:"sha256,omitempty"`
	Size     int64  `protobuf:"varint,5,opt,name=size,proto3" json:"size,omitempty"`
}

func (x *BuildReport_SignedBuildMetadata_FileWithHashes) Reset() {
	*x = BuildReport_SignedBuildMetadata_FileWithHashes{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[20]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_SignedBuildMetadata_FileWithHashes) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_SignedBuildMetadata_FileWithHashes) ProtoMessage() {}

func (x *BuildReport_SignedBuildMetadata_FileWithHashes) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[20]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_SignedBuildMetadata_FileWithHashes.ProtoReflect.Descriptor instead.
func (*BuildReport_SignedBuildMetadata_FileWithHashes) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 4, 0}
}

func (x *BuildReport_SignedBuildMetadata_FileWithHashes) GetFilename() string {
	if x != nil {
		return x.Filename
	}
	return ""
}

func (x *BuildReport_SignedBuildMetadata_FileWithHashes) GetMd5() string {
	if x != nil {
		return x.Md5
	}
	return ""
}

func (x *BuildReport_SignedBuildMetadata_FileWithHashes) GetSha1() string {
	if x != nil {
		return x.Sha1
	}
	return ""
}

func (x *BuildReport_SignedBuildMetadata_FileWithHashes) GetSha256() string {
	if x != nil {
		return x.Sha256
	}
	return ""
}

func (x *BuildReport_SignedBuildMetadata_FileWithHashes) GetSize() int64 {
	if x != nil {
		return x.Size
	}
	return 0
}

type BuildReport_SignedBuildMetadata_Version struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Kind  BuildReport_SignedBuildMetadata_VersionKind `protobuf:"varint,1,opt,name=kind,proto3,enum=chromiumos.BuildReport_SignedBuildMetadata_VersionKind" json:"kind,omitempty"` // eg: VERSION_KIND_PLATFORM.
	Value string                                      `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`                                                            // eg: 14324.43.0.
}

func (x *BuildReport_SignedBuildMetadata_Version) Reset() {
	*x = BuildReport_SignedBuildMetadata_Version{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_build_report_proto_msgTypes[21]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BuildReport_SignedBuildMetadata_Version) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BuildReport_SignedBuildMetadata_Version) ProtoMessage() {}

func (x *BuildReport_SignedBuildMetadata_Version) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_build_report_proto_msgTypes[21]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BuildReport_SignedBuildMetadata_Version.ProtoReflect.Descriptor instead.
func (*BuildReport_SignedBuildMetadata_Version) Descriptor() ([]byte, []int) {
	return file_chromiumos_build_report_proto_rawDescGZIP(), []int{4, 4, 1}
}

func (x *BuildReport_SignedBuildMetadata_Version) GetKind() BuildReport_SignedBuildMetadata_VersionKind {
	if x != nil {
		return x.Kind
	}
	return BuildReport_SignedBuildMetadata_VERSION_KIND_UNDEFINED
}

func (x *BuildReport_SignedBuildMetadata_Version) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

var File_chromiumos_build_report_proto protoreflect.FileDescriptor

var file_chromiumos_build_report_proto_rawDesc = []byte{
	0x0a, 0x1d, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x62, 0x75, 0x69,
	0x6c, 0x64, 0x5f, 0x72, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x0a, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x1a, 0x17, 0x63, 0x68, 0x72,
	0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x6b, 0x0a, 0x09, 0x54, 0x69, 0x6d, 0x65, 0x66, 0x72, 0x61,
	0x6d, 0x65, 0x12, 0x30, 0x0a, 0x05, 0x62, 0x65, 0x67, 0x69, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x05, 0x62,
	0x65, 0x67, 0x69, 0x6e, 0x12, 0x2c, 0x0a, 0x03, 0x65, 0x6e, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x03, 0x65,
	0x6e, 0x64, 0x22, 0x38, 0x0a, 0x07, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x49, 0x64, 0x12, 0x27, 0x0a,
	0x0e, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x62, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x5f, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x03, 0x48, 0x00, 0x52, 0x0d, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x62, 0x75,
	0x63, 0x6b, 0x65, 0x74, 0x49, 0x64, 0x42, 0x04, 0x0a, 0x02, 0x69, 0x64, 0x22, 0x20, 0x0a, 0x03,
	0x55, 0x52, 0x49, 0x12, 0x12, 0x0a, 0x03, 0x67, 0x63, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x48, 0x00, 0x52, 0x03, 0x67, 0x63, 0x73, 0x42, 0x05, 0x0a, 0x03, 0x75, 0x72, 0x69, 0x22, 0x58,
	0x0a, 0x0b, 0x44, 0x6c, 0x63, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x12, 0x21, 0x0a,
	0x03, 0x75, 0x72, 0x69, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x68, 0x72,
	0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x55, 0x52, 0x49, 0x52, 0x03, 0x75, 0x72, 0x69,
	0x12, 0x16, 0x0a, 0x06, 0x73, 0x68, 0x61, 0x32, 0x35, 0x36, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x73, 0x68, 0x61, 0x32, 0x35, 0x36, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x9d, 0x2f, 0x0a, 0x0b, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x27, 0x0a, 0x0e, 0x62, 0x75, 0x69, 0x6c,
	0x64, 0x62, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x48, 0x00, 0x52, 0x0d, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x62, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x49,
	0x64, 0x12, 0x14, 0x0a, 0x05, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x05, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x2b, 0x0a, 0x06, 0x70, 0x61, 0x72, 0x65, 0x6e,
	0x74, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x49, 0x64, 0x52, 0x06, 0x70, 0x61,
	0x72, 0x65, 0x6e, 0x74, 0x12, 0x2f, 0x0a, 0x08, 0x63, 0x68, 0x69, 0x6c, 0x64, 0x72, 0x65, 0x6e,
	0x18, 0x0a, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x49, 0x64, 0x52, 0x08, 0x63, 0x68, 0x69,
	0x6c, 0x64, 0x72, 0x65, 0x6e, 0x12, 0x35, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x21, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x3b, 0x0a, 0x06,
	0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52,
	0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x3b, 0x0a, 0x06, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f,
	0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x06,
	0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x39, 0x0a, 0x05, 0x73, 0x74, 0x65, 0x70, 0x73, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53,
	0x74, 0x65, 0x70, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x05, 0x73, 0x74, 0x65, 0x70,
	0x73, 0x12, 0x50, 0x0a, 0x0d, 0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x5f, 0x62, 0x75, 0x69, 0x6c,
	0x64, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72,
	0x74, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x4d, 0x65, 0x74,
	0x61, 0x64, 0x61, 0x74, 0x61, 0x52, 0x0c, 0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x73, 0x12, 0x2c, 0x0a, 0x12, 0x73, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x77,
	0x61, 0x73, 0x5f, 0x6d, 0x6f, 0x63, 0x6b, 0x65, 0x64, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x10, 0x73, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x57, 0x61, 0x73, 0x4d, 0x6f, 0x63, 0x6b, 0x65,
	0x64, 0x12, 0x3b, 0x0a, 0x08, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x73, 0x18, 0x0b, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x50, 0x61, 0x79,
	0x6c, 0x6f, 0x61, 0x64, 0x52, 0x08, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x73, 0x12, 0x1f,
	0x0a, 0x0b, 0x73, 0x64, 0x6b, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x0d, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x73, 0x64, 0x6b, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12,
	0x23, 0x0a, 0x0d, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x5f, 0x75, 0x72, 0x6c,
	0x18, 0x0e, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69,
	0x6e, 0x55, 0x72, 0x6c, 0x12, 0x1e, 0x0a, 0x0a, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68, 0x61, 0x69,
	0x6e, 0x73, 0x18, 0x0f, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0a, 0x74, 0x6f, 0x6f, 0x6c, 0x63, 0x68,
	0x61, 0x69, 0x6e, 0x73, 0x12, 0x43, 0x0a, 0x09, 0x61, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74,
	0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74,
	0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x52, 0x09,
	0x61, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x73, 0x12, 0x30, 0x0a, 0x04, 0x64, 0x6c, 0x63,
	0x73, 0x18, 0x10, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74,
	0x2e, 0x44, 0x4c, 0x43, 0x73, 0x52, 0x04, 0x64, 0x6c, 0x63, 0x73, 0x1a, 0xf3, 0x01, 0x0a, 0x0b,
	0x42, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x40, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2a, 0x2e, 0x63, 0x68, 0x72,
	0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70,
	0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0xa1, 0x01,
	0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x0d, 0x0a, 0x09, 0x55, 0x4e, 0x44, 0x45,
	0x46, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12, 0x11, 0x0a, 0x0d, 0x4b, 0x49, 0x4e, 0x44, 0x5f,
	0x54, 0x45, 0x52, 0x4d, 0x49, 0x4e, 0x41, 0x4c, 0x10, 0x01, 0x12, 0x10, 0x0a, 0x0c, 0x4b, 0x49,
	0x4e, 0x44, 0x5f, 0x52, 0x55, 0x4e, 0x4e, 0x49, 0x4e, 0x47, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07,
	0x53, 0x55, 0x43, 0x43, 0x45, 0x53, 0x53, 0x10, 0x64, 0x12, 0x0b, 0x0a, 0x07, 0x46, 0x41, 0x49,
	0x4c, 0x55, 0x52, 0x45, 0x10, 0x65, 0x12, 0x11, 0x0a, 0x0d, 0x49, 0x4e, 0x46, 0x52, 0x41, 0x5f,
	0x46, 0x41, 0x49, 0x4c, 0x55, 0x52, 0x45, 0x10, 0x66, 0x12, 0x0c, 0x0a, 0x08, 0x57, 0x41, 0x54,
	0x43, 0x48, 0x44, 0x4f, 0x47, 0x10, 0x67, 0x12, 0x0c, 0x0a, 0x08, 0x43, 0x41, 0x4e, 0x43, 0x45,
	0x4c, 0x45, 0x44, 0x10, 0x68, 0x12, 0x0c, 0x0a, 0x07, 0x52, 0x55, 0x4e, 0x4e, 0x49, 0x4e, 0x47,
	0x10, 0xc8, 0x01, 0x12, 0x0c, 0x0a, 0x07, 0x57, 0x41, 0x49, 0x54, 0x49, 0x4e, 0x47, 0x10, 0xc9,
	0x01, 0x1a, 0xc4, 0x0c, 0x0a, 0x0b, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x12, 0x42, 0x0a, 0x06, 0x62, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2a, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42,
	0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x42, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x52, 0x06, 0x62,
	0x72, 0x61, 0x6e, 0x63, 0x68, 0x12, 0x64, 0x0a, 0x18, 0x61, 0x6e, 0x64, 0x72, 0x6f, 0x69, 0x64,
	0x5f, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65, 0x72, 0x5f, 0x62, 0x72, 0x61, 0x6e, 0x63,
	0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74,
	0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x42, 0x72, 0x61,
	0x6e, 0x63, 0x68, 0x52, 0x16, 0x61, 0x6e, 0x64, 0x72, 0x6f, 0x69, 0x64, 0x43, 0x6f, 0x6e, 0x74,
	0x61, 0x69, 0x6e, 0x65, 0x72, 0x42, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x12, 0x42, 0x0a, 0x06, 0x74,
	0x61, 0x72, 0x67, 0x65, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x63, 0x68,
	0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65,
	0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x2e, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x52, 0x06, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x12,
	0x64, 0x0a, 0x18, 0x61, 0x6e, 0x64, 0x72, 0x6f, 0x69, 0x64, 0x5f, 0x63, 0x6f, 0x6e, 0x74, 0x61,
	0x69, 0x6e, 0x65, 0x72, 0x5f, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2a, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42,
	0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x52, 0x16, 0x61,
	0x6e, 0x64, 0x72, 0x6f, 0x69, 0x64, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65, 0x72, 0x54,
	0x61, 0x72, 0x67, 0x65, 0x74, 0x12, 0x45, 0x0a, 0x07, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e,
	0x42, 0x75, 0x69, 0x6c, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x52, 0x07, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x12, 0x47, 0x0a, 0x08,
	0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2b,
	0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c,
	0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x1e, 0x0a, 0x0b, 0x61, 0x72, 0x63, 0x5f, 0x75, 0x73, 0x65,
	0x5f, 0x73, 0x65, 0x74, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x61, 0x72, 0x63, 0x55,
	0x73, 0x65, 0x53, 0x65, 0x74, 0x12, 0x41, 0x0a, 0x06, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x73, 0x18,
	0x08, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x29, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42,
	0x75, 0x69, 0x6c, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c,
	0x52, 0x06, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x73, 0x1a, 0xc7, 0x03, 0x0a, 0x05, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x26, 0x0a, 0x0f, 0x66, 0x69, 0x72, 0x6d, 0x77, 0x61,
	0x72, 0x65, 0x5f, 0x6b, 0x65, 0x79, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0d, 0x66, 0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x4b, 0x65, 0x79, 0x49, 0x64, 0x12, 0x52,
	0x0a, 0x08, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x36, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75,
	0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x73, 0x1a, 0x74, 0x0a, 0x0c, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x56, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x4e, 0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x3a, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75,
	0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x4b, 0x69, 0x6e, 0x64, 0x52, 0x04, 0x6b, 0x69,
	0x6e, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0xb7, 0x01, 0x0a, 0x10, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x4b, 0x69, 0x6e, 0x64, 0x12, 0x20, 0x0a,
	0x1c, 0x4d, 0x4f, 0x44, 0x45, 0x4c, 0x5f, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b,
	0x49, 0x4e, 0x44, 0x5f, 0x55, 0x4e, 0x44, 0x45, 0x46, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12,
	0x22, 0x0a, 0x1e, 0x4d, 0x4f, 0x44, 0x45, 0x4c, 0x5f, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e,
	0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x45, 0x43, 0x5f, 0x46, 0x49, 0x52, 0x4d, 0x57, 0x41, 0x52,
	0x45, 0x10, 0x01, 0x12, 0x2d, 0x0a, 0x29, 0x4d, 0x4f, 0x44, 0x45, 0x4c, 0x5f, 0x56, 0x45, 0x52,
	0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x4d, 0x41, 0x49, 0x4e, 0x5f, 0x52,
	0x45, 0x41, 0x44, 0x4f, 0x4e, 0x4c, 0x59, 0x5f, 0x46, 0x49, 0x52, 0x4d, 0x57, 0x41, 0x52, 0x45,
	0x10, 0x02, 0x12, 0x2e, 0x0a, 0x2a, 0x4d, 0x4f, 0x44, 0x45, 0x4c, 0x5f, 0x56, 0x45, 0x52, 0x53,
	0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x4d, 0x41, 0x49, 0x4e, 0x5f, 0x52, 0x45,
	0x41, 0x44, 0x57, 0x52, 0x49, 0x54, 0x45, 0x5f, 0x46, 0x49, 0x52, 0x4d, 0x57, 0x41, 0x52, 0x45,
	0x10, 0x03, 0x1a, 0x3a, 0x0a, 0x07, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x12, 0x2f, 0x0a,
	0x08, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0e, 0x32,
	0x13, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x61,
	0x6e, 0x6e, 0x65, 0x6c, 0x52, 0x08, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x73, 0x1a, 0x1c,
	0x0a, 0x06, 0x42, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x1a, 0x64, 0x0a, 0x07,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42,
	0x75, 0x69, 0x6c, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x4b, 0x69, 0x6e, 0x64, 0x52, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x12, 0x14, 0x0a, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x1a, 0x1c, 0x0a, 0x06, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x22, 0xc5, 0x02, 0x0a, 0x0b, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x4b, 0x69, 0x6e, 0x64,
	0x12, 0x1a, 0x0a, 0x16, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44,
	0x5f, 0x55, 0x4e, 0x44, 0x45, 0x46, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12, 0x1b, 0x0a, 0x17,
	0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x41, 0x53, 0x48,
	0x5f, 0x43, 0x48, 0x52, 0x4f, 0x4d, 0x45, 0x10, 0x01, 0x12, 0x17, 0x0a, 0x13, 0x56, 0x45, 0x52,
	0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x43, 0x48, 0x52, 0x4f, 0x4d, 0x45,
	0x10, 0x02, 0x12, 0x14, 0x0a, 0x10, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49,
	0x4e, 0x44, 0x5f, 0x41, 0x52, 0x43, 0x10, 0x03, 0x12, 0x19, 0x0a, 0x15, 0x56, 0x45, 0x52, 0x53,
	0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x50, 0x4c, 0x41, 0x54, 0x46, 0x4f, 0x52,
	0x4d, 0x10, 0x04, 0x12, 0x1a, 0x0a, 0x16, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b,
	0x49, 0x4e, 0x44, 0x5f, 0x4d, 0x49, 0x4c, 0x45, 0x53, 0x54, 0x4f, 0x4e, 0x45, 0x10, 0x05, 0x12,
	0x22, 0x0a, 0x1e, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f,
	0x41, 0x4e, 0x44, 0x52, 0x4f, 0x49, 0x44, 0x5f, 0x43, 0x4f, 0x4e, 0x54, 0x41, 0x49, 0x4e, 0x45,
	0x52, 0x10, 0x06, 0x12, 0x1c, 0x0a, 0x18, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b,
	0x49, 0x4e, 0x44, 0x5f, 0x45, 0x43, 0x5f, 0x46, 0x49, 0x52, 0x4d, 0x57, 0x41, 0x52, 0x45, 0x10,
	0x07, 0x12, 0x1c, 0x0a, 0x18, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e,
	0x44, 0x5f, 0x46, 0x49, 0x4e, 0x47, 0x45, 0x52, 0x50, 0x52, 0x49, 0x4e, 0x54, 0x10, 0x08, 0x12,
	0x17, 0x0a, 0x13, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f,
	0x4b, 0x45, 0x52, 0x4e, 0x45, 0x4c, 0x10, 0x09, 0x12, 0x1e, 0x0a, 0x1a, 0x56, 0x45, 0x52, 0x53,
	0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x4d, 0x41, 0x49, 0x4e, 0x5f, 0x46, 0x49,
	0x52, 0x4d, 0x57, 0x41, 0x52, 0x45, 0x10, 0x0a, 0x1a, 0x94, 0x03, 0x0a, 0x0d, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x12, 0x3e, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2a, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72,
	0x74, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x2e,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x21, 0x0a, 0x03, 0x75, 0x72,
	0x69, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x55, 0x52, 0x49, 0x52, 0x03, 0x75, 0x72, 0x69, 0x12, 0x16, 0x0a,
	0x06, 0x73, 0x68, 0x61, 0x32, 0x35, 0x36, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73,
	0x68, 0x61, 0x32, 0x35, 0x36, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x12, 0x34, 0x0a, 0x07, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x22,
	0xbd, 0x01, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0d, 0x0a, 0x09, 0x55, 0x4e, 0x44, 0x45,
	0x46, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0d, 0x0a, 0x09, 0x49, 0x4d, 0x41, 0x47, 0x45,
	0x5f, 0x5a, 0x49, 0x50, 0x10, 0x01, 0x12, 0x15, 0x0a, 0x11, 0x46, 0x41, 0x43, 0x54, 0x4f, 0x52,
	0x59, 0x5f, 0x49, 0x4d, 0x41, 0x47, 0x45, 0x5f, 0x5a, 0x49, 0x50, 0x10, 0x02, 0x12, 0x1a, 0x0a,
	0x16, 0x46, 0x49, 0x52, 0x4d, 0x57, 0x41, 0x52, 0x45, 0x5f, 0x49, 0x4d, 0x41, 0x47, 0x45, 0x5f,
	0x41, 0x52, 0x43, 0x48, 0x49, 0x56, 0x45, 0x10, 0x03, 0x12, 0x16, 0x0a, 0x12, 0x54, 0x45, 0x53,
	0x54, 0x5f, 0x49, 0x4d, 0x41, 0x47, 0x45, 0x5f, 0x41, 0x52, 0x43, 0x48, 0x49, 0x56, 0x45, 0x10,
	0x04, 0x12, 0x12, 0x0a, 0x0e, 0x48, 0x57, 0x51, 0x55, 0x41, 0x4c, 0x5f, 0x41, 0x52, 0x43, 0x48,
	0x49, 0x56, 0x45, 0x10, 0x65, 0x12, 0x11, 0x0a, 0x0d, 0x44, 0x45, 0x42, 0x55, 0x47, 0x5f, 0x41,
	0x52, 0x43, 0x48, 0x49, 0x56, 0x45, 0x10, 0x66, 0x12, 0x11, 0x0a, 0x0c, 0x50, 0x41, 0x59, 0x4c,
	0x4f, 0x41, 0x44, 0x5f, 0x46, 0x55, 0x4c, 0x4c, 0x10, 0x90, 0x03, 0x12, 0x12, 0x0a, 0x0d, 0x50,
	0x41, 0x59, 0x4c, 0x4f, 0x41, 0x44, 0x5f, 0x44, 0x45, 0x4c, 0x54, 0x41, 0x10, 0x91, 0x03, 0x1a,
	0xe9, 0x06, 0x0a, 0x0b, 0x53, 0x74, 0x65, 0x70, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12,
	0x46, 0x0a, 0x07, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x2c, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75,
	0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53, 0x74, 0x65, 0x70, 0x44, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x73, 0x2e, 0x53, 0x74, 0x65, 0x70, 0x4e, 0x61, 0x6d, 0x65, 0x52, 0x07,
	0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x12, 0x41, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x18,
	0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2d, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53,
	0x74, 0x65, 0x70, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x2e, 0x49, 0x6e, 0x66, 0x6f, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x1a, 0x95, 0x01, 0x0a, 0x08, 0x53,
	0x74, 0x65, 0x70, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x14, 0x0a, 0x05, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x42, 0x0a,
	0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2a, 0x2e,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64,
	0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53, 0x74, 0x65, 0x70, 0x44, 0x65, 0x74, 0x61, 0x69,
	0x6c, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x12, 0x2f, 0x0a, 0x07, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x15, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x66, 0x72, 0x61, 0x6d, 0x65, 0x52, 0x07, 0x72, 0x75, 0x6e, 0x74, 0x69,
	0x6d, 0x65, 0x1a, 0x65, 0x0a, 0x09, 0x49, 0x6e, 0x66, 0x6f, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12,
	0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65,
	0x79, 0x12, 0x42, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x2c, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75,
	0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53, 0x74, 0x65, 0x70, 0x44, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x73, 0x2e, 0x53, 0x74, 0x65, 0x70, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xc9, 0x01, 0x0a, 0x06, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x12, 0x19, 0x0a, 0x15, 0x53, 0x54, 0x45, 0x50, 0x5f, 0x53, 0x54, 0x41,
	0x54, 0x55, 0x53, 0x5f, 0x55, 0x4e, 0x44, 0x45, 0x46, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12,
	0x11, 0x0a, 0x0d, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x54, 0x45, 0x52, 0x4d, 0x49, 0x4e, 0x41, 0x4c,
	0x10, 0x01, 0x12, 0x10, 0x0a, 0x0c, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x52, 0x55, 0x4e, 0x4e, 0x49,
	0x4e, 0x47, 0x10, 0x02, 0x12, 0x12, 0x0a, 0x0e, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x53,
	0x55, 0x43, 0x43, 0x45, 0x53, 0x53, 0x10, 0x64, 0x12, 0x12, 0x0a, 0x0e, 0x53, 0x54, 0x41, 0x54,
	0x55, 0x53, 0x5f, 0x46, 0x41, 0x49, 0x4c, 0x55, 0x52, 0x45, 0x10, 0x65, 0x12, 0x18, 0x0a, 0x14,
	0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x49, 0x4e, 0x46, 0x52, 0x41, 0x5f, 0x46, 0x41, 0x49,
	0x4c, 0x55, 0x52, 0x45, 0x10, 0x66, 0x12, 0x13, 0x0a, 0x0f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53,
	0x5f, 0x57, 0x41, 0x54, 0x43, 0x48, 0x44, 0x4f, 0x47, 0x10, 0x67, 0x12, 0x13, 0x0a, 0x0f, 0x53,
	0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x43, 0x41, 0x4e, 0x43, 0x45, 0x4c, 0x45, 0x44, 0x10, 0x68,
	0x12, 0x13, 0x0a, 0x0e, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x52, 0x55, 0x4e, 0x4e, 0x49,
	0x4e, 0x47, 0x10, 0xc8, 0x01, 0x22, 0x83, 0x02, 0x0a, 0x08, 0x53, 0x74, 0x65, 0x70, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x12, 0x0a, 0x0e, 0x53, 0x54, 0x45, 0x50, 0x5f, 0x55, 0x4e, 0x44, 0x45, 0x46,
	0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12, 0x10, 0x0a, 0x0c, 0x53, 0x54, 0x45, 0x50, 0x5f, 0x4f,
	0x56, 0x45, 0x52, 0x41, 0x4c, 0x4c, 0x10, 0x64, 0x12, 0x0e, 0x0a, 0x09, 0x53, 0x54, 0x45, 0x50,
	0x5f, 0x53, 0x59, 0x4e, 0x43, 0x10, 0xc8, 0x01, 0x12, 0x15, 0x0a, 0x10, 0x53, 0x54, 0x45, 0x50,
	0x5f, 0x53, 0x59, 0x4e, 0x43, 0x5f, 0x43, 0x48, 0x52, 0x4f, 0x4d, 0x45, 0x10, 0xc9, 0x01, 0x12,
	0x0d, 0x0a, 0x08, 0x53, 0x54, 0x45, 0x50, 0x5f, 0x53, 0x44, 0x4b, 0x10, 0xac, 0x02, 0x12, 0x12,
	0x0a, 0x0d, 0x53, 0x54, 0x45, 0x50, 0x5f, 0x53, 0x44, 0x4b, 0x5f, 0x49, 0x4e, 0x49, 0x54, 0x10,
	0xad, 0x02, 0x12, 0x14, 0x0a, 0x0f, 0x53, 0x54, 0x45, 0x50, 0x5f, 0x53, 0x44, 0x4b, 0x5f, 0x55,
	0x50, 0x44, 0x41, 0x54, 0x45, 0x10, 0xae, 0x02, 0x12, 0x0f, 0x0a, 0x0a, 0x53, 0x54, 0x45, 0x50,
	0x5f, 0x42, 0x55, 0x49, 0x4c, 0x44, 0x10, 0x90, 0x03, 0x12, 0x17, 0x0a, 0x12, 0x53, 0x54, 0x45,
	0x50, 0x5f, 0x42, 0x55, 0x49, 0x4c, 0x44, 0x5f, 0x53, 0x59, 0x53, 0x52, 0x4f, 0x4f, 0x54, 0x10,
	0x91, 0x03, 0x12, 0x18, 0x0a, 0x13, 0x53, 0x54, 0x45, 0x50, 0x5f, 0x42, 0x55, 0x49, 0x4c, 0x44,
	0x5f, 0x50, 0x41, 0x43, 0x4b, 0x41, 0x47, 0x45, 0x53, 0x10, 0x92, 0x03, 0x12, 0x17, 0x0a, 0x12,
	0x53, 0x54, 0x45, 0x50, 0x5f, 0x44, 0x45, 0x42, 0x55, 0x47, 0x5f, 0x53, 0x59, 0x4d, 0x42, 0x4f,
	0x4c, 0x53, 0x10, 0xf4, 0x03, 0x12, 0x14, 0x0a, 0x0f, 0x53, 0x54, 0x45, 0x50, 0x5f, 0x55, 0x4e,
	0x49, 0x54, 0x5f, 0x54, 0x45, 0x53, 0x54, 0x53, 0x10, 0xf5, 0x03, 0x1a, 0xa8, 0x09, 0x0a, 0x13,
	0x53, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x4d, 0x65, 0x74, 0x61, 0x64,
	0x61, 0x74, 0x61, 0x12, 0x2b, 0x0a, 0x11, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x5f, 0x64,
	0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10,
	0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x44, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x79,
	0x12, 0x51, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x39, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75,
	0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x65, 0x64,
	0x42, 0x75, 0x69, 0x6c, 0x64, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x53, 0x69,
	0x67, 0x6e, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x12, 0x29, 0x0a, 0x04, 0x74, 0x79, 0x70,
	0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x12, 0x2d, 0x0a, 0x07, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2e, 0x43, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x52, 0x07, 0x63, 0x68, 0x61, 0x6e,
	0x6e, 0x65, 0x6c, 0x12, 0x16, 0x0a, 0x06, 0x6b, 0x65, 0x79, 0x73, 0x65, 0x74, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x6b, 0x65, 0x79, 0x73, 0x65, 0x74, 0x12, 0x20, 0x0a, 0x0c, 0x6b,
	0x65, 0x79, 0x73, 0x65, 0x74, 0x5f, 0x69, 0x73, 0x5f, 0x6d, 0x70, 0x18, 0x07, 0x20, 0x01, 0x28,
	0x08, 0x52, 0x0a, 0x6b, 0x65, 0x79, 0x73, 0x65, 0x74, 0x49, 0x73, 0x4d, 0x70, 0x12, 0x50, 0x0a,
	0x05, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3a, 0x2e, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52,
	0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x42, 0x75, 0x69, 0x6c,
	0x64, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x57, 0x69,
	0x74, 0x68, 0x48, 0x61, 0x73, 0x68, 0x65, 0x73, 0x52, 0x05, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x12,
	0x4f, 0x0a, 0x08, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x09, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x33, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42,
	0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x65,
	0x64, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x56,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73,
	0x1a, 0x7e, 0x0a, 0x0e, 0x46, 0x69, 0x6c, 0x65, 0x57, 0x69, 0x74, 0x68, 0x48, 0x61, 0x73, 0x68,
	0x65, 0x73, 0x12, 0x1a, 0x0a, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x10,
	0x0a, 0x03, 0x6d, 0x64, 0x35, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x64, 0x35,
	0x12, 0x12, 0x0a, 0x04, 0x73, 0x68, 0x61, 0x31, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x73, 0x68, 0x61, 0x31, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x68, 0x61, 0x32, 0x35, 0x36, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x68, 0x61, 0x32, 0x35, 0x36, 0x12, 0x12, 0x0a, 0x04,
	0x73, 0x69, 0x7a, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x73, 0x69, 0x7a, 0x65,
	0x1a, 0x6c, 0x0a, 0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x4b, 0x0a, 0x04, 0x6b,
	0x69, 0x6e, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x37, 0x2e, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f,
	0x72, 0x74, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x4d, 0x65,
	0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x4b, 0x69,
	0x6e, 0x64, 0x52, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0xe0,
	0x01, 0x0a, 0x0b, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x4b, 0x69, 0x6e, 0x64, 0x12, 0x1a,
	0x0a, 0x16, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x55,
	0x4e, 0x44, 0x45, 0x46, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12, 0x19, 0x0a, 0x15, 0x56, 0x45,
	0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x50, 0x4c, 0x41, 0x54, 0x46,
	0x4f, 0x52, 0x4d, 0x10, 0x01, 0x12, 0x1a, 0x0a, 0x16, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e,
	0x5f, 0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x4d, 0x49, 0x4c, 0x45, 0x53, 0x54, 0x4f, 0x4e, 0x45, 0x10,
	0x02, 0x12, 0x21, 0x0a, 0x1d, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b, 0x49, 0x4e,
	0x44, 0x5f, 0x4b, 0x45, 0x59, 0x5f, 0x46, 0x49, 0x52, 0x4d, 0x57, 0x41, 0x52, 0x45, 0x5f, 0x4b,
	0x45, 0x59, 0x10, 0x03, 0x12, 0x1d, 0x0a, 0x19, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f,
	0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x4b, 0x45, 0x59, 0x5f, 0x46, 0x49, 0x52, 0x4d, 0x57, 0x41, 0x52,
	0x45, 0x10, 0x04, 0x12, 0x1f, 0x0a, 0x1b, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4b,
	0x49, 0x4e, 0x44, 0x5f, 0x4b, 0x45, 0x59, 0x5f, 0x4b, 0x45, 0x52, 0x4e, 0x45, 0x4c, 0x5f, 0x4b,
	0x45, 0x59, 0x10, 0x05, 0x12, 0x1b, 0x0a, 0x17, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x5f,
	0x4b, 0x49, 0x4e, 0x44, 0x5f, 0x4b, 0x45, 0x59, 0x5f, 0x4b, 0x45, 0x52, 0x4e, 0x45, 0x4c, 0x10,
	0x06, 0x22, 0xf2, 0x01, 0x0a, 0x0d, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x12, 0x1a, 0x0a, 0x16, 0x53, 0x49, 0x47, 0x4e, 0x49, 0x4e, 0x47, 0x5f, 0x53,
	0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12,
	0x1e, 0x0a, 0x1a, 0x53, 0x49, 0x47, 0x4e, 0x49, 0x4e, 0x47, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55,
	0x53, 0x5f, 0x44, 0x4f, 0x57, 0x4e, 0x4c, 0x4f, 0x41, 0x44, 0x49, 0x4e, 0x47, 0x10, 0x01, 0x12,
	0x1a, 0x0a, 0x16, 0x53, 0x49, 0x47, 0x4e, 0x49, 0x4e, 0x47, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55,
	0x53, 0x5f, 0x53, 0x49, 0x47, 0x4e, 0x49, 0x4e, 0x47, 0x10, 0x02, 0x12, 0x1c, 0x0a, 0x18, 0x53,
	0x49, 0x47, 0x4e, 0x49, 0x4e, 0x47, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x55, 0x50,
	0x4c, 0x4f, 0x41, 0x44, 0x49, 0x4e, 0x47, 0x10, 0x03, 0x12, 0x1b, 0x0a, 0x17, 0x53, 0x49, 0x47,
	0x4e, 0x49, 0x4e, 0x47, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x46, 0x49, 0x4e, 0x49,
	0x53, 0x48, 0x45, 0x44, 0x10, 0x04, 0x12, 0x18, 0x0a, 0x14, 0x53, 0x49, 0x47, 0x4e, 0x49, 0x4e,
	0x47, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x52, 0x45, 0x54, 0x52, 0x59, 0x10, 0x05,
	0x12, 0x19, 0x0a, 0x15, 0x53, 0x49, 0x47, 0x4e, 0x49, 0x4e, 0x47, 0x5f, 0x53, 0x54, 0x41, 0x54,
	0x55, 0x53, 0x5f, 0x50, 0x41, 0x53, 0x53, 0x45, 0x44, 0x10, 0x06, 0x12, 0x19, 0x0a, 0x15, 0x53,
	0x49, 0x47, 0x4e, 0x49, 0x4e, 0x47, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x46, 0x41,
	0x49, 0x4c, 0x45, 0x44, 0x10, 0x07, 0x1a, 0xd0, 0x04, 0x0a, 0x07, 0x50, 0x61, 0x79, 0x6c, 0x6f,
	0x61, 0x64, 0x12, 0x3f, 0x0a, 0x07, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x52, 0x07, 0x70, 0x61, 0x79, 0x6c,
	0x6f, 0x61, 0x64, 0x12, 0x4e, 0x0a, 0x0c, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x5f, 0x74,
	0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2b, 0x2e, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x52, 0x65, 0x70, 0x6f,
	0x72, 0x74, 0x2e, 0x50, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x2e, 0x50, 0x61, 0x79, 0x6c, 0x6f,
	0x61, 0x64, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0b, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x54,
	0x79, 0x70, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x12, 0x2d, 0x0a, 0x07, 0x63, 0x68, 0x61,
	0x6e, 0x6e, 0x65, 0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x63, 0x68, 0x72,
	0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x43, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x52,
	0x07, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x12, 0x14, 0x0a, 0x05, 0x61, 0x70, 0x70, 0x69,
	0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x61, 0x70, 0x70, 0x69, 0x64, 0x12, 0x2d,
	0x0a, 0x12, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x5f, 0x73, 0x69, 0x67, 0x6e, 0x61,
	0x74, 0x75, 0x72, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x6d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75, 0x72, 0x65, 0x12, 0x23, 0x0a,
	0x0d, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x0c, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x53, 0x69,
	0x7a, 0x65, 0x12, 0x25, 0x0a, 0x0e, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x25, 0x0a, 0x0e, 0x74, 0x61, 0x72,
	0x67, 0x65, 0x74, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x09, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0d, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04,
	0x73, 0x69, 0x7a, 0x65, 0x12, 0x30, 0x0a, 0x14, 0x72, 0x65, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79,
	0x5f, 0x6b, 0x65, 0x79, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x0b, 0x20, 0x01,
	0x28, 0x0d, 0x52, 0x12, 0x72, 0x65, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79, 0x4b, 0x65, 0x79, 0x56,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0x71, 0x0a, 0x0b, 0x50, 0x61, 0x79, 0x6c, 0x6f, 0x61,
	0x64, 0x54, 0x79, 0x70, 0x65, 0x12, 0x18, 0x0a, 0x14, 0x50, 0x41, 0x59, 0x4c, 0x4f, 0x41, 0x44,
	0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12,
	0x19, 0x0a, 0x15, 0x50, 0x41, 0x59, 0x4c, 0x4f, 0x41, 0x44, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x53, 0x54, 0x41, 0x4e, 0x44, 0x41, 0x52, 0x44, 0x10, 0x01, 0x12, 0x17, 0x0a, 0x13, 0x50, 0x41,
	0x59, 0x4c, 0x4f, 0x41, 0x44, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4d, 0x49, 0x4e, 0x49, 0x4f,
	0x53, 0x10, 0x02, 0x12, 0x14, 0x0a, 0x10, 0x50, 0x41, 0x59, 0x4c, 0x4f, 0x41, 0x44, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x44, 0x4c, 0x43, 0x10, 0x03, 0x1a, 0x87, 0x01, 0x0a, 0x04, 0x44, 0x4c,
	0x43, 0x73, 0x12, 0x34, 0x0a, 0x0d, 0x64, 0x6c, 0x63, 0x5f, 0x61, 0x72, 0x74, 0x69, 0x66, 0x61,
	0x63, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x55, 0x52, 0x49, 0x52, 0x0c, 0x64, 0x6c, 0x63, 0x41,
	0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x73, 0x12, 0x49, 0x0a, 0x14, 0x64, 0x6c, 0x63, 0x5f,
	0x61, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x5f, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73,
	0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x2e, 0x44, 0x6c, 0x63, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x52,
	0x12, 0x64, 0x6c, 0x63, 0x41, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x44, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x73, 0x22, 0x9c, 0x01, 0x0a, 0x09, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x79, 0x70,
	0x65, 0x12, 0x18, 0x0a, 0x14, 0x42, 0x55, 0x49, 0x4c, 0x44, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x55, 0x4e, 0x44, 0x45, 0x46, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12, 0x16, 0x0a, 0x12, 0x42,
	0x55, 0x49, 0x4c, 0x44, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x45, 0x4c, 0x45, 0x41, 0x53,
	0x45, 0x10, 0x01, 0x12, 0x17, 0x0a, 0x13, 0x42, 0x55, 0x49, 0x4c, 0x44, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x46, 0x49, 0x52, 0x4d, 0x57, 0x41, 0x52, 0x45, 0x10, 0x02, 0x12, 0x16, 0x0a, 0x12,
	0x42, 0x55, 0x49, 0x4c, 0x44, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x46, 0x41, 0x43, 0x54, 0x4f,
	0x52, 0x59, 0x10, 0x03, 0x12, 0x15, 0x0a, 0x11, 0x42, 0x55, 0x49, 0x4c, 0x44, 0x5f, 0x54, 0x59,
	0x50, 0x45, 0x5f, 0x50, 0x55, 0x42, 0x4c, 0x49, 0x43, 0x10, 0x04, 0x12, 0x15, 0x0a, 0x11, 0x42,
	0x55, 0x49, 0x4c, 0x44, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x50, 0x41, 0x59, 0x47, 0x45, 0x4e,
	0x10, 0x05, 0x42, 0x04, 0x0a, 0x02, 0x69, 0x64, 0x42, 0x59, 0x0a, 0x21, 0x63, 0x6f, 0x6d, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x2e, 0x63, 0x72,
	0x6f, 0x73, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x5a, 0x34, 0x67,
	0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63,
	0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75,
	0x6d, 0x6f, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_chromiumos_build_report_proto_rawDescOnce sync.Once
	file_chromiumos_build_report_proto_rawDescData = file_chromiumos_build_report_proto_rawDesc
)

func file_chromiumos_build_report_proto_rawDescGZIP() []byte {
	file_chromiumos_build_report_proto_rawDescOnce.Do(func() {
		file_chromiumos_build_report_proto_rawDescData = protoimpl.X.CompressGZIP(file_chromiumos_build_report_proto_rawDescData)
	})
	return file_chromiumos_build_report_proto_rawDescData
}

var file_chromiumos_build_report_proto_enumTypes = make([]protoimpl.EnumInfo, 10)
var file_chromiumos_build_report_proto_msgTypes = make([]protoimpl.MessageInfo, 22)
var file_chromiumos_build_report_proto_goTypes = []interface{}{
	(BuildReport_BuildType)(0),                             // 0: chromiumos.BuildReport.BuildType
	(BuildReport_BuildStatus_Status)(0),                    // 1: chromiumos.BuildReport.BuildStatus.Status
	(BuildReport_BuildConfig_VersionKind)(0),               // 2: chromiumos.BuildReport.BuildConfig.VersionKind
	(BuildReport_BuildConfig_Model_ModelVersionKind)(0),    // 3: chromiumos.BuildReport.BuildConfig.Model.ModelVersionKind
	(BuildReport_BuildArtifact_Type)(0),                    // 4: chromiumos.BuildReport.BuildArtifact.Type
	(BuildReport_StepDetails_Status)(0),                    // 5: chromiumos.BuildReport.StepDetails.Status
	(BuildReport_StepDetails_StepName)(0),                  // 6: chromiumos.BuildReport.StepDetails.StepName
	(BuildReport_SignedBuildMetadata_VersionKind)(0),       // 7: chromiumos.BuildReport.SignedBuildMetadata.VersionKind
	(BuildReport_SignedBuildMetadata_SigningStatus)(0),     // 8: chromiumos.BuildReport.SignedBuildMetadata.SigningStatus
	(BuildReport_Payload_PayloadType)(0),                   // 9: chromiumos.BuildReport.Payload.PayloadType
	(*Timeframe)(nil),                                      // 10: chromiumos.Timeframe
	(*BuildId)(nil),                                        // 11: chromiumos.BuildId
	(*URI)(nil),                                            // 12: chromiumos.URI
	(*DlcArtifact)(nil),                                    // 13: chromiumos.DlcArtifact
	(*BuildReport)(nil),                                    // 14: chromiumos.BuildReport
	(*BuildReport_BuildStatus)(nil),                        // 15: chromiumos.BuildReport.BuildStatus
	(*BuildReport_BuildConfig)(nil),                        // 16: chromiumos.BuildReport.BuildConfig
	(*BuildReport_BuildArtifact)(nil),                      // 17: chromiumos.BuildReport.BuildArtifact
	(*BuildReport_StepDetails)(nil),                        // 18: chromiumos.BuildReport.StepDetails
	(*BuildReport_SignedBuildMetadata)(nil),                // 19: chromiumos.BuildReport.SignedBuildMetadata
	(*BuildReport_Payload)(nil),                            // 20: chromiumos.BuildReport.Payload
	(*BuildReport_DLCs)(nil),                               // 21: chromiumos.BuildReport.DLCs
	(*BuildReport_BuildConfig_Model)(nil),                  // 22: chromiumos.BuildReport.BuildConfig.Model
	(*BuildReport_BuildConfig_Release)(nil),                // 23: chromiumos.BuildReport.BuildConfig.Release
	(*BuildReport_BuildConfig_Branch)(nil),                 // 24: chromiumos.BuildReport.BuildConfig.Branch
	(*BuildReport_BuildConfig_Version)(nil),                // 25: chromiumos.BuildReport.BuildConfig.Version
	(*BuildReport_BuildConfig_Target)(nil),                 // 26: chromiumos.BuildReport.BuildConfig.Target
	(*BuildReport_BuildConfig_Model_ModelVersion)(nil),     // 27: chromiumos.BuildReport.BuildConfig.Model.ModelVersion
	(*BuildReport_StepDetails_StepInfo)(nil),               // 28: chromiumos.BuildReport.StepDetails.StepInfo
	nil,                                                    // 29: chromiumos.BuildReport.StepDetails.InfoEntry
	(*BuildReport_SignedBuildMetadata_FileWithHashes)(nil), // 30: chromiumos.BuildReport.SignedBuildMetadata.FileWithHashes
	(*BuildReport_SignedBuildMetadata_Version)(nil),        // 31: chromiumos.BuildReport.SignedBuildMetadata.Version
	(*timestamppb.Timestamp)(nil),                          // 32: google.protobuf.Timestamp
	(ImageType)(0),                                         // 33: chromiumos.ImageType
	(Channel)(0),                                           // 34: chromiumos.Channel
}
var file_chromiumos_build_report_proto_depIdxs = []int32{
	32, // 0: chromiumos.Timeframe.begin:type_name -> google.protobuf.Timestamp
	32, // 1: chromiumos.Timeframe.end:type_name -> google.protobuf.Timestamp
	12, // 2: chromiumos.DlcArtifact.uri:type_name -> chromiumos.URI
	11, // 3: chromiumos.BuildReport.parent:type_name -> chromiumos.BuildId
	11, // 4: chromiumos.BuildReport.children:type_name -> chromiumos.BuildId
	0,  // 5: chromiumos.BuildReport.type:type_name -> chromiumos.BuildReport.BuildType
	15, // 6: chromiumos.BuildReport.status:type_name -> chromiumos.BuildReport.BuildStatus
	16, // 7: chromiumos.BuildReport.config:type_name -> chromiumos.BuildReport.BuildConfig
	18, // 8: chromiumos.BuildReport.steps:type_name -> chromiumos.BuildReport.StepDetails
	19, // 9: chromiumos.BuildReport.signed_builds:type_name -> chromiumos.BuildReport.SignedBuildMetadata
	20, // 10: chromiumos.BuildReport.payloads:type_name -> chromiumos.BuildReport.Payload
	17, // 11: chromiumos.BuildReport.artifacts:type_name -> chromiumos.BuildReport.BuildArtifact
	21, // 12: chromiumos.BuildReport.dlcs:type_name -> chromiumos.BuildReport.DLCs
	1,  // 13: chromiumos.BuildReport.BuildStatus.value:type_name -> chromiumos.BuildReport.BuildStatus.Status
	24, // 14: chromiumos.BuildReport.BuildConfig.branch:type_name -> chromiumos.BuildReport.BuildConfig.Branch
	24, // 15: chromiumos.BuildReport.BuildConfig.android_container_branch:type_name -> chromiumos.BuildReport.BuildConfig.Branch
	26, // 16: chromiumos.BuildReport.BuildConfig.target:type_name -> chromiumos.BuildReport.BuildConfig.Target
	26, // 17: chromiumos.BuildReport.BuildConfig.android_container_target:type_name -> chromiumos.BuildReport.BuildConfig.Target
	23, // 18: chromiumos.BuildReport.BuildConfig.release:type_name -> chromiumos.BuildReport.BuildConfig.Release
	25, // 19: chromiumos.BuildReport.BuildConfig.versions:type_name -> chromiumos.BuildReport.BuildConfig.Version
	22, // 20: chromiumos.BuildReport.BuildConfig.models:type_name -> chromiumos.BuildReport.BuildConfig.Model
	4,  // 21: chromiumos.BuildReport.BuildArtifact.type:type_name -> chromiumos.BuildReport.BuildArtifact.Type
	12, // 22: chromiumos.BuildReport.BuildArtifact.uri:type_name -> chromiumos.URI
	32, // 23: chromiumos.BuildReport.BuildArtifact.created:type_name -> google.protobuf.Timestamp
	6,  // 24: chromiumos.BuildReport.StepDetails.current:type_name -> chromiumos.BuildReport.StepDetails.StepName
	29, // 25: chromiumos.BuildReport.StepDetails.info:type_name -> chromiumos.BuildReport.StepDetails.InfoEntry
	8,  // 26: chromiumos.BuildReport.SignedBuildMetadata.status:type_name -> chromiumos.BuildReport.SignedBuildMetadata.SigningStatus
	33, // 27: chromiumos.BuildReport.SignedBuildMetadata.type:type_name -> chromiumos.ImageType
	34, // 28: chromiumos.BuildReport.SignedBuildMetadata.channel:type_name -> chromiumos.Channel
	30, // 29: chromiumos.BuildReport.SignedBuildMetadata.files:type_name -> chromiumos.BuildReport.SignedBuildMetadata.FileWithHashes
	31, // 30: chromiumos.BuildReport.SignedBuildMetadata.versions:type_name -> chromiumos.BuildReport.SignedBuildMetadata.Version
	17, // 31: chromiumos.BuildReport.Payload.payload:type_name -> chromiumos.BuildReport.BuildArtifact
	9,  // 32: chromiumos.BuildReport.Payload.payload_type:type_name -> chromiumos.BuildReport.Payload.PayloadType
	34, // 33: chromiumos.BuildReport.Payload.channel:type_name -> chromiumos.Channel
	12, // 34: chromiumos.BuildReport.DLCs.dlc_artifacts:type_name -> chromiumos.URI
	13, // 35: chromiumos.BuildReport.DLCs.dlc_artifact_details:type_name -> chromiumos.DlcArtifact
	27, // 36: chromiumos.BuildReport.BuildConfig.Model.versions:type_name -> chromiumos.BuildReport.BuildConfig.Model.ModelVersion
	34, // 37: chromiumos.BuildReport.BuildConfig.Release.channels:type_name -> chromiumos.Channel
	2,  // 38: chromiumos.BuildReport.BuildConfig.Version.kind:type_name -> chromiumos.BuildReport.BuildConfig.VersionKind
	3,  // 39: chromiumos.BuildReport.BuildConfig.Model.ModelVersion.kind:type_name -> chromiumos.BuildReport.BuildConfig.Model.ModelVersionKind
	5,  // 40: chromiumos.BuildReport.StepDetails.StepInfo.status:type_name -> chromiumos.BuildReport.StepDetails.Status
	10, // 41: chromiumos.BuildReport.StepDetails.StepInfo.runtime:type_name -> chromiumos.Timeframe
	28, // 42: chromiumos.BuildReport.StepDetails.InfoEntry.value:type_name -> chromiumos.BuildReport.StepDetails.StepInfo
	7,  // 43: chromiumos.BuildReport.SignedBuildMetadata.Version.kind:type_name -> chromiumos.BuildReport.SignedBuildMetadata.VersionKind
	44, // [44:44] is the sub-list for method output_type
	44, // [44:44] is the sub-list for method input_type
	44, // [44:44] is the sub-list for extension type_name
	44, // [44:44] is the sub-list for extension extendee
	0,  // [0:44] is the sub-list for field type_name
}

func init() { file_chromiumos_build_report_proto_init() }
func file_chromiumos_build_report_proto_init() {
	if File_chromiumos_build_report_proto != nil {
		return
	}
	file_chromiumos_common_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_chromiumos_build_report_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Timeframe); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildId); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*URI); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DlcArtifact); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildArtifact); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_StepDetails); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_SignedBuildMetadata); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_Payload); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_DLCs); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildConfig_Model); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildConfig_Release); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildConfig_Branch); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildConfig_Version); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildConfig_Target); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_BuildConfig_Model_ModelVersion); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_StepDetails_StepInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[20].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_SignedBuildMetadata_FileWithHashes); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_build_report_proto_msgTypes[21].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BuildReport_SignedBuildMetadata_Version); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_chromiumos_build_report_proto_msgTypes[1].OneofWrappers = []interface{}{
		(*BuildId_BuildbucketId)(nil),
	}
	file_chromiumos_build_report_proto_msgTypes[2].OneofWrappers = []interface{}{
		(*URI_Gcs)(nil),
	}
	file_chromiumos_build_report_proto_msgTypes[4].OneofWrappers = []interface{}{
		(*BuildReport_BuildbucketId)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_chromiumos_build_report_proto_rawDesc,
			NumEnums:      10,
			NumMessages:   22,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_chromiumos_build_report_proto_goTypes,
		DependencyIndexes: file_chromiumos_build_report_proto_depIdxs,
		EnumInfos:         file_chromiumos_build_report_proto_enumTypes,
		MessageInfos:      file_chromiumos_build_report_proto_msgTypes,
	}.Build()
	File_chromiumos_build_report_proto = out.File
	file_chromiumos_build_report_proto_rawDesc = nil
	file_chromiumos_build_report_proto_goTypes = nil
	file_chromiumos_build_report_proto_depIdxs = nil
}
